Date	Added

-------- Read Changelog-SVN.txt for the newer SVN entries--------

2006/04/30
	* Skills with the move_enable state won't get the walkdelay increased on a
	  skill-cast. [Skotlex]
	* Some corrections in the clif_parse_whisper function which should fix
	  crashes in the chat_log  under "certain" conditions. [Skotlex]
	* Fixed dangling pointer in pc_steal_item (missing lines) causing crash. [Lance]
	* Fixed lack of initialization in chrif_authreq causing crashes in chrif_authok. [Lance] 
	* Fixed a logic error that was likely the cause of pet loot drops not
	  working. [Skotlex]
	* If someone is expulsed from a guild while the guild storage is open, it
	  will be auto-closed now. [Skotlex]
	* Modified battle_consume_ammo to prevent consuming multiple arrows on
	  AC_SHOWER. [Skotlex]
	* Readded script command skillpointcount... [Skotlex]
	* Fixed and enabled STEAL skill [Lupus]
	* Implemented NJ_SHADOWJUMP. [blackhole89]
	* Moved the soul-drain code to skill_counter_additionaleffect [Skotlex]
	* Fixed fake NPC missing code. Thanks to Skotlex for pointing out. [Lance]

2006/04/29
	* Changed the HT_DETECTING method from invoking clif_changetraplook to
	  clif_skill_setunit since in the first the client ignores the fact that it
	  is now a trap (rendering skills like Remove Trap useless). [Skotlex]
	* added script command skillpointcount. Returns total amount of skill
	  points a char has (the value returned is the same that SkillPoint would
	  have after invoking a skill reset) [Skotlex]
	* Modified Defender. Speed reduction is 35-5*lv%, damage reduction on
	  devoted chars is 5+5*lv%. These values are custom, but should be closer to
	  "reality" than what we had. [Skotlex]
	* When you have the wrong ammo type equipped, the equip arrows first
	  message will be sent, as suggested by Haplo [Skotlex]
	* Changed checks of item's identify field from 0/1 to 0/non-zero [Skotlex]
	* Corrected TK_JUMPKICK to place the caster on the tile next to the target
	  rather than on top of it. [Skotlex]
	* Small change in pc_calc_skilltree which should fix the infinite loop...
	  [Skotlex]
	* Added @noask command: enable/disable deals/invites autorejecting.
	  [LuzZza]
	* Removed unreferenced local variable in pc.c [Lance]
	* Reverted npc_checknear to exclude check for class_ -1.
	* Removed npc_checknear in npc_buysellsel, npc_selllist and npc_buylist
	  as enough preventive measures of hacking are already implemented.
	  [Lance]
	* Updated STEAL skill (WIP), added a battle config option: [Lupus]
	  'skill_steal_max_tries' to set max number of stealing tries.
	  It could help to fix stealing exploit on mobs with few drops
	* Added support for packet 0x229 (clif_changeoption). [Skotlex]
	* Bumped up PACKETVER to 7 to enable use of packets 0x229 and 0x22c
	  [Skotlex]
	* Added missing next/prev initialization in chat-creation. [Skotlex]
	* Added missing sql-files/mob_db.sql... somehow it was missing from the
	  mob_db update. [Skotlex]
	* Clones can't be class-changed now [Skotlex]
	* Readded the class == -1 distance check in npc_checknear [Skotlex]
	* Replaced check sd->trade_partner for sd->state.trading in clif.c [Skotlex]
	* Using malloc for memory allocations that doesn't need to be pre-initialized.
	* Eliminated initializations for pointers returned by calloc.
	* Moved grfio_final to do_init since it's not used after server boot.
	* Optimized scripts to return CONSTSTR instead of allocating memory just to return
	  a constant string. Some buildin functions still need work. 
	* Disabled graph since it doesn't work yet. [Lance]

2006/04/28
	* Modified the mob_db structure. The mvp related columns were moved to
	  before the drops, amount of drops increased from 10 to 15. [Skotlex]
	* Updated sql-files/mob_db.sql (and mob_db2.sql) to latest. [Skotlex]
	* Modified HP conversion so that it fails when you don't have enough Hp.
	  [Skotlex]
	* Cleaned up Strip skills so that the skill animation will only show when
	  something was stripped. [Skotlex]
	* Added constant MAX_MOB_DROP to specify the amount of normal drops a mob
	  has. The mob_db reading code will automatically parse the file according to
	  the number of drops expected (the Mexp/Mper and MVP item rewards must still
	  be after the normal drops). Set to 10 currently. [Skotlex]
	* Mobinfo's drop list will use jName rather than Name for drop names.
	  [Skotlex]
	* Some cleaning of the ASC_BREAKER code in skill_attack [Skotlex]
	* Modified skill_attack so that all skills with amotion get their damage
	  delayed (should fix mob walk-teleport issues) [Skotlex]
	* Added function stristr to strlib.c, used by mob.c and item_db.c for
	  case-insensitive seeks. [Skotlex]
	* Removed the sending of the online guild list when you log-on, may fix the
	  "getting stuck" problem. [Skotlex]
	* Added battle config default_skill_delay. Specifies the default skill
	  delay for most skills, it is also applied as a walkdelay (total skill
	  walkdelay is default_skill_delay + that skill's can't walk delay) [Skotlex]
2006/04/27
	* skill_castend_id and skill_castend_pos will trigger unit_stop_walking
	  with flag 1 (fix pos) rather than none. Should fix some skills making you
	  appear moving while doing them. [Skotlex]
	* Modified clif_skill_nodamage to allow for a NULL source. This is to
	  simplify code related to AL_HEAL/MG_RECOVERY effects where someone shows a
	  healing value, but there's no "caster" in sight (Pitcher skills, Blood
	  Drain, Kaahi) [Skotlex]
	* Updated Kaahi to use clif_skill_nodamage to display amount healed.
	  [Skotlex]
	* Added unlocking ud.target on mob_unlocktarget, fixes mobs chasing you
	  around while cloaked. [Skotlex]
	* Changed the default rate of clone mob skills to 5% modified by
	  mob_skill_rate setting. [Skotlex]
	* Applied some changes in unit.c to make mobs pick chase paths as they
	  should. [Skotlex]
	* unit_remove_map will reset attackable-time, canact and canwalk delays.
	  [Skotlex]
	* Added a timer in clif.c so that walk requests that are done while your
	  cannot move duration will be delayed and processed afterwards (as long as
	  the walk delay remaining is less than 2000 ms) [Skotlex]
	* Some changes in the slave skill conditions. All their skills are
	  triggered at a 10% chance now. [Skotlex]
	* Changed in the behaviour of wedding skills, they should be getting all
	  the land-skill checks now. [Skotlex]
	* Small change in @commands, may fix the null-pointer error. [Skotlex]
	* Changebase script command will also refresh the weapon sprites (in case
	  you changed into Wedding/Xmas class) [Skotlex]
	* Small change in the pet_ai that should stop the "strange" catch-up
	  behaviour of pets when you are much faster than them. [Skotlex]
	* Corrected the unequip script of the wedding dress/tuxedo (it should be
	  Class, not bClass), item_db.sql was also corrected. [Skotlex]
	* Small change in the pet_ai that should stop the "strange" catch-up
	  behaviour of pets when you are much faster than them. [Skotlex]
	* Now when you do @baselevel to reduce your level and you don't have enough
	  stat points to deduct, you will get a stat-reset and THEN your stat points
	  will be reduced. [Skotlex]
	* Added at command @commands, displays the list of commands available to
	  you. Defaults to level 1. [Skotlex]
	* Added the missing clif_* calls to make changebase's view-class change
	  update on the client. [Skotlex]
	* Added battle config hide_woe_damage which hides damage on woe maps
	  packet-wise (battle/client.conf). [Skotlex]
	* Fixed base-level up @ command giving stat points instead of taking them
	  away when leveling down. [Skotlex
	* Some small change in pc_heal which would let you have negative SP if you
	  were killed on the same pc_heal invocation. [Skotlex]
	* Added 3rd argument to script command 'setmapflag' thx to Jbain [Lupus]
		setmapflag "prontera.gat",mf_pvp;
		setmapflag "prontera.gat",mf_jexp,100;
	  Now you can dinamically increase/decrease EXP rate on set maps
	  e.g. you can lower EXP on the cmd_fild02 ^_-
2006/04/26
	* Updated sql-files/item_db.sql to current. [Skotlex]
	* Item use interval is set to a default of 100ms now since that should be
	  low enough to not bother real players and it should cap somehow bot/macro
	  spams. [Skotlex]
	* Updated Full Buster so that the can't act delay carries on to the weapon
	  attack delay and can't use item intervals. [Skotlex]
	* Added script command getbattleflag to retrieve the current value of a
	  battle_config switch. [Skotlex]
	* When Taekwons level up they get Bless and Agi Up level 10 instead of the
	  S.Novice bonuses. [Skotlex]
	* Increased number of hits for TK kicks. 3 hits for TK_COUNTER and
	  TK_TURNKICK, 2 hits for TK_STORMKICK and TK_DOWNKICK (until further
	  information arrives) [Skotlex]
	* Modified how changebase script command works, the change caused by it is
	  permanent (at least until logout). Updated the Tuxedo and Wedding dress to
	  use onequip/onunequip scripts to change the look. [Skotlex]
	* Changed the skill_wall_check to use shoot-path seeking. May fix
	  skill_wall_check setting. [Skotlex]
	* Fixed typo in skill.c: skill_clear_group [Lance]

2006/04/25
	* Added battle config traps_setting to determine how traps should behave.
	  With &1 traps are invisible if you didn't see them get set up. With &2
	  traps will be removed after changing maps. The default is 2.
	  (battle/skill.conf) [Skotlex]
	* Cleaned up a bit the implementation of SC_MAXIMIZEPOWER, SC_CHASEWALK and
	  SC_CLOAKING to prevent infinite looping timers. [Skotlex]
	* Fixed NPC_SUICIDE dropping items. [Skotlex]
	* Moved the mapflag skill restrictions from skill_checkcondition to
	  skillnotok, this makes auto-spells not work in maps where they aren't
	  allowed. [Skotlex]
	* Added TK_HIGHJUMP to skillnotok, the skill is blocked in noteleport maps
	  (with the exception of gvg ones) [Skotlex]
	* Modified and simplified the random item group format. It now is
	  <GroupID>,<ItemID>,<Rate>, where Rate normally is 1, greater numbers is the
	  equivalent of adding the line multiple times. Also has support for import
	  lines. [Skotlex]
	* Added constants to identify all item groups to db/const.txt [Skotlex]
	* Cleaned up and updated item_db to use these new constants (warning:
	  item_db.sql needs to be updated! Sql-db users should not update until this
	  file is updated) [Skotlex]
2006/04/24
	* Simplified npc_gettimerevent_tick so that it should return a tick value
	  even after the last ontimer label has been reached. [Skotlex]
	* All GMs will be sent to the char server through packet 0x2aff now.
	  (previously hidden gms were not sent to the char-server as online) [Skotlex]
	* Made mob_searchname compare versus sprite, name and jname now. [Skotlex]
	* Added script command escape_sql. It will return an escaped string for use
	  in the sql_query script command (in case you want to use input of players
	  in your queries). [Skotlex]
	* Removed the skill packet from TK_RUN as the client ignores the walkok
	  packet sent right after it. It displays just fine on the client now. [Skotlex]
	* Added DNS Blocklist support. Set in login_athena.conf.
	  I'll make it more customizable tomorrow, I coded it pretty bad. [Zido]
	* Corrected mob_spawn_delay/boss_spawn_delay/plant_spawn_delay settings
	  (they were named rate rather than delay in monster.conf) [Skotlex]
	* Cleaned up @grind2, @monsterbig, @monstersmall. [Skotlex]
	* Modified override_mobs_names to work only on the mob spawn files instead
	  of everywhere (so now script-summoned mobs should keep their custom names
	  intact) [Skotlex]
	* Added logging of deleted characters when the char_log is enabled.
	  [Skotlex]
	* Fixed skill_delayfix not altering delay at all after you reached 150.
	  [Skotlex]
	* Applied ers to pet loot drops and cleaned up the pet loot drop function.
	  [Skotlex]
	* Mob skill state MSS_ANY won't include MSS_DEAD now. [Skotlex]
	* Added mob skill state MSS_ANYTARGET ("anytarget") which means any state
	  (except dead) on which the mob has a target set. [Skotlex]
2006/04/23
	* Added new column to mob_db Sprite_Name to hold the mob's sprite name.
	  Columns Name and JName now hold the mob's english and kro names
	  respectively. [Skotlex]
	- Currently both Name and Jname have the KRO names, so someone will have to
	  update the Name column with the english Mob Names.
	* Updated mob_db.sql and mob_db2.sql to latest. [Skotlex]
	* Added battle_config option override_mob_names to make the spawned mob use
	  the mob_db names instead of the specified names in the spawn files.
	  Defaults to 0, 1 is to use Name column while 2 is to use the JName column
	  (see battle/monster.conf) [Skotlex]
	* Idle skills won't trigger while the mob is walking (that is for the state
	  "walk") [Skotlex]
	* Idle skills will now trigger each IDLE_SKILL_INTERVAL iterations (10
	  currently) [Skotlex]
	* Added support for walk packet 0x22c, will be used when PACKETVER is set
	  to 7 or above (packetver is still set to 6 for now) [Skotlex]
	* Normal walking will now also trigger mob skills (due to the walk skill
	  condition)  [Skotlex]
	* additional experience multiplicator as mapflags which is based off battle.conf
	  so with battle.conf rates 200 and "mapflag <jexp/bexp> 200" it will be 4x 
	  on this specific map and 2x anywhere else [Jbain]
2006/04/22
	* Angelus was giving more bonus than it should. Fixed. [Zido]
	* Added Option constants for Carts, fixed OPTION_FLYING (it conflicts with
	  OPTION_XMAS?) [Skotlex]
	* Updated clif.c to check for OPTION_WEDDING|OPTION_XMAS instead of view
	  class to block attacks and skill usage. [Skotlex]
	* Cleaned up change-cart code. [Skotlex]
	* Modified SC_XMAS to not change your view anymore and only set the proper
	  option value (OPTION_XMAS) [Skotlex]
	* Cleaned up the code regarding char_gm reading. [Skotlex]
	* Changed the option field to unsigned short to make room for the higher
	  values. [Skotlex]
2006/04/21
	* SC_CLOAKING's val4 now holds whether cloaking ends or not on attack.
	  [Skotlex]
	* Implemented NPC_INVISIBLE, it starts SC_CLOAKING with val4 set to 1.
	  [Skotlex]
	* Updated the HP/SP leech structures to have race-data attached to them.
	  [Skotlex]
	* Merged all leeching code to new battle_drain function. [Skotlex]
	* Simplified a bit the code for Signum Crucis [Skotlex]
	* Added script bonuses: [Skotlex]
		bonus3 bHPDrainRateRace,<Race>,<Activation Rate>,<Drain %>;
		bonus3 bSPDrainRateRace,<Race>,<Activation Rate>,<Drain %>;
		bonus2 bHPDrainValueRace,<Race>,<Value>;
		bonus2 bSPDrainValueRace,<Race>,<Value>;
	* Fixed items not really getting unequipped when they should. [Skotlex]
2006/04/20
	* Fixed the equip/unequip scripts not triggering for compounded cards.
	  [Skotlex]
	* Char server will now ignore packet 0x65 for already authentified
	  accounts. [Skotlex]
	* Added two columns to item_db: equip_script and unequip_script are scripts
	  that are executed once when the corresponding item is equipped or
	  unequipped respectively. [Skotlex]
	* Removed bonuses bDamageWhenUnequip, bLoseSPWhenUnequip as they are no
	  longer needed. [Skotlex]
	* Updated sql-files/item_db.sql with latest. [Skotlex]
	* Fixed buffer overflow in clif_MainChatMessage. It now prints a Debug
	  message with the offending line. [Skotlex]
	* Cleaned up a bunch of GS/NJ skills [Skotlex]
	* Fixed Gatling Fever crashing server when used by non players. [Skotlex]
	* Added support for n to specify minutes to @charban.  [Skotlex]
	* Added state.trading to specify when a trading has started. Now you should
	  be able to walk around until the trade is either rejected or started.
	  [Skotlex]
	* Armor defense is no longer reduced by the amount of characters targetting
	  you. [Skotlex]

2006/04/19
	* Updated the doc/script_commands.txt documentation in regards to npc mob
	  spawn lines. [Skotlex]
	* Added back the "you can't walk delay while attacking" to
	  unit_attack_timer, now when you want to walk during your attack animation,
	  you will only stop attacking, you will have to click again to move.
	  [Skotlex]
	* Fixed a pair of wrong mapflag lines in nopvp.txt [Skotlex]
	* Removed the max cap of autoloot so you are now allowed to set autoloot
	  values above 100. [Skotlex]
	* Initialized w1/w2/w3/w4 before reading each npc line to avoid sending
	  unread values to the parsers (for example, if w4 has a value in one line
	  and none on the next, it will be parsed with the previous value of w4 on
	  the following lines), this could cause serious problems with mapflags and
	  the recent "off" addition. [Skotlex]
	* Updated getpartymember to receive an int which specifies what to
	  retrieve. 0: Character names (array $@partymembername$), 1 character char
	  ids (array $@partymembercid), 2 character account ids (array
	  $@partynameaid). By default it returns party member names. [Skotlex]
	* Updated script_commands.txt with the updated behaviour of getpartymember.
	  [Skotlex]

2006/04/18
	* Fixed a typo in map_search_freecell which was returning incorrect cells
	  according to the ranges given. [Skotlex]
	* A tiny fix to @kami [Zido]
	* The IRC Bot can now autojoin when kicked, set in irc_athena. [Zido]
	* Added @who to the IRC Bot, outputs all online characters. [Zido]
	* Changed the memory manager fatal errors when allocating memory to print
	  out the size request as well as the file and line where they originated.
	  [Skotlex]
	* Fixed the delete_timer (@summons, alchemist plants) not invoking
	  unit_free, hence causing memory leaks and the like. [Skotlex]
	* Applied jA's patch to fix a bug in the scripting engine in regards to
	  priority of operators. Thanks to End of Exam for the information. [Skotlex]
	* Removed message 592 from trade.c [Skotlex]
	* Added support for disabling mapflags on a mapflag line: [Skotlex]
	  comodo.gat	mapflag	nomemo <- turns on nomemo mapflag
	  comodo.gat	mapflag	nomemo	off <- turns off nomemo mapflag
	* Removed mapflag nopvp due to the above change. [Skotlex]
	* Cleaned up and optimized the restricted/zones mapflag. Restricted cards
	  will just not work in disallowed maps rather than blocking the compounded
	  equipement from being used. [Skotlex]
	* Converted the format of the battle conf files to windows format [Playtester]
	* Shinomori's method (kinda) of remote script execution with interaction. [Lance]

2006/04/17
	* skill_clear_unitgroup is now invoked in unit_remove_map only on death if
	  the applicable battle setting is set. [Skotlex]
	* Changed setting clear_unit_ondeath to a type 4 (bl-based) which defaults
	  to BL_ALL. [Skotlex]
	* Fixed Absorb spirit sphere not working on mobs, thanks to Vividd.
	  [Skotlex]
	* Cleared the ud->target on pc_stop_attack to prevent attack resuming an
	  other such oddities. [Skotlex]
	* I seem to have broken @kami with my last commit, fixed. [Zido]
	* Added @users to the IRC Bot, outputs the # of users online. [Zido]
	* The baby check when wearing a tuxedo/dress now works [Zido]
	* Fixed pet being incorrectly removed when it had intimacy 0. [Skotlex]
	* Some cleanup in the TK_RUN related code. [Skotlex]
	* Added variable walk_count to unit_data to be use as a counter for cells
	  walked for walk-triggered skills, on-chase skill triggers are now done
	  every 5 cells (it is the closest value that makes the average mob trigger a
	  chase skill every second). [Skotlex]
	* mob_skill_db needs updating since it's current use rates for chase-skills
	  assume the trigger is every 100ms rather than every second.
	* Fixed TK_RUN having a cast-bar when attempting to stop-running and
	  generating timer_delete errors when halting as well. [Skotlex]
	* Clearing the dummy npc after fooling the client. [Lance]
	* Updated DLLS. Please DO NOT update the libs from now on 
	  (except if mySQL has newer builds which are not compatible 
	   with client DLL). [Lance]

2006/04/16
	* Fixed the first call to the walk timers having the tick interval halved,
	  which made all walking timers be off by half cell with the actual position
	  displayed client-side (so everyone reaches destination cell server-side
	  half-cell before the client). [Skotlex]
	* Fixed being halted when you are walking so that: 1. Your position
	  refreshed on the screen is correct (the current tile if you haven't reached
	  at least half path between the current and next tile and the next tile
	  otherwise) and 2. If you are halted before walking even one cell, you will
	  be moved to the next cell (to effectively prevent stun-locking). [Skotlex]
	* Modified @monster command to use map_search_freecell (prevents mobs
	  spawning on non-walkable tiles) [Skotlex]
	* Modified @nuke to invoke skill_cast_nodamage_id instead of the damage_id
	  version (fixes sprite and splash damage for the skill) [Skotlex]
	* Fixed char-sql server still reading the old lanconfig format rather than
	  the new one. [Skotlex]
	* Removed water_height.txt reading (since it is always done from the rsw
	  now) [Skotlex]
	* Fixed a possible crash in grfio_find_file [Skotlex]
	* Corrected water-level-reading to account for a return of null from the
	  previously mentioned function [Skotlex]
	* Fixed mysql ping setting being in minutes rather than hours. [Skotlex]
	* Removed npc_event_sub from npc.h and moved it to npc.c [Skotlex]
	* Cleaned up #warp to prevent spitting non-walkable tile warnings. [Skotlex]
	* Changed the meaning of msg_athena 2, it is now "invalid target cell,
	  randomizing". [Skotlex]
	* Fixed wrong check of Deluge + Suiton which broke the water-requirement
	  check for skills. [Skotlex]
	* Cleared ud->target on remove-map, it should fix the phantom mob sprite
	  issue. [Skotlex]
	* Temperory fixed compiler warnings/errors. Please compile before commiting.
	  [Lance]
	* Added pcre3.dll, zlib1.dll and libmysql.dll. DO NOT DELETE THEM.
	  (Required by systems without these DLLs preinstalled) [Lance]
	* Experimental npc_event_doall_sub with queue and npc_id allocation when needed.
	  [Lance]
	* Added warnings to npc_scriptcont for easier debugging. [Lance]
	* Missing lines in npc_parse_script! [Lance]
	* Sending fake npc for inputs and menus for NPC without map coordinates. [Lance]

2006/04/15
	* Fixed upgrade_svn5902.sql, thanks to Koshiro for pointing it out.
	  [Skotlex]
	* Updated skill_attack to allow characters not on a map to attack (enables
	  traps and the like to work when they aren't cleared on the character's
	  death) [Skotlex]
	* Removed use of packet 0x1c9 for skill_unit display, except for Graffiti
	  (which is the only unit which requires the much larger packet) [Skotlex]
	* clif_getareachar_skillunit will send the unit_id of UNT_ATTACK_SKILLS for
	  traps (this is to prevent them from displaying on the client) [Skotlex]
	* Updated libs, Updated vc project files, And deleted uneeded DLLs.
	  Credits to ALZ. [Zido]
2006/04/14
	* Updated sql-files/mob_db.sql to current. [Skotlex]
	* Fixed being able to do all the stuff you shouldn't be able to during the
	  petrifying state. [Skotlex]
2006/04/13
	* Updated sql-files/item_db.sql to current. [Skotlex]
	* Added an Info message when pinging the SQL servers. [Skotlex]
	* Fixed crash when looking for SC_MIRACLE in battle_calc_weapon_attack
	  [Skotlex]
	* Some more standard C code cleanups. [Skotlex]
	* atcommand_param and charcommand_stats to make them standard C (so it may
	  compile with the Borland C). Also cleaned atcommand_param against
	  overflows. [Skotlex]
2006/04/12
	* Removed the noteleport mapflags from two juperos maps [MasterOfMuppets]
	- added the nopenalty mapflag to hugel.gat
	* Halved the aftercast delay of auto-casted spells. [Skotlex]
	* Allowed auto-spells to retrigger themselves. [Skotlex]
	* Changed slave chasing from using unit_walktobl to map_search_freecell +
	  unit_walktoxy, since the previous behaviour makes all slaves always end up
	  on the same cell. [Skotlex]
	* Removed area of effect of Assumptio. [Skotlex]
	* Added "can't act" delay update when an auto-spell triggers. [Skotlex]
	* Expanded the warp warning so that it also warns when a warps takes you to
	  a non-walkable tile. [Skotlex]
	* Simplified the mob-drops structure by using a single timer with a linked
	  list of drops instead of separate timers for each drop. [Skotlex]
2006/04/11
	* Added special_state changebase to identify when a character has a
	  special-view associated with some equipment to correctly revert the look
	  when you take off said equipment (fixes tuxedo/wedding dress when you use
	  modify_wedding_display: yes) [Skotlex]
	* Removed the piece of code that "guesses" that job classes between 24 and
	  68 are advanced classes from mob_avail reading since they conflict with
	  NJ/GS. Use the correct class numbers from now on! [Skotlex]
	* Cleaned up implementation of BlastMine and Claymore Trap. [Skotlex]
	* Added Freezing trap information to battle_calc_weapon attack. [Skotlex]
	* Merged the can't walk delay code into the weapon-damage delay one, means
	  less timers for attacks, as well as fixing the ghost-mob issue that
	  reappeared recently. [Skotlex]
	* Traps will not be displayed when you walk within their range. [Skotlex]
	* Added HT_DETECTING revealing traps. [Skotlex]
	* Added ers handling for skill_timerskill structures. [Skotlex]
	* You don't get critical'ed when in counter-attack stance anymore. [Skotlex]
	* Changed the default counter-type to "always critical". [Skotlex]
	* Implemented use of ers for skill_unit_groups to reduce memory usage.
	* Note that it's NOT TESTED yet. Use with caution, at least some obvious
	  bugs are expected to be found... [Skotlex]
	* Modified battle_check_range to do a path-check on distances less than 2
	  (rather than 3) to avoid being able to hit through walls. [Skotlex]
	* Modified unit_walktoxy_sub to always move at least one cell when a large
	  chaserange is specified to prevent possible infinite loops where
	  attack_timer says you are not within range, but unit_walktoxy says you are.
	  [Skotlex]
	* Fixed Looted items always dropping in quantities of one. [Skotlex]
	* Removed the check that deletes Magnus Exorcism cells after they hit once.
	  [Skotlex]
2006/04/10
	* Temperory replaced strtoll to strtoul until the function changes. [Lance]
	* Multiple optimizations to the unit_data auto-chase upgrade, also
	  simplified the mob and pet ai routines. [Skotlex]
	* Simplified the walk routines to half the number of timers required for
	  walking. [Skotlex]
	* Finished fixing the unit_data auto-chase update. Still need to do some
	  optimizations... but the current code-base should be usable. [Skotlex]
	* Fixes to the unit_data update that lets characters auto-chase while
	  attacking. It seems to work mostly now, but there's still a few issues to
	  be resolved with ranged-attackers. [Skotlex]
	* Modified the unit_data structure to handle automatically switching
	  between chasing and attacking a character. Note that it's a work in
	  progress and not yet properly tested/finished... [Skotlex]
	- DON'T USE THIS YET. There's much testing that needs be done, but I had to
	  commit now so I may continue work on it later....
	* Updated the subnet support to not require specifying the subnet mask, it
	  is auto-acquired from the char/map IP and the subnet-mask. [Skotlex]
	* skill_wall_check defaults to yes now. [Skotlex]
2006/04/09
	* Added the missing last_thinktime initialization to pets. [Skotlex]
	* Reverted the change in skill_wall_check to let skills go over pits.
	  [Skotlex]
	* Changed use of strtol to strtoll when reading the equip_jobs as strtol's
	  result is just a signed int, fixes reading of equippable jobs for certain
	  items. [Skotlex]
	* Corrected Knives being usable by Gunslinger. SQL users use
	  upgrade_svn5972.sql to ugprade that. [Skotlex]
	* Modified @warp/@rura to prevent causing pc_setpos position error
	  messages. [Skotlex]
	* Fixed the mob's last_thinktime not being updated on mob_spawn, causing
	  them to not "think". [Skotlex]
	* Fixed @npcmove not sending the correct packets to make the moving refresh
	  client-side. [Skotlex]
	* Fixed mobs with aggressive + looter mode never looting. [Skotlex]
	* skill_wall_check now also checks for pits so that skill effects don't go
	  through them. [Skotlex]
	* Now you can't leave/be-kicked from a guild inside guild castles. [Skotlex]
	* Fixed map_waterheight prefixing extra "data\" [Lance]
	* Mob_ai update. The attacked checks will trigger even if the mob can't
	  move. Being attacked while the mob can't move no longer will trigger
	  rude-attacked skills. [Skotlex]
	* Changed the default of multi_hit_delay from 230 to 80 which seems more
	  official. [Skotlex]
	* Wedding recall skills are now blocked by the nomemo mapflag instead of
	  nowarpto. [Skotlex]
	* Skill delay for weapon types is now based on adelay (ASPD) rather than
	  amotion (ASPD/2) [Skotlex]
	* Removed ending Endure when casting Berserk, may fix the timer mismatch
	  issues. [Skotlex
2006/04/08
	* Fixed skill_nocast_db reading so that when the same skill is specified
	  multiple times, the blocked effects add up instead of replacing each other.
	  [Skotlex]
	* Fixed @movenpc [Skotlex]
	* Cleaned up and improved the lootsearch routine to pick nearest item.
	  [Skotlex]
	* Fixed trying to set the view_data for npcs who are located on a map, but
	  have no visual data. [Skotlex]
	* Added irc_athena.conf :) from now on, set your irc configuration in
	  conf/irc_athena.conf [Zido]
	* Removed the baby class check when using "changebase" to change to the
	  Wedding Sprite, since it fixes the bug that the sprite doesn't show
	  at all, and baby classes arn't messed up by it anymore.
	  (or so it seems) [Zido]
	* Fixed up irc.c, no more crashes :D [Zido]

2006/04/07
	* Likely fixed a mob not returning to their original class view on respawn
	  after they changed class in their previous life. [Skotlex]
	* The map-server can now read the equip_job column of the item_db as both
	  decimal and hexadecimal values. [Skotlex]
	* Updated item_db.sql current item_db.txt [Skotlex]
	* Added upgrade_svn5951.sql for those who would like to convert their
	  existing items. (it converts the equip_jobs fields to the new values used)
	- See db/Changelog for further info regarding the equip_job fields change.
	  [Skotlex]
2006/04/07
	* Moved the Fusion HP penalty to battle_calc_weapon_attack  [Skotlex]
	* Some cleaning to use battle_heal/damage rather than pc_heal/damage where
	  appropiate. [Skotlex]
	* Cleaned up the deadly-poison hp reduction code. [Skotlex]
	* IRC User access levels now refresh on a mode set and join/part. [Zido]
	* Added missing creation/destruction of the expcache_ers in guild.c
	  [Skotlex]
	* Unified status_remove_buffs/status_remove_debuffs into a single function.
	  [Skotlex]
	* Fixed pc_setpos ignoring the clrtype sent to it. [Skotlex]
	* unit_free will now use clear type 3 for players (warping out effect)
	  [Skotlex]
	* You can't invite someone to a guild now within Guild Castles. [Skotlex]
2006/04/06
	* Hopefully fixed the wedding item-trade restriction. [Skotlex]
	* Fixed status_clear_buffs making SC_BERSERK's end send you to 100hp.
	  [Skotlex]
	* Rewrote the guild exp cache code to prevent overflows and to use the
	  entry reusage system. [Skotlex]
	* The IRC Bot is now able to check each users access level prefix
	  in the channel (~/&/@/%/+), the IRC command @kami now requires the
	  user to be at least channel operator(@). Now I need to make it store
	  the users access level on every nick/mode change. [Zido]
	* Changed the default of skill_add_range to 0, said value now disables
	  skill-range checking when casting ends. [Skotlex]
	* Corrected the Soul Drain formula, thanks to Haplo for pointing it out.
	  [Skotlex]
	* Addded missing aldeg_cas01 to NOWARP mapflags, thanks to Justin84 [Lupus]
		- And we set lhz_dun03 nowarpto mapflag by default till check it on eRO/kRO
	* Changed the random warping of mobs with no players from mob_spawn to
	  unit_warp, which prevents MSC_SPAWN skills from being retriggered for
	  already spawned mobs. [Skotlex]
	* Modified @allstats to prevent negative/overflow issues. [Skotlex]
2006/04/05
	* Fixed undisguising not clearing the mob sprite for the disguised
	  character. [Skotlex]
	* Fixed parsing of job_db1.txt due to the MAX_WEAPON_TYPE change. [Skotlex]
	* TK ranking kicks can't be used on sucession now (can't use any of the
	  kick skills twice in a row without using a different one first). [Skotlex]
	* Modified the ammo checks so that ammo is consumed at the end of
	  battle_calc_weapon_attack (should fix element being lost on final arrow).
	  [Skotlex]
	* Added a define list for weapon types in pc.h [Skotlex]
	* Cleaned up pc_checkallowskill and moved the Gatling fever check to it.
	  [Skotlex]
	* Some cleanup of clif_parseloadendack, fixed guild-member list being sent
	  on all map-changes. [Skotlex]
	* Removed the hardcoded removal of characters who spawn in a castle. All
	  castle maps got the flag nosave now. [Skotlex]
	* Added support for the 2006/04/04a Sakexe packet version. [Zephiris]

2006/04/04
	* Added inter config connection_ping_interval which specifies interval in
	  hours at which mysql_ping's must be done on all connection handles to keep
	  the mysql connection alive. Defaults to 0 (disabled) [Skotlex]
	* Made the login sql handle on the char-sql server be used only when
	  gm_read_method 1 is enabled. [Skotlex]
	* Small fixes to npc_enable, added BL_NPC handling on status_get_sc.
	  [Skotlex]
	- Some changes to close-confine, status start will fail when the source is
	  not found or it doesn't has sc-data. [Skotlex]
	- pc_setoption no longer changes the character's class when
	  mounting/dismounting, it only changes the view-class. [Skotlex]
	* Modified the char-txt server to modify the class of mounted characters to
	  their non-mounted version. Added an upgrade_svn5902 file to handle the
	  class update on the sql tables. [Skotlex]
2006/04/03
	* Fixed pc_setpos using unit_remove_map with type 0 instead of 3, which
	  confuses clients and makes them think the character in question is still
	  standing on the spot where it was removed. This should fix the warp-portal
	  issue. [Skotlex]
	* Fixed script command mapwarp. [Skotlex]
	* Fixed Auto-counter. [Skotlex]
	* Modified Rude-Attacked behaviour so that such skills only triggers when
	  the rude-attacked count is greater than 3. [Skotlex]
	* Added config setting slaves_inherit_mode to determine whether slaves take
	  on their master's aggressive/passive status (defaults to yes) [Skotlex]
	* Disabled NPCs are now handled through nd->sc.option&OPTION_INVISIBLE
	  checks. Should fix disable/enablenpc calls not working. [Skotlex]
	* Moved skill_counter_additional_effect calls to trigger right after
	  skill_additional_effect (which means they trigger at the end of the attack
	  motion for physical attacks instead of at the beginning of the attack
	  animation) [Skotlex]
	* Cleaned up (fixed?) a possible overflow in pc_isUseitem, thanks to
	  foobar. [Skotlex]
	* When you have the wrong ammo-type equipped the skill-failed message is
	  now "skill can't be used with this weapon", which is less misleading than
	  "please equip arrows first". [Skotlex]
	* Corrected pet-equipment display (I originally assumed they went in the
	  shield view-position, when they actually go in the head-bottom position).
	  [Skotlex]
2006/04/02
	* Fixed npc_gettimerevent_tick returning the difference since the last
	  triggered label instead of total elapsed time for the npc-timer. [Skotlex]
	* Added a missing memset on ers_alloc'ing mob loot which was making data
	  from looted items fill in normal drop info (in other words, you could get
	  normal loots that were named after players, for example) [Skotlex]
	* Added preventing sending packet clif_clearchar_id when the character in
	  question is invisible. [Skotlex]
	* Added packet 0x7c in clif_spawn which was supposed to be used for
	  non-players (this fixes pets/mobs/npcs spawning as if they just teleported
	  into view) [Skotlex]
	* Some cleanups to clif.c, removed some excess/broken packets/functions.
	  [Skotlex]
	* Merged Larry's fix of using a timer to get rid of the glow-issue when you
	  login to night-enabled map. [Skotlex]
	* Changed arrows View ID to 22 since daggers were already View ID 1.
	  The server was looking for daggers to be in your arrow slot.  [Reddozen]
	* Loading waterheight aliases from resnametable.txt. [Lance]
	* Workround the warnings for clif.c (what to do? the original codes are ugly.. passing
	  values as pointers omgwtfbbq). [Lance]

2006/04/01
	* Added a exp-even-share check when someone leaves a party. [Skotlex]
	* Added function clif_changetraplook to handle changing the appearance of
	  traps as they are triggered. Fixes all the nullpos related to trap usage.
	  [Skotlex]
	* Fixed berserk not raising your HP to your new cap. [Skotlex]
	* Fixed ground-skills not displaying damage done. [Skotlex]
	* Fixed a few functions sending a negative ID for disguised characters
	  (such as clif_specialeffect) which very likely produced client crashes.
	  [Skotlex]
	* A small cleanup on npc-whispering which could fix a reported crash on it.
	  [Skotlex]
	* Removed the gm-whispering of the charnameack hack notice since it isn't
	  perfected yet. It is still reported on the console for debugging
	  purposes. [Skotlex]
	* Fixes to the mob_ai routines. Prevent casting rude-attacked skills in
	  situations that shouldn't be considered as so. Fixed mobs failing to chase
	  after enemies when attacked from out of their view_range. [Skotlex]
	* Should not exit when you can't find an NPC file.. [Lance]
	* Dynamic shops support with script callback. (needs testing) [Lance]
	* Cleaned up and fixed @where command. [Skotlex]
	* Fixed standing up no really making you stand up. [Skotlex]
	* Added upgrade_svn5834.sql to update view for item type 10. Because of the
	  ammo upgrade, all arrows need their view set to 1. This query does that to
	  all type 10 items (this includes all ninja weapons as well, but a proper
	  item_db.sql update is pending until the rest of throwables are updated)
	  [Skotlex]
	* Fixed compiler warnings. [Lance]
	* Added structure view_data to handle sprite information for all characters
	  (equipment, weapons, hair, dyes, etc). [Skotlex]
	* Rewrote several clif functions to adapt to the new view_data class.
	  [Skotlex]
	* Rewrote the way cloth dye packets are resent to optimize bandwidth usage.
	  [Skotlex]
	* Fixed the npc_item_flag thing (enable_items/disable_items script command)
	  [Skotlex]
	* Rewrote the disguise implementation to be bandwidth friendly. [Skotlex]
	* Modified the hide options to change your class to INVISIBLE_CLASS, since
	  such classes don't even get their view packets sent around. [Skotlex]
	* Added class 139 to npcdb_checkid which was required by some npcs in the
	  swordman quest. [Skotlex]
	* April fool! Improved soundeffectall script command. (No, this is not a lie) [Lance]

2006/03/31
	* Fixed skill_require_db loading of the new ammo columns.
	* Added a column to specify the amount of ammo required for skills that
	  require it. [Skotlex]
	* Added support for ArrowType requirement on skills. It checks for having
	  an item equipped on the arrow-slot who's view has to match with the
	  required arrow-type (works the same way it does for weapons). [Skotlex]
	* Skills will automatically be ranged and arrow-types when they have a
	  arrow-requirement in battle_calc_weapon_attack [Skotlex]
	* Skills will automatically consume arrows if used with a bow and the skill
	  is an attack weapon-based skill even if the skill_require_db doesn't
	  specifies arrow requirements (this is for stuff like backstab used with
	  bows) [Skotlex]
	* Fixed an infinite recursion in the Wedding Recall skills. [Skotlex]
	* UNT_ATTACK_SKILLS unit packets won't be sent to the client as they are
	  supposed to be invisible anyway. [Skotlex]
	* Started work on commands for the IRC Bot, At the moment you can use !eakami <message>
	  to broadcast a message, edit ALLOWED_NICK in irc.c to change the nickname
	  of the person that is allowed to use it (Shitty authentication method, I know,
	  but i'll make user/pass method soon enough.) [Zido]
	* Modified a bit the skill packets of Sharp-Shooting and Brandish Spear in
	  hopes of fixing it. [Skotlex]
	* Should fix a bug in GM stealth mode (@hide). [Lance]

2006/03/30
	* Updated char name option. [Vicious]
	* Added a missing return that fixes crashes on status_change_timer when
	  source is not found. [Skotlex]
	* Added year day return in gettime function. gettime(8) returns 1~366
	  [Foruken]
	* the auth function in login.c won't jstrescapecpy passwords that were
	  encrypted. Thanks to foobar. (but are still more cases to check for? Dunno,
	  the code is kinda long...) [Skotlex]
	* Endure level 11 and above are now considered infinite-endure, and invoked
	  when Berserk is active. [Skotlex]
	* Set the minimum pet hungry delay to 10 [Skotlex]
	* modified functions skill_delayfix and skill_castfix to reduce number of
	  arguments. Added function skill_castfix_sc for mobs (who only get status
	  change cast reductions, not dex based ones). Also, skill_delayfix will
	  never return a value below min_skill_delay_limit. [Skotlex]
	* Modified brandish spear so you won't see the skill-animation for every
	  targetted mob. [Skotlex]
	* Added the Steel Body icon to auto-berserk. [Skotlex]
	* Now you can't cast auto-counter while the previous one is active.
	  [Skotlex]
	* Added Veider's suggestion to do a hack-report when players request the
	  name of an invisible/cloaked character. [Skotlex]
	* Added execution of OnInterIfInit, OnCharIfInit and OnInterIfInitOnce on script
	  reload. [Lance] 
	* Cleaned up mistakes in irc.c [Lance]

2006/03/29
	* Now none of the pet-menu options will have any effect when the pet's
	  intimacy is 0. [Skotlex]
	* Applied a fix to not do range checks on npc_doevent when the npc is not
	  on a map. [Skotlex]
	* You can't return to egg a pet that has run away now. [Skotlex]
	* Added ers support to the delayed mob drops. [Skotlex]
	* Some cleaning of the mob_ai. Mobs should stop chasing once you are beyond
	  their min_chase range. Improved rude-attacked checking when mobs can't
	  move. [Skotlex]
	* range3 is now used as min-chase value of mobs. [Skotlex]
	* Added a debug message when status_change_timer fails. Report it next time
	  it shows up. [Skotlex]
	* Fixed tick direct modifications increasing duration instead of decreasing
	  it. [Skotlex]
	* You can't SG_FEEL maps already memorized. [Skotlex]
2006/03/28
	* Fixed the Family recall warp skills. [Skotlex]
	* Fixed pc_percentheal giving life when the rates are negative. [Skotlex]
	* Fixed resetting stats losing the +52 bonus on high classes. [Skotlex]
	* Fixed Wedding support skills healing yourself instead of partner.
	  [Skotlex]
	* Added a check to prevent knocking back the Emperium at all costs.
	  [Skotlex]
	* Fixed summon mobs being able to cast "summon" skills. [Skotlex]
	* Summoned mobs will inherit the size and ai properties of the master. [Skotlex]
	* Added a debug function to locate all "looping warps". [Skotlex]
	- Now will someone help cleanup those warps?
	* Some cleanup of the skill-use functions in clif.c [Skotlex]
	* Fixed Gunslinger and Ninja skills not showing up and not working due to an error
	  in skill_require_db
	  - also commited a commented block for GS_FLING that needs to be looked at and posiably
	    cleaned before it's uncommented.
	  - fixed exp2 not accepting Gunslingers and ninjas
	  - fixed the "jobmaster" having the same problem as rebirth
	  - added the Gunslinger shops for guns and ammo [Reddozen]
	* Modified clif_getareachar_pc to hide hidden GMs from normal players (players with GM
          level > 0 still able to view) by NOT sending the coordinates. [Lance]

2006/03/27
	* Removed the limits.h file which just breaks compilation on *nix systems
	  [Skotlex]
	* Updated some DB work from jA [Vicious]
	* HW_GANBANTEIN now also removes traps. [Skotlex]
	* PF_DOUBLECASTING takes effect amotion time after the initial cast instead
	  of amotion*div [Skotlex]
	* SG_KNOWLEDGE now lasts time1 after you quit a map before it clears out
	  (defaults to 10 mins currently) [Skotlex]
	* Modified Intravision to modify the status-change packet to specify
	  SI_INTRAVISION instead of cloaking/hiding/chasewalk. I believe this is how
	  intravision actually works. [Skotlex]
	* Pet catching now uses the menuskill variables to prevent item usage from
	  disrupting the catch process. [Skotlex]
	* Added Safetywall to the list not blocked by Dispell. [Skotlex]
	* Added some include limits.h required by window compiles. [Skotlex]
	* Corrected Wedding rings being trade-able.  [Skotlex]
2006/03/26
	* GCC on Cygwin still complaining, resorted to including limits.h in malloc.h [Lance]
	* Refixed the fix with a constant list for Win32 users - limits.h (imported from MSVC) [Lance]
	* Fixed a problem in chrif.c where USHRT_MAX was undefined. [Codemaster]
	* Added jAthena's new start and athena-start shell scripts. [Lance]
	* Changed status_point/skill_point to unsigned short. Adjusted the code as

	  necessary to prevent overflows. [Skotlex]

	* itemdb_exists and itemdb_searchname should now ignore dummy_item matches. [Skotlex]

	* Fixed jstrescapecpy crashing when you pass a null string to parse. [Skotlex]


2006/03/25
	* Fixed the map-server freeze/crash on Warp Portal. [Skotlex]
	* Fixed Grandcross/Granddarkness showing no skill animation. [Skotlex]
	* Fixed mob-casted grandcross doing nothing unless the target was "self" [Skotlex]
2006/03/24
	* Fixed / finished most of Gunslinger [Reddozen]
	  - fixed some bullets in the item DB
	  - adjusted a few rates in skill_cast_db.txt for Gunslingers
	  - adjusted a couple skills in skill_db.txt to act correctly
	  - adjusted all the SP values for Gunslinger skills
	  - changed piercing shot to lv 5 from lv 10
	  - made ki Translation fail giving coins to Gunslingers
	  - equipping a weapon other than a gatlin gun should cancel SC_GATLINGING. Also made Gatlinfeaver on/off togelable
	  - GS_CRACKER will no longer stun players
	  - added GS_Disarm
	* Fixed iteminfo only displaying first result when there were many. [Skotlex]
	* Fixed pet hatching. [Skotlex]
	* Small change that SHOULD fix the pet duplication issue. [Skotlex]
	* Fixed Warp Portal. [Skotlex]
	* Modified script commands atcommand/charcommand to execute even if there
	  isn't a player attached. They'll use a dummy player data with the same
	  position/name as the script's owner (usually an npc). Be careful when using
	  this as the result of some @/# commands may be unexpected! [Skotlex]
	* Some cleaning around the return to egg code. Pets should stop duplicating
	  now. [Skotlex]
	* Some cleaning of the egg hatching routine to prevent spawning the pet if
	  the egg can't be found in the inventory. [Skotlex]
	* Removed a pair of autoadded "data/" strings on grfio.c to see if that
	  helps with the data_dir map loading. [Skotlex]
	* Fixed skillidx not being set whenever a mob uses a skill. This explains
	  skills like metamorphosis/summon_slaves not working at all. [Skotlex]
	* Fixed unit_skillcastcancel reading the nocastcancel flags the exact
	  wrong way around [blackhole89]
	* Added function map_search_freecell to locate an available cell around an
	  area (for recall/warping skills). UNTESTED. [Skotlex]
	* Added unit.c to the VC8 project files. Thanks to Joshuaali [Skotlex]
	* Fixed Magnum-break/GrandCross displaying multiple times the skill effect
	  (once per target) [Skotlex]
2006/03/23
	* Fixed a crash in unit_useskill_pos2 [Skotlex]
	* Updated mob_db.sql and item_db.sql to current txt versions. [Skotlex]
	* Fixed Devotion not properly being cleared on death/near death in some
	  cases. [Skotlex]
	* Fixed Shield-Reflect not being correctly ended when devotion does.
	  [Skotlex]
	* Fixed DEX-based casting time and delay reduction. [blackhole89]
	* Modified the function pc_percent_heal to prevent overflow problems. [Skotlex]
	* Changed the second entry in the water_height.txt listing to specify
	  directly the .rsw file (instead of .gat). [Skotlex]
	* Fixed Potion Pitcher sometimes crashing the server. [Skotlex]
	* Fixed a compile warning by adjusting the acid demonstration formula.
	  [Skotlex]
	* Added flag 2 to the skill_castnodex_db file for skills that shouldn't be
	  affected by delay/cast reducing skills/effects. [Skotlex]
	* Added SantaPoring's water_height.txt modifications. [Lance]
	* Minor cleanups. [Lance]

2006/03/22
	* Fixed function pc_isCardAllowedOn causing searches for non-existant item
	  id 0. [Skotlex]
	* Fixed Arrow Shower. [Skotlex]
	* Merged the unit_data structure from jA for handling unit-related data
	  (attack times, walking, auto-attack timers, skill related data). This is a
	  huge change that affects walking, attacking, auto-attacking, skill usage
	  and character clean up from maps. I spent the last two days clearing out
	  bugs, and even though I couldn't find any more, I wouldn't be surprised for
	  a corner-case or two I missed. [Skotlex]
	* Modified unit_skillcastcancel to receive flag&2, which stands for "cancel
	  casting only if current skill is cancellable" [Skotlex]
	* Battle config options changed from yes/no to BL_TYPE settings:
	  skillrange_by_distance, skill_noreiteration, skill_nofootset,
	  gvg_traps_target_all, skill_log, attack_direction_change,
	  auto_counter_type. See (Note 4) in the relevant battle config files.
	  [Skotlex]
	* Clif.c will disconnect sessions that send an unknown command packet above
	  0x30000 instead of just ignoring it. [Skotlex]
	* Cleaned up error reporting during mob-skill loading to be less spamy with
	  non-loaded mobs. [Skotlex]
	* Corrected water_height reading. It works now, with the exception that
	  cloned maps don't get their water-level read because they don't have a rsw
	  file. The solution is to add all cloned maps to water_level.txt (ie:
	  "new_1-1.gat new_zone01.rsw" makes the new_zone01.rsw stored water-level be
	  applied to map new_1-1.gat).
	  Anyone can help collect all the clone maps to fill up water_height?
	* status_check_skilluse won't block skill-specific checks (silence,
	  berserk, steel-body, etc) when the skill in use is an item-invoked skill.
	  [Skotlex]
	* Merged LittleWolf's function to read the map-height directly from the rsw
	  file. Now when building the map-cache, the water-heights should be
	  automatically read as well directly from the rsw's. [Skotlex]
	  WARNING: Not tested yet!
	  The water-height config file now is for aliases. When the rsw for a
	  certain map is not found, and this map exists in the water_height list,
	  then the water height of the second map listed in that file is used.
	* Some cleanups in irc.c [Skotlex]
	* Magic skills that ignore element now also don't take into account
	  elemental cards. [Skotlex]
	* Fixed compiler warnings in battle.c [Lance]
	* Changes by [reddozen] -->
		- Updated Full Buster's damage, status effects, and skill levels
		- Bullseye now only uses 1 coin
		- changed Adjustment's required SP
		- changed Incerase Accuracy's effect bonuses
		- changed Magical Bullet's SP cost
		- changed Piercing Shot's damage and SP
		- changed Desperado's range, hit count, aftercast delay, and SP
		- fixed Absorb Spirit Sphere being able to remove coins
		- changed Acid Demonstration's damage to the new Japanese formula

2006/03/21
	* Fixed duel in pk-mode (same party/same guild/alliance non-targeting issue).
	  Thanks to Hobbit for pointing that out. [LuzZza]
	* Fix on not showing guildmembers logins/logouts messages. [LuzZza]
	* Fixed SC_SWOO's opt3 value. Small monsters should stay small for skill's
	  duration now. [Skotlex]
	* Fixed allowing multiple recast of Dissonance/Ugly-Dance [Skotlex]
	* Fixed those annoying irc.c compile warnings. [Skotlex]
2006/03/20
	* Added monster_ai&16 setting for executing the hard ai on ALL mobs in maps
	  with players instead of just mobs in the vecinity of players. [Skotlex]
	* Cleaned up some guild functions. [LuzZza]
	- Now guild leaving/explusion packets sends correctly.
	- Fix to prevent creation alliance/opposition with same guilds.
2006/03/19
	* @stfu now allows negative intervals to be specified. [Skotlex]
	* Added overflow check to the login-server when sending GM accounts to
	  char. [Skotlex]
	* Small fix to prevent killer/killable states from allowing you to target
	  yourself. [Skotlex]
	* Added Explosion Spirits to list of effects that dispel on logout.
	  [Skotlex]
	* Fixed handling of guild skills by pc_blockskill_start, moved it to
	  skill.c [Skotlex]
	* Fixed autoguard icon showing with stun. [Skotlex]
	* Fixed acid demonstration breaking shield instead of armor. [Skotlex]
	* Fixed Slim Pitcher crashing server ocassionally. [Skotlex]
	* Hopefully fixed Ankle Snare lasting the whole trap's duration [Skotlex]
	* Added sc_start(SC_ENDURE) on infinite endure bonus. [Skotlex]
	* Fixed Berserk Pitcher consuming required items twice. [Skotlex]
2006/03/18
	* Fixed BA_DISSONANCE and DC_UGLYDANCE not working. status_check_skilluse was blocking
	  them due to the lack of an exception like BA_MUSICALSTRIKE has it. [blackhole89]
	* Documentation update on NPC whisper and rid2name. [Lance]
	* Fixed event_kill_pc to behave like what it should instead of another replication
	  of event_death. Added script function rid2name to convert bl ids to name. [Lance]
	* Recoded setmobdata script function. Fixed mob_damage typo sd -> mvp_sd. [Lance]
	* Added 'GetMonsterInfo(MobID,Idx)' script function. [Lupus]
	  You can get monsters name,level,race, etc by its Id. Check npc\sample\getmonsterinfo.txt
	* Fixed warnings on compilers again. [Lance]

2006/03/17
	* Fixed the mob_skill_db by commenting out lines with targeted skills
	  being cast during an idle state.  (Thanks to LittleWolf) [Zephiris]
	* Removed a block of code from skill_check_condition that actually belongs
	  to status_check_skilluse. Should fix silence/stun blocking skills
	  regardless of settings. [Skotlex]
	* Fixed misleading and inaccurately documented events and added a missing flag. [Lance]
	* Fixed npc_cleanup_dbsub not removing key and caused pointer being freed problem. [Lance]
	* Fixed handling of the char_gm_read config for packet 0x2af7 (reloadgmdb)
	  [Skotlex]
	* Added battle_config debuff_on_logout which removes Asura's SP regen delay
	  and Strip-Equip effects on logout when set to yes (default,
	  conf/battle/skill.conf). [Skotlex]
	* removed auto-attaching of player-run scripts in initnpctimer. You must
	  use attachnpctimer instead! [Skotlex]
	* Final fix on Juperos NPC. [Lance]
	* Fix on initnpctimer not attaching rid. [Lance]
	* Fix on OnTouch ignoring -1 NPCs. [Lance]
	* Fix on @reloadscript crashing due to passing non BL_SKILL bl to a function that accepts only BL_SKILL bl. 
	  [Lance]
	* Added area NPC detection in clif_parseLoadEndAck. [Lance]
	* Fixed compiler warning in script.c get_mob_data. [Lance]
	* Temperory resolved issues on Juperos until I get the exact description on the behaviour
	  in retail servers. [Lance]

2006/03/16
	* Changed NJ_ZENYNAGE according to this weeks patch to deal a random [MasterOfMuppets]
	  ammount of damage depending on the skill lvl.
	* @kill_monster/@kill_monster2 won't touch Guardians/Emperium now. [Skotlex]
	* Small change in the random item reading function, may fix @itemdbreload
	  messing up random item searches. [Skotlex]
	* Restricted GS_BULLSEYE to only be used on demi-human or brute monster targets [MasterOfMuppets]
2006/03/15
	* mob_chat_sub fix. Added buildin_pcblockmove. [Lance]
	* BL_PC and BL_MOB control script commands (experimental) [Lance]
	* Made an adjustment to addspiritball() to allow Gunslingers to summon up to 10 spheres [reddozen]
	* Fixed Tarot Card of Fate using time instead of time2 which is the one
	  that actually holds the effect duration. [Skotlex]
	* Fixed mob random walk interval being set to up to 6K seconds in some
	  instances. [Skotlex]
	* Added mapflag nodrop (prevents droping items to the ground). [Skotlex]
	* Fixed mapflag notrade doing nothing. [Skotlex]
	* Likely fixed Gravitation not hitting except for the last hit. [Skotlex]
	* Removed the hardcoded duration of 30 seconds for sleep. [Skotlex]
	* Fixed rangecheck for pet skill usage of INF_SELF_SKILL type of skills
	  [Skotlex]
	* Removed inall/exall from atcommand.conf since those two do not exist!
	  (pointed out by Ancyker) [Skotlex]
	* @me now uses entry 270 in msg_athena as output format. [Skotlex]
	* gm_skill_unconditional setting now also overrides skill_partner_check
	  setting. [Skotlex]
	* Emulated strtok_r functions to work strictly with ANSI compilers. [Lance]
	* Added battle config options item_rate_adddrop, item_drop_add_min and
	  item_drop_add_max to control drop rate of card-acquired loot bonuses.
	  (conf/battle/drops.conf) [Skotlex]
	* Added item_db2.sql and mob_db2.sql, thanks to Joshuaali [Skotlex]
	* Added more usage of msg_athena on the slave atcommands messages. [Skotlex]
	* Fixed twilight pharmacy dropping 1 item to the ground instead of the qty
	  produced. Thanks to k3dt [Skotlex]
	* Fixed Plagiarism not working unless you had some sc active. [Skotlex]
2006/03/14
	* Fixed a possible crash in Venom Splasher if the countdown is too high.
	  [Skotlex]
	* Fixed skill_notok blocking guild skills [Skotlex]
	* Fixed Napalm vulcan's time2 entry in the skill_cast_db [Skotlex]
	* Fixed the average_lv column size specification for levels above 255.
	  Thanks to Joshuaali (upgrade_svn5607.sql) [Skotlex]
	* Updated @rura/@warp. Now you can use both "@warp mapname x y" and
	  "@warp mapname,x,y". [LuzZza]
	* Added at-command @tonpc <NPC_name> (warp to NPC). [LuzZza]
	* Fixed @where at-command. [LuzZza]
	* Fixed WZ_WATERBALL + HW_MAGICPOWER [Skotlex]
	* Fixed incorrect range check in autospell-when-hit triggers. [Skotlex]
	* Modified Wedding recall skills to behave as in official [Skotlex]
	* Modified Arrow Shower to be a ground-based skill and work as it should on
	  officials. However, the unit_id is still unknown. [Skotlex]
	* Fixed skill_additional_effect triggering every time you were being hit
	  even if no damage was returned. [Skotlex]
	* Fixed battle_calc_damage_return to make magic damage be returned by 100%,
	  and received damage nullified. [Skotlex]
	* Changed a bit status_check_skilluse to check for dead characters, should
	  fix all the weird attack/attacked while dead bugs. [Skotlex]
	* Fixed player auto-attack not cancelling when dead. [Skotlex]
2006/03/13
	* Finished some checks to make sure Land Protector Only blocks BF_MAGIC
	  skills. Hammerfall is no longer blocked. [Skotlex]
	* Fixed script command warpparty looking for an attached player even when
	  it is not needed. [Skotlex]
	* Shield Reflect is now passed through Devotion as well. [Skotlex]
	- Devoted characters lose the devotion effect when the Crusader is at less
	  than 25% Hp. [Skotlex]
	* chrif_scdata_save will not send a save scdata request when the char has
	  been already tagged as in the final save. [Skotlex]
	* Some status_change_start cleanups, stuff like blessing should now remove
	  stone/curse even if the status does not begins because the character is
	  already blessed. [Skotlex]
	* Cleaned SC_SUITON a bit to get rid of that compile warning. [Skotlex]
	* Added function battle_calc_gvg_damage for gvg related damage reductions.
	  Fixes Gravitation being reduced as well as Pressure overriding max-castles
	  restriction. [Skotlex]
	* Corrected char-server parameters so that the subnet config file is the
	  third parameter, not the second (which was conflicting with
	  inter_athena.conf's argument), thanks to foobar. [Skotlex]
	* PR_BENEDICTIO now ignores mdef [Skotlex]
	* Fixed chatlog's x/y column capacity in sql-files/logs.sql [Skotlex]
2006/03/12
	* Updated clone skill copy to consider combo-skills. [Skotlex]
	* no_spawn_on_player won't work on mobs with no respawn delays now. [Skotlex]
2006/03/10
	* Cleaned up the Skillbreaker implementation, HP gaining happens at level 5
	  now. [Skotlex]
	* Autospells won't trigger now on maps where said skills are forbidden.
	  [Skotlex]
	* Changed div (multi-hit) behaviour. Skills with div above zero will get
	  their total damage increased by the number of hits, div less than zero is
	  just for "show", total number of hits displayed is abs(div), but damage
	  isn't increased by number of hits. [Skotlex]
	* Adjusted several skill damage equations to make up for the above change.
	  [Skotlex]
	* Fixed a overflow bug when one of the item_random* files has too many
	  random items. [Skotlex]
	* Fixed a variable loopback problem on NPC shop price checking routine. [Lance]
	* Fixed a memory overwrite crash on pc_readdb, thanks to foobar for the
	  fix. [Skotlex]
	* Fixed only the first TK stance triggering when you have multiple of them
	  active. [Skotlex]
	* Default of skill_attack_enable changed to yes. [Skotlex]
2006/03/09
	* Fixed the dancer/bard soul-linked skills toggling on/off with each call
	  to pc_calc_status. [Skotlex]
	* Fixed a bug in the pc_skillreset function which allowed TK rankers to
	  accumulate skill points. [Skotlex]
	* Fixed a major memory leak in status.c causing the last column of job_db1.txt
	  never being read. I have no idea how long this has been there, but signs point
	  to us using Katars at a random ASPD from somewhere in memory for ages. [blackhole89]
	* Fixed a critical bug in job_db1.txt reading in status_readdb. [blackhole89]
	* Fixed pc_damage_sp not properly substracting SP. [Skotlex]
	* Made Magic Crasher a BF_WEAPON attack. [Skotlex]
	* Made skill_unit_range a per-level setting. meteor and Lov now have their
	  unit range for bosses adjusted in the skill_unit_db rather than
	  hardcoded. [Skotlex]
	* Added Gunslinger/Ninja Status Change icons. Somebody needs to look into
	  them though for not all SCs have a matching SI. [blackhole89]
	* Changed ITEM_NAME_LENGTH to 50. [Skotlex]
	* Fixed stun's duration not getting reduced by vit + luk/3 [Skotlex]
	* Fixed #itemlist not taking into consideration crafted/forged items and
	  pet eggs. [Skotlex]
2006/03/08
	* More work on ninja/gs. Which made me do... [Vicious]
	- Add more weapon type(17~21 for guns) [Vicious]
	- Included MAX_WEAPON_TYPE in status.h and updated the codes
	  (Whose idea was it to do static number... esp dual weapon) [Vicious]
	* Fixed a bug that was making the no_spawn_on_player setting useless.
	  [Skotlex]
	* Added Deadly Poison and Bleeding to status_get_sc_def, meaning that now
	  vit does increases defense against being inflicted from it. [Skotlex]
	* Fixed and tested @whodrops [Skotlex]
	* Updates to Gunslinger skills' DB entries. [blackhole89]
	* Rewrote pc_jobchange to be sane by using the map internal codes instead
	  of a mesh of complicated nested comparisons. [Skotlex]
	* pc_authok will now change you to a novice if your class isn't identified
	  as a valid one. BACK UP before updating, because.. well, just in case you
	  start seeing novices filling up your city. [Skotlex]
	* Mobs will now chase you even if you hit them from outside their range of
	  view. [Skotlex]
	* Fixed item disappearing from the floor when you attempted to pick it up
	  and there was no room in your inventory. [Skotlex]
	* About half-ish nj/gs skills are semi/fully-done. No effect/status yet though. [Vicious]
	* Added atcommand @whodrops which lists mobs with the top drop-rates for a
	  given item. List of stored mobs and their dropchances is also defined by
	  MAX_SEARCH on map.h [Skotlex]
	* Modified atcommands @mobinfo and @iteminfo to display multiple matches
	  instead of just one. Max number of matches to display is set in map.h
	  (MAX_SEARCH) which is currently 5. [Skotlex]
2006/03/07
	* Base for ninja/gunslinger is mostly done. need to work on skills now. [Vicious]
	- Updated sql-files/ mob_db.sql and item_db.sql to current txt dbs. [Skotlex]
	* @job ninja/gunslinger. No skill tree or anything yet. [Vicious]
	* Gospel won't start taking effect until after 10 secs have passed since
	  invocation. [Skotlex]
	* Now if a skill has inf set to 4 (self skill) and inf2 512 (cannot target
	  self) this skill becomes a target-auto-select skill, which targets your
	  current attack target, and won't stop your current attack. The current
	  attack is delayed by your aspd (except for a few skills such as the monk
	  combo skills which readjust this delay). All Monk combo skills plus Taekwon
	  kick skills have been updated to use this. [Skotlex]
	* Added a check that forces self skills (inf = 4) to select yourself as
	  target to prevent oddities from crafted packets. [Skotlex]
	* More ground work for Ninja/Gunslinger [Vicious]
	* status_calc_pc now assumes that if your max hp is negative, it has
	  overflowed, and as such, it is set to the max_hp setting instead of 1. This
	  'dangerous' assumptio is alright as long as there aren't equipment that can
	  send your hp to negative values. [Skotlex]
	- Fixed the soul linker skill tree. (Thanks to muad_dib) [Zephiris]
	* Added Gunslinger and Ninja into @job. of course, you need latest EXE
	  for make this work... and of course no skills yet! [Vicious]
	* Storm Gust now knocks back on a random direction instead of away from the
	  storm. [Skotlex]
2006/03/06
	* Some fixes due to the guild-skill changing location (being moved from
	  500->900 within the code) [Skotlex]
	* Fixed npc_event doing a map-check when the npc is not on any map.
	  [Skotlex]
	* Fixed a debug message showing up on skill castend nodamage id when using
	  a guild skill. [Skotlex]
	* Fixed #save not working on maps not in the current map server. [Skotlex]
	* Added battle config clear_skills_on_death to decide whether all
	  ground-based skills should be removed when you die. Defaults to yes.
	  [Skotlex]
2006/03/05
	* Removed my EXP limit as it did not do what it was supposed to [Codemaster]
	* Fixed remove-trap [Skotlex]
	* Fixed animation of Redemptio [Skotlex]
	* Some reorganization of how the skill check functions behave
	  (skill_get_*). Guild skills have been moved to the range 900~915 (instead
	  of 500~519 in the code). [Skotlex]
	* Set the default for display_delay_skill_fail to 'no' as it should have been
	  for a while (the kRO patch about that was last year, long time ago) [DracoRPG]
	* Fixed easter.txt typo. [Lance]
	* Extended summon command to enable custom timeouts. [Lance]

2006/03/04
	* Fixed a bug in the subnet checking function, login-TXT server. Also
	  changed the messages to be a bit more informative. [Skotlex]
2006/03/03
	* Added function battle_set_walkdelay in charge of updating walkdelays of
	  characters based on two criterias: when the delay is induced by damage, if
	  the current walk delay isn't over yet, do not update it. If the delay is
	  instead caused by a skill, then the current walk delay cannot be decreased,
	  only increased. [Skotlex]
	* Added upgrade_svn5455.sql, it converts the manner and karma columns to
	  signed. Apply this if your tables have the field as unsigned (which would
	  explain mute always disappearing after relogging) [Skotlex]
	* status_change_start now checks on a 0->10000 scale, should fix sc-cards
	  with very low rates never triggering (eg: some coma-inducing cards).
	  [Skotlex]
	* Cleaned up the active guild skills. They should be usable now by
	  non-players as well. [Skotlex]
	* Fixed crash on the NPC whisper system when the message's size was 1.
	  [Skotlex]
	* Strip status changes are now removed on logout. [Skotlex]
	* Added a column in skill_cast_db for specifying can't walk delays. It's
	  all set to 0 currently, so someone get updating them! [Skotlex]
	* Removed the apply walk-delay entry from skill_cast_nodex as the new walk
	  delay column handles this now. [Skotlex]
	* Fixed autoloot dropping the item to the ground even when it was
	  autolooted. [Skotlex]
	* Fixed character deletion working on SQL without an email address (Thanks to Valaris) [Zephiris]
	* Added event 8 for mobspawns that should spawn with special ai set. This
	  means that now in the mob_spawn files if you use 8 as the last entry, the
	  mob will use the special ai, and as such, it will only attack other mobs,
	  not players (can obviously be combined with 2 for small mobs and 4 for
	  large mobs, eg: 10 for a small mob with special ai set) [Skotlex]
	* Modifed battle_check_target so that mobs with special ai will only target
	  by default mobs without said state (this will prevent normal clones from
	  fighting among themselves, for example) [Skotlex]
	* Trick dead now ends on logout [Skotlex]
	* Added mapflag nocommand which blocks @/# commands unless your gm level is
	  above gm_skill_unconditional's level. [Skotlex]
	* Fixed weapon scripts not being executed unless the weapon was forged.
	  [Skotlex]
	* gm_skill_unconditional is now a no/gm-level setting instead of yes/no
	  [Skotlex]
2006/03/02
	* Slaves inherit speed will now only work if the master can move. [Skotlex]
	* Some cleanup and reorganization on the way pet-skill variables are
	  handled. [Skotlex]
	* Fixed a typo that disabled all pet support skills from triggering (except
	  ground-based ones) [Skotlex]
	* status_check_skilluse cleanup. Some status will only block skills when
	  they are first used, not on cast-end (which includes auto-spells and
	  ground-skill checks). Now when status_castcancel is 'no', skills WILL
	  come off after the cast bar is done. [Skotlex]
	* Gravitation now only affects the caster, should have also fixed the skill
	  not doing damage when skill_caster_check is set. [Skotlex]
	* Max fame list size is now defined by MAX_FAME_LIST constant (mmo.h)
	  [Skotlex]
	* Individual fame lists sizes can now be specified through the char-server
	  (check the fame list configs in char_athena.conf) [Skotlex]
	* Some cleanup on mob_can_reach code to prevent unnecessary path-searching
	  [Skotlex]
	* Optimized the path-searching ai for mobs to try target cells around the
	  target in order rather than randomly picked cells. [Skotlex]
	* Applied Snufkin's patch to fix compilation on FreeBSD. [Skotlex]
	* Fixed mobs targetting themselves after using a support skill. [Skotlex]
	* Gospel no longer blocks item usage of whoever is in the area of effect,
	  only the caster of Gospel can't use healing items now. [Skotlex]
	* Added the long/near attack_def_rate card effects to battle_calc_magic
	  (horn card and the like will now work with spells) [Skotlex]
	- Elemental fields should vanish on map-change now. [Skotlex]
	- Land Protector only blocks magical ground skills now. [Skotlex]
	* Fixed item pickup not picking anything unless you were in a party with
	  item distribution set [Skotlex]
2006/03/01
	* Made it so players that are at the max level do not receive EXP.
	  This makes it so a player at the max level (ie - 99) cannot join a party
	  and feed all of his or her EXP to the other party members [Codemaster]
	* Mapregsql will now fully depend on mmysql_handle. [Lance]
	* Optimized strcharinfo to use switch. [Lance]
	* Some cleanup of the mob skill reading. Added error reporting for unknown
	  states/conditions, error reporting now specifies the file and line number.
	  [Skotlex]
	* Silence will only block skills when they have begun casting, not when the
	  cast bar is done. This also means that auto-spells will likely come-out
	  even when silenced. [Skotlex]
	* opt1 status will block skills when they are done casting only if the
	  sc_castcancel option is set. [Skotlex]
	* strcharinfo now returns blank instead of crashing the map server when
	  there's no player attached. [Skotlex]
	* Added a missing mysql_init call to the mapreg sql handle. [Skotlex]
	* Checked and fixed the script engine barking when you try to have a label
	  with the same name as a const.txt defined parameter. [Skotlex]
	* Turn Undead and Offensive Resurrection should now work on undead players.
	  [Skotlex]
	* Fixed the range checking of Repair weapon [Skotlex]
	* Rude attacked is now also triggered when you hit a target that can't move
	  out of their melee attack range. [Skotlex]
	* Mob ai will attempt to do a long-range attacked condition skill before
	  unlocking a target when it is attacked and said target is out of melee
	  range of a non-walking mob. [Skotlex]
	* Corrected mobskill event to set the target_id before triggering. This
	  should fix shortrange/longrange attacked mob skill conditions. [Skotlex]
	* Moved MSC_SKILLUSED trigger to mobskill_event which is triggered in
	  battle_calc_damage. It is also triggered on skill_castend_nodamage_id.
	  [Skotlex]
	* Added party_share_loot for handling party-share loot. it should now work
	  with autoloot as well. [Skotlex]
	* Fixed skill_break_rate breaking stuff even if the rate is 0. [Skotlex]
	* pc_stopwalking will not send a fixpos packet if you are sitting. [Skotlex]
	* mob_can_reach rude-attacked condition now uses the mob's field of view.
	  [Skotlex]
	* SC_NOCHAT is automatically started on pc_authok if manner is negative.
	  [Skotlex]
	* Map server now refuses to start if you try to define a label with the
	  same name as some const.txt defined character parameter. [Skotlex]
	* Corrected a few Compiling Warnings [Codemaster]
	* Added the ability to select GM loading via Login (default) or Char [Codemaster]
	* Added script command 'setbattleflag'. [Lance]
2006/02/28
	* Rewrote LAN support code. Changed configuration file name
	  lan_support.conf to subnet_athena.conf, changed it syntax. [LuzZza]
	* Added script command 'equip' to equip items. [Lance]
	* Fixed dependancies in map-server compiling (VC7.1). [Lance]
	* Added autoequip flag check for pc_takeitem. If it impacts on perfomance, please remove it. [Lance]
2006/02/24
	* Prevented guild/party recall to work on GMs of greater level than
	  yourself. [Skotlex]
	* Prevent muting players with higher GM level than yourself. [Skotlex]
	* Fixed Lady Tanee's spawns. [Skotlex]
2006/02/23
	* Fixed the CL_WHITE define, thanks to FlavioJS [Skotlex]
	* NPC break equipment stuff now has a 1.5% per skilllv success rate.
	- This is a custom value as 20%-lv10 seems too high and 10%-lv10 seems too
	  low. [Skotlex]
	* pc_setpos won't random warp players if placed on top of Moonlight Petals
	  [Skotlex]
	* Removed the check in clif.c for npc_shopid as the client never sends a
	  packet when the trade is cancelled... [Skotlex]
	* Player-summoned mobs won't level up now. [Skotlex]
	* Fixed Super Novice explosion spirits triggering no matter what you said
	  on the third line. It now triggers on the fourth line.... [Skotlex]
	* Fixed GTB blocking targetted spells when gtb_pvp_only was set. [Skotlex]
	* Merged the code of Ankle snare and Spider web. It no longer moves target
	  if sc failed. [Skotlex]
	* Players should stop walking as soon as they start vending or get into a
	  chat. [Skotlex]
	* Added mob skill conditions myhpinrate and friendhpinrate. [Skotlex]
	* Added monster_ai condition 16 (enable `friend` targetted skills to heal
	  oneself) [Skotlex]
	* Fixed the shop id not clearing when buying/selling (which made you get
	  stuck afterwards). [Skotlex]
	* Modified the way autospells stack to mimic official servers. Cards of the
	  same ID cannot stack, but different cards with the same skill can each
	  trigger indepedently of each other. [Skotlex]
	* Added battle_config autospell_stacking to enable stacking of cards of
	  same ID. (see battle/item.conf) [Skotlex]
	* Moved card-specific battle options to items.conf [Skotlex]
	* Autospells triggered when hit will check the range to the target.
	  [Skotlex]
	* Some cleaning up of status_calc_pc [Skotlex]
	* In status_change_start capped the passed success chance to 100% [Skotlex]
2006/02/22
	* Windwalk's flee bonus is now +1 every 2 skill lvs. [Skotlex]
	* Changed the way equipment breaking works. Function pc_break_equip was
	  removed and now skill_break_equip is used. Basicly, it's the same as
	  before, except that when you 'break' a piece of equipment of a
	  non-player, the corresponding strip(weapon/armor/shield/helm) status
	  effect is induced (duration: strip skill lv 1) [Skotlex]
	* Cleaned up the Dev folder. [Skotlex]
	- Take note of the file todo-for-stable, which holds all modifications in
	  trunk that have not yet made it into stable. Be sure to update the file
	  as needed.
	* Updated the path searching code with jA's current implementation.
	  [Skotlex]
	- There is a slight chance the CELL_NOSTACK mod broke, someone test that.
2006/02/21
	* Fixed the range-check of targetted skills (was evaluating the range as 0
	  always) [Skotlex]
	* Now you should receive the party/guild mini-dots on map-load without the
	  need of waiting for others to "move" for you to receive the update (fixes
	  dead characters never showing up on the map) [Skotlex]
	* Fix to prevent using main chat when it disabled in atcommand_athena. [LuzZza]
	- Fixed message codes in duel functions.
	- Small fix in log_refine, incorrect compare expression.
	* Some cleaning of the warp portal code so that when it is "pre-casted" it
	  doesn't mess up with other casted skills. [Skotlex]
	* Some fixing on the weapon-refine code. [Skotlex]
	* Cleaned up some npc_event error reporting. [Skotlex]
	* Some cleanup of the castend routines to not clear the skill variables if
	  for some reason the casted skill triggers another skill. [Skotlex]
	* Vending is now cancelled on a pc_setpos [Skotlex]
	* Pressure again ignores Basilica. [Skotlex]
	* Fixed attacker's sc being nulled when the target's sc is empty (fixes
	  most status changes not taking effect during battle) [Skotlex]
	* Slaves now do a battle_check_target to check if the new target is an
	  enemy when acquired through the master's skilltarget. [Skotlex]
	* Fixed SC_SKE halving de2 twice. [Skotlex]
2006/02/20
	* The Super Novice Explosion Spirits skill will now trigger when the last
	  sentence is said (not after the next sentence as it was currently) [Skotlex]
	* Now the default delay of amotion is applied only for BF_WEAPON, non
	  NK_NO_DAMAGE skills (so stuff like Summon Spirit Sphere get the default
	  skill delay rather than ASPD) [Skotlex]
	* Made the Char-SQL server send the GM listing when the map server
	  connects. [Skotlex]
	* Play-dead and Basilica now block Gospel [Skotlex]
	* Map SQL server will no longer ignore the gm-list packets received from
	  char. [Skotlex]
	* Login-SQL server will not free the current GM listing if the SQL reading
	  of it failed (prevents GM lists being lost on SQL connection problems)
	  [Skotlex]
	* Login-SQL will now read for the GM list ALL accounts with level above 0,
	  not just those with level above min_gm_level (just like the TXT server
	  does) [Skotlex]
	* SC_NOCHAT is not dispelled on death now. [Skotlex]
	* Cleaned up the global message function, Super Novice Explosion Spirits
	  will not trigger on maps where said skill can't be used. [Skotlex]
	* Close confine won't get the bonus range on cast as other skills do due to
	  exploits. [Skotlex]
	* Fixed a bug in setnpctimer. [Skotlex]
	* Menu-based skills now use their own variables separetly from the normal
	  skill variables. This should enable them to work even when you keep doing
	  other stuff between the menu invocation and selection. Also gives a better
	  control over packet-based exploits. Affected skill/script-commands are:
	  [Skotlex]
	- Arrow Crafting
	- Warp Portal / Teleport
	- Item producing
	- Identify
	- Repair weapon
	- Pet egg selection
	- Hindsight
	- Weapon refine.
	- Feel of the Stars, Moon and Stars.
	* Corrected the implementation of Gangster's Paradise to work as it should.
	  [Skotlex]
	* Fixed Close-confine not properly ending on a knockback (that includes
	  backsliding) [Skotlex]
	* Changed MAX_RANDITEM from 2000 to 10000 to fit new databases [Komurka]
	* Fixed Taekwon stances not triggering. [Skotlex]
	* Added atcommand @exp [Skotlex]
	* Added error reporting when add_timer_interval receives a negative/0
	  interval value. [Skotlex]
	* Fixed a possible infinite recursion bug with splash self skills. [Skotlex]
	* Modified the way firewall_hits_on_undead works, to loop and invoke
	  multiple skill_attacks based on the value. Now it behaves a lot closer to
	  how Aegis Firewall does (except a good default value for this config switch
	  is missing) [Skotlex]
	* Preparing eA for new mob_skill_db from Aegis 10.2 [Komurka]
	- increased MAX_MOBSKILL 32 -> 40

2006/02/19
	* Some fixes to the last item usage tick. Items should be working fine now.
	  [Skotlex]
	* Fixed parsing of @kamic/@kamib to check for case. [Skotlex]
	* Now you can hide from Pressure. [Skotlex]
	* Weapon endowing will work on targets already endowed with the same
	  element. [Skotlex]
	* Now reseff cards will take effect even if the status change is passed
	  with &8 flag. In short, now reseff are ALWAYS applied to the status change
	  defense. [Skotlex]
	* Removed a missing break that was making AM_TWILIGHT2/3 always fail.
	  [Skotlex]
2006/02/18
	* Removed the SP_<stat> cases from status_get_sc_def as they were colliding
	  with other status changes. [Skotlex]
	* Implemented SG_MIRACLE (Miracle of the Sun, Moon and Stars) [Komurka]
	- duration is stored in battle_config.sg_miracle_skill_duration (currently 
	  it's set to 10 minutes)
	- ratio is stored in battle_config.sg_miracle_skill_ratio (currently it's set
	  to 0.01% chance per character move)
	- this skill enables you usage of all Warmth skills, Comfort skills, and also 
	  all mobs will be target of the Stars regardless of the day and map
	- you'll see message "[Miracle of the Sun, Moon and Stars]" when skill kicks in
	* Added upgrade file upgrade_svn5322.sql because apparently not everyone
	  has the guild table with autoincremental guild_id defined. [Skotlex]
	- If you can't create guilds, chances are you need to apply this ugprade.
	* Fixed a missing break that was making Heal, Resurrection and some others
	  become attack skills [Skotlex]
	* Some CELL_NOSTACK Mod updates: [Skotlex]
	- Made the free-cell lookup more extensive.
	- Allowed pc_setpos to place players on top of cells that are stacked 
	- Fixed a logic bug in the mob-walk code that was making them get stuck and
	  not move (triggered quite often when the cell no stack mod is enabled)
2006/02/17
	* Cleaned up irc.c, may it compile now on Windows? [Skotlex]
	* Updated the VC project files by Joshuaali. [Skotlex]
	* Fixed possible crash on pet egg select. [Skotlex]
	* Massive update on the way splash/area (non-ground) skills work. [Skotlex]
	- the new column 'splash' in skill_db is now used to determine the area of
	  effect of all related skills (eg: splash range of fireball, area of effect
	  of angelus, the splash damage area of mines, etc)
	- nk definition update. &1 is no damage skills, &2 is for splash skills. A
	  skill can be tagged 3 to indicate it is both. This is used to indicate the
	  type of handling the skill should use, but it also helps as all splash
	  skills get an extra check to prevent them from hitting 'unhittable'
	  characters (ie: hidden) while all skills not tagged as non-damage can
	  trigger auto-spells.
	- All self skills are automatically executed as no-damage skills and get
	  re-routed as damage skills when the source and target do not coincide (this
	  handles all combo skills)
	- Some skills may have screwed up (I fixed/moved all which I could find
	  needed updating). As usual, report any issues.
	* Added an upgrade_svn file that should fix the party table by making the
	  party_id auto-incremental. Apply this or new parties will always fail!
	  [Skotlex]
	* Changed around the included files in irc.c to see if it compiles under
	  Win32 native. [Skotlex]
	* Char-SQL server updates: [Skotlex]
	- Removed the unnecessary party/guild check on each char-save.
	- Removed the 'quick loaded char' messages.
	- Some code cleanup.
	- Fixed one or two memory leaks.
	* Applied the suggested fixes by Joshuaali to fix the compiling of the sql
	  map server on Win32 systems. [Skotlex]
	- note that irc.c is still uncompilable, but the rest "should be fine" now.
	* Fixed the memory leak on opt_2str as pointed out by End of Exam [Skotlex]
	* Fixed a few char SQL memory leaks as pointed out by End of Exam [Skotlex]
2006/02/16
	* Fixed a crash in AL_TELEPORT. [Skotlex]
	* Now you can't close-confine and already confined mob. [Skotlex]
	* mysql/my_global.h now includes winnt.h under Windows systems... [Skotlex]
	* Some code cleanup of status.c [Skotlex]
	* Removed the check that prevented mobs from walking into a basilica. [Skotlex]
	* Added a new column in the skill_db to specify the
	  splash-range/area-of-effect of skills.  (Work in progress) [Skotlex]
	* Autocasted AL_TELEPORT should now automatically pick menu entry rather
	  than showing the box up. [Skotlex]
	* The battle config options sp_rate and hp_rate are now applied
	  independently of the same type of bonuses from cards. [Skotlex]
	* In CELL_NOSTACK mode, mob_canreach will now ignore other players when
	  checking if there's a path to the player. [Skotlex]
	* Added RG_RAID to the list of skills that need a status_checkskilluse on
	  skill_attack. [Skotlex]
	* Added the mapflag check monster_noteleport to AL_TELEPORT. [Skotlex]
	* Fixed the sc_def rate not being reduced in status_change_start. [Skotlex]
	* Changed the include in irc.c from strings.h to string.h, which fixes a
	  bunch of compilation warnings here... [Skotlex]
	* Updated the SQL login/char servers to let the mysql server grant the new
	  IDs for accounts/chars/pets/parties/guilds instead of them being handled by
	  the server. [Skotlex]
	* Some cleaning of the pc item use functions. [Skotlex]
	* Gospel shouldn't block enemies in certain situations from using items
	  now. [Skotlex]
2006/02/15
	* Fixed crash in chrif_load_scdata warning message. [Skotlex]
	* Fixed pets displaying "strangely" when they did not have their pet armor.
	  [Skotlex]
	* Added battle config option pk_level_range for specifying valid level
	  ranges to engage in PK (battle/misc.conf) [Skotlex]
	* Added battle config allow_es_magic_player to enable SL_S* skills to work
	  on non-mobs. (battle/skill.conf) [Skotlex]
	* Fixed the char servers to store correctly exp as uints. They are also
	  capped to LONG_MAX before being sent to the client. [Skotlex]
	* TK_DODGE now dodges all ranged attacks, when used with SPURT, dodges
	  everything. [Skotlex]
	* The autospell loop now cancels after one successful cast. This means if
	  you have 10 autospells with 100% casting rate, only one will come off with
	  each hit instead of all of them. [Skotlex]
	* Warm skill update: [Skotlex]
	- they are type BF_WEAPON, so that they may trigger effect/spell cards.
	- Changed their element to -1 to carry on weapon's element.
	- Against player it only damages 60SP per "hit"
	- Against non-players it is a knockback skill as it was before.
	- Hit frequency increased to once every 100ms.
	* TK_DODGE now only dodges ranged weapon attacks, while under Spurt mode
	  it dodges everything (provide better information if this is not how it
	  should behave as the current info given is conflicting itself >.<)
	  [Skotlex]
	* Cleaned up and expanded the sc_def_rate battle config. The new battle
	  flags are mob_sc_def_rate, pc_sc_def_rate, mob_max_sc_def, pc_max_sc_def
	  [Skotlex]
	* Modified Marionette Control so that the max bonus stats you get is capped
	  to your server's defined max stats instead of 99. [Skotlex]
	* Mobs are no longer affected by the vs_traps_bctall switch. [Skotlex]
	* Added function pc_damage_sp to damage the SP of players, updated code as
	  necessary. [Skotlex]
	* Fixed @lvup command adding levels instead of substracting when you
	  specify a negative quantity. [Skotlex]
2006/02/14
	* pc_setinventorydata won't use itemdb_search on empty inventory slots (id
	  = 0) [Skotlex]
	* Fixed the icon from Provoke being gone. [Skotlex]
	* Fixed skill_timerskill (most notable skill broken: water ball doing 1
	  hit) [Skotlex]
	* Removed the declaration of puchar and pchar from my_global.h which was
	  preventing compiles on native win NT systems. Drawback is now Win9X systems
	  will fail to compile instead... [Skotlex]
	* Hiding cancels Close Confine now. [Skotlex]
	* ST_MOVE_ENABLE now also checks for pc_can_move(), and only perform a walk
	  check if the skill is ground targetted. [Skotlex]
	* Moved the berserk_cancel_buffs code to status_change_start. [Skotlex]
	* Moved most checks of status_isimmune() to status_get_sc_def [Skotlex]
	* Allowed Endow skills to go through status_isimmune characters. [Skotlex]
	* Fixed PR_BENEDICTIO not taking away all SP. [Skotlex]
	* Modified the way Status changes are linked to skills for an easier to
	  read implementation (see status_initChangeTables). [Skotlex]
2006/02/13
	* Added battle config sc_def_rate which adjusts natural defense of
	  characters against status changes (see conf/battle/battle.conf). [Skotlex]
	* Pet eggs will now not be deleted from the inventory until they arrive
	  from the char-server. [Skotlex]
	* pc_readdb will now print if any classes are missing their exp tables.
	  Only exception are JOB_WEDDING and JOB_XMAS. [Skotlex]
	* Made the NPC_BREAK* skills attack skills again, their chance of equipment
	  breaking code was moved to skill_additional_effect. [Skotlex]
	* Now when the exp table does not has enough data to reach the max level
	  specified, the max level will not be reduced to enable leveling through
	  quests/scripts/gm-commands/etc. [Skotlex]
	* Made Land Protector Block Hammerfall. [Skotlex]
	* Updated item_db code to stop creating items for every non-existant ID
	  used. Instead it will complain, and use a dummy item that has the view ID
	  of an apple, and it's type 3 (etc item). [Skotlex]
	* Modified PA_GOSPEL so that the random damage attack becomes a BF_MISC
	  attack. [Skotlex]
	* Added pc_resetskill when lowering job level and there's not enough
	  skill points to substract. [Skotlex]
	* Fixed SG_FUSION costing SP to deactivate. [Skotlex]
	* Some cleaning up at pc_setpos to prevent calling pc_clean_skilltree
	  [Skotlex]
	* Enabled use of TF_HIDING while Cloaked. [Skotlex]
	* pc_resetstate won't remove wedding skills now [Skotlex]
	* NPC_POWERUP now gives +40% atk per level. [Skotlex]
	* Water elementals can be frozen again. [Skotlex]
	* Fixed the sc_def equation in status_change_start. [Skotlex]
	* Fixed an extra semi-colon that broke win32 compiles. [Skotlex]
	* Some rewriting of bounds checks in @baselvup, @joblvup and the #
	  equivalents to prevent signed/unsigned comparisons. [Skotlex]
	* Now slaves give exp/loot (exception: player slaves still stick to the old
	  rules of no exp/loot) [Skotlex]
2006/02/12
	* Some path cleanups meant to get the CELL_NOSTACK mod working better with
	  path searching and the like. [Skotlex]
	* Optimized functions skill_addtimerskill/skill_cleartimerskill [Skotlex]
	* Fixed SC_DANCING for non players (was making dances only last 1 second
	  for them) [Skotlex]
	* Modified map_moveblock to handle updating dance's position as well as
	  ending close confine status effects. [Skotlex]
2006/02/10
	* Fixed Sonic Blow's damage for lvl 1~9 [Vicious]
	* The status window will now show the total power of both weapons instead
	  of just the right-hand weapon for dual wielders. [Skotlex]
	* Removed #include <lcms.h> from irc.c, since it's unused and some people don't have it. [Valaris]
	* Changed the default MAX_LEVEL supported by the map server to 1000. [Skotlex]
	* Pet Lures won't be consumed now when used on a non-mob. [Skotlex]
	* Fixed map_searchrandcell function. [Skotlex]
	* Modified the NPC_BREAK* skills to break equipment at a 10%*lv rate. [Skotlex]
	* Modified the drop item routines to perform stacking checks only for
	  player attempted item drops, therefore, mob drops will stack up to
	  infinity. [Skotlex]
	* NPC_POWERUP now gives +20% attack per skill level. [Skotlex]
2006/02/09
	* Fixed "set baselevel, X" sending one to a different level than the one
	  requested. [Skotlex]
	* Added range checking to mob skill loading of permillage and delay to
	  prevent overflows. [Skotlex]
	* Fixed pc_gainexp not working for next level exp requirements above
	  INT_MAX. [Skotlex]
	* Fixed the display of @showexp not working right for exp values above
	  INT_MAX. [Skotlex]
	* Removed the conf sql code for now.  Maybe will continue later with that project.
	  Lowered the irc keepalive timer, and added some checks for use_irc that should have been there.
	  Added a return line \n to the beginning of the title screen. [Valaris]
	* Added function mob_respawn which makes a mob respawn on spot 3 seconds
	  after defeat if SC_KAIZEL is active. [Skotlex]
	* Modified NPC_REBIRTH to use Kaizel level 1. [Skotlex]
	* Added setting max_exp_gain_rate which caps how much exp you can get from
	  a single kill. See battle/exp.txt for details. [Skotlex]
	* pc_readdb will now cap experience required per level to UINT_MAX, it will
	  warn if the exp table has exp values above said limit. [Skotlex]
	* Changed the default of skill_delay_attack_enable to no. [Skotlex]
	* Code rewrites in mob_damage and party_exp_even_share for correctly
	  handling overflow issues. Now uses UINT_MAX for range comparisons, as it
	  should be. [Skotlex]
	* Also modified the mob_db reading to use UINT_MAX for exp limits, changed
	  their exp/job exp fields to unsigned int as well. [Skotlex]
	* Modified multi_level_up behaviour to work as specified by Kyoki. That is,
	  on a level up, the max carry-over exp is the exp needed for the previous
	  level -1. [Skotlex]
	* Modified the skill attack display of Meteor Assault and the Warm Skills
	  (I think the caster should no longer do fancy animations now on each hit)
	  [Skotlex]
	* Added back water elemental targets being immune to SC_FREEZE [Skotlex]
	* SQL compile fix [Komurka]

2006/02/08
	* Added battle config option skill_caster_check, which does a
	  status_checkskilluse on all skill attacks. When enabled (default on) the
	  caster of the skill is checked on all skill_attacks, which means that
	  ground spells will make no effect if the caster is unable to fight
	  (stunned, frozen, etc) [Skotlex]
	* Added battle config option status_cast_cancel. When enabled (default off)
	  some status changes (freeze, stone, etc) will cancel your cast. [Skotlex]
	* Fixed the death exp penalty underflow bug. [Skotlex]
	* Rewrote/organized status_change_start, it now receives the base rate for
	  the effect. It handles reducing this rate/duration through natural
	  resistances and whatever else should reduce it. [Skotlex]
	* Fixes to exp2.txt on the novice job exp. Thanks to rollopop. [Skotlex]
	- Also modified exp2.txt to use the normal max levels by default.
2006/02/07
	* Modified battle_check_distance, mobs should no longer find a diagonal
	  spot on which they lock onto their target, yet fail to attack from. [Skotlex]
	* Removed the max level configs from battle/exp.txt [Skotlex]
	* Now NPC_POWERUP uses SC_INCATKRATE instead of SC_EXPLOSIONSPIRITS for
	  enhancing damage. Instead of +1k atk per skilllv, it is +50% atk per
	  skilllv. [Skotlex]
	* Fixed char server changing the save/last point to new grounds in certain
	  situations. [Skotlex]
	* Fixed SG_STAR_ANGER not getting it's damage bonus at all. [Skotlex]
2006/02/06
	* Added a custom exp table that goes up to level 1000 (db/exp2.txt). [Skotlex]
	- It uses a inverse exponential growth rate to mimic the official exp rate
	  increase as close as possible.
	- It overrides the exp level of the last 5~10 official exp values for a
	  smoother curve.
	- It's adjusted so that the Lv1000 exp requirement for Advanced Base/2nd
	  Job is close to the unsigned int limit without going above it (limit is
	  4294967295 in my system. It goes up to 42k Million on Advanced
	  Base lv1000, I think)
	* Fixed startnpctimer starting multiple timers instead of failing when the
	  npc timer is already running. [Skotlex]
	* Venom Splasher update: [Skotlex]
	- always hits (but splash damage targets can still avoid it)
	- Being hit does not cancels it,
	- works at 75% or less of target's HP
	- being hit normally while under the count has a chance of causing poison.
	- Damage is +400% + 50*lv%
	* Using autoloot with no arguments now toggles it between @autoloot 0 and
	  @autoloot 100%  [Skotlex]
	* Falcon Assault now takes Blitz Beat lv5 as base damage. [Skotlex]
	* Fixed pc_makesavestatus not updating status.option correctly. [Skotlex]
	* Corrected Waterball so that higher levels can do insane amount of hits. [Skotlex]
	* Altered slave behaviour. No more random walking, will stay within 2 cells
	  of their master. [Skotlex]
	* Reverted the Summon Slave behaviour to not adjust level based on number
	  of current slaves. [Skotlex]
	* Coma no longer sends SP to 1. [Skotlex]
	* Updated Meteor so that when level 11 or more is casted, the area over
	  which meteors fall is tripled. [Skotlex]
	* Dark elemental characters are now immune to Curse. [Skotlex]
	* Fixed sc_data saving to sql buffer building method. Thanks to its_sparky. [Skotlex]
	* Changed the map zone reading from using pow to a bit shift. [Skotlex]
	* Experience has now been changed to unsigned int, and is read as such from
	  the dbs. [Skotlex]
	* Increased HT_DETECTING seek range to 7x7 [Skotlex]
2006/02/05
	* Added some of eAIRC bot code, written by me and LittleWolf.
	  It is disabled and has no configuration options yet, as it is not finished. [Valaris]
	* Fixed and documented script command "callshop". [Skotlex]
	* Updated sq;-files/mob_db.sql with current mob_db. [Skotlex]
	* Updated sql-files/item_db.sql with current item_db. [Skotlex]
2006/02/04
	* Skotlex's Falcon Assault fix. [Vicious]
2006/02/03
	* Fixed the debug script messages specifying the wrong mapname for NPCs.
	  [Skotlex]
	* Now you can't hide from earth elemental attacks (status_check_skilluse).
	  [Skotlex]
	* Grand Cross/Grand Darkness can no longer get the ignore defense -armor
	  piercing bonuses from cards. [Skotlex]
	* Loki's weil is now ignored by bosses. [Skotlex]
	* Land Protector and Gantantein should now ignore traps. [Skotlex]
	* Fixed Shinobi card so that it fails when you aren't next to a wall.
	  [Skotlex]
	* After a guild master change, the new guild master has his guild skills
	  blocked for 5 minutes to prevent abuse. [Skotlex]
	* Fixed txt-converter compilation errors [Komurka]

2006/02/02
	* Fixed crash in status_change_timer.  For some reason the block type switch was removed. [Valaris]
	* Crash fix in npc.c npc_timerevent.
	  was: struct timer_event_data *ted = (struct timer_event_data*)ted;
	  changed: 	struct timer_event_data *ted = (struct timer_event_data*)data;
	  Skotlex, I am assuming it's calling from the passed data var, If I'm wrong
	  please fix it.  I just know what was there was definitely not correct. [Valaris]
	* Improved the NPC timer system to enable multiple timers going on at a
	  time with different players attached to each. Now npc event timers are of
	  two types: attached or global. The global timers don't have a player
	  attached and can be started/halted by anyone. The character timers have a
	  player attached, and they can only be stopped by a script that has the same
	  player attached. [Skotlex]
	- Now player attached scripts will auto-abort when the atteched player
	  quits the map server.
	- Of course, this requires some major testing as it's prone to have bugs...
	* Applied the Entry Reusage System to the battle delay damage timers.
	  [Skotlex]
	* Fixed the map server complain when using the default user/password
	  showing up if you set the new user/pass on the import file. [Skotlex]
2006/02/01
	* Fixed compile errors and warning in chrif.c and charsave.c. [Valaris]
	* Map and char server now will complain if they are run using the default
	  user/password set. [Skotlex]
	* Trick Dead makes you stop walking now. [Skotlex]
	* Soul Burn is not affected by Lex Aeterna, not affected by target's cards
	  neither. [Skotlex]
	* Freeze and Stone take preference over Benedictio. [Skotlex]
	* Sleep/Stun/Petrify/Freeze block each other out. [Skotlex]
	* Fixed areamonster when the passed class is negative. [Skotlex]
	* Removed the clear screen when launching the server.  [Skotlex]
	* Integrated the status change variables into a single structure for easier
	  management. [Skotlex]
	* Break fall should no longer trigger when inflicted by freeze/stone/etc
	  [Skotlex]
	* Fixed an overflow in grfio causing read problems in Win32 builds [celest]
	* Changed resnametable loading behaviour - grfio will load from data directory
	  first, and then from the highest priority grf only if that fails [celest]
	* Increased grfio filelist limit to 1048576 to avoid problems when loading
	  too many large grfs [celest]
2006/01/31
	* Fixed skill_check_cloak to use the current skill level of the cloaking
	  skill and not pc_checkskill() to know if a cloaker away from a wall should
	  be uncloaked. [Skotlex]
	* Likely fixed opening guild storage. [Skotlex]
	* Removed no penelty mapflag for nifilheim. Confirmed on iRO. [Kayla]
	* Changed default value of gm_cant_drop_max_lvl to 98. Also reworded the
	  comments for cant_drop_max and min. [Kayla]
	* Disabled pet skills by default. To my knowledge they are only enabled on
	  cRO, not iRO nor kRO. [Kayla]
	* PF_SOULBURN no longer ignores mdef. [Skotlex]
	* HW_GRAVITATION should now invoke auto spells. [Skotlex]
	* Cleaned up damage return code. Reflect Shield and the like now should
	  also trigger autospells from normal attacks (previously it was only worked
	  on skill attack returned damage) [Skotlex]
	* Cleaned up Summon Slave mob skill to only summon number of missing mobs
	  to complete the skill level (that is, SS level 5 will always bring the
	  total count of slaves to 5, never above). [Skotlex]
	* Fixed being able to Encore skills you no longer have in your tree.
	  [Skotlex]
	* Added no HP regen while Bleeding, -25% ATK and ASPD penalties as well.
	  [Skotlex]
	* Added VIT reduces duration of confusion. [Skotlex]
	* Added "onspawn" mob skill condition. [Skotlex]
	* Changed the exp table format. The new format allows specifying exp tables
	  for any particular class. Thanks to Playstester for converting the official
	  exp table to the new format. [Skotlex]
	- UNTESTED: Report any problems asap.
2006/01/30
	* Autoloot now uses the item's base drop chance rather than final drop rate
	  to determine if it should autoloot the item or not. [Skotlex]
	* Fixed super novices getting +10 to all stats temporarily when their death
	  count isn't zero. [Skotlex]
	* Fixed Kahai displaying HP-SP as the total healed instead of HP [Skotlex]
	* Cleaned up skill_repairweapon to prevent crashes when the target
	  vanishes/changes/whatever before the weapon to repair has been selected.
	  [Skotlex]
	* Parsing the Storage/Guild Storage from the char server will now fail if the
	  storage has been modified and not saved yet. [Skotlex]
	* Being hit now cancels confuse. [Skotlex]
	* Added back the bleeding icon. [Skotlex]
	* Fixed Combo Finish Soul Linked Effect being a 11x11 area rather than 5x5
	  [Skotlex]
	* Added 'restricted' mapflag, based on lordalfa patch [Komurka]
	- you can set restriction zone on map (see mapflag/restricted.txt)
	- you can turn off item usage on certain restricted map in item_noequip.txt
	- you can turn off skill usage on certain restricted map in skill_nocast_db.txt
	* Moved MVP log code so it can log all MVP, not only when player gets MVP item,
	  thanks to Hatred_ [Komurka]
	* One more small fix on 'bSPVanishRate' (hp -> sp) [Komurka]
	* Added bSPVanishRate to const.txt - Dark Priest Card should work now ^^
	* Implemented bonus2 bSPVanishRate for Dark Priest Card [Komurka]
	- it isn't finished - I get '[Warning]: pc_bonus2: unknown type 0 50 10!' ><
	* Applied lordalfa patch - you can now forbid usage of certain cards on PVP/GVG/WoE
	  defined in item_noequip.txt [Komurka]

2006/01/29
	* Added support for more account states like "Unavailable due to hacking/bug
	  investigation" etc, thanks to NeoSaro [DracoRPG]
2006/01/28
	* Added the night mapflag to the new maps. Removed some indor maps. [Poki#3]
	* Added DISGUISE MobID; UNDISGUISE; script commands [Lupus]
	- Made them for Eastern Year of the Fire Dog Event.(to be uploaded today)
2006/01/27
	* Added support for mob_avail.txt replacement for NPC classes. [Skotlex]
	* Added "sense_type" config to conf/battle/skill.conf to select which defense
	  is displayed on the sense screen. Defaults to displaying def+def2. [Skotlex]
	* Modified traps so that once they trigger they set themselves as "Into the
	  Abyss" casted traps, so that if you remove them, you won't earn the item.
	  [Skotlex]
	* Fixed Basilica (small bug introduced yesterday) [Skotlex]
	* Hopefully cleaned out the warnings when compiling the char-SQL server.
	  [Skotlex]
	* Updated the makefile for the plugins to take into account the ers.o file.
	  [Skotlex]
2006/01/26
	* Updated VC project files, thanks to D-Kalck. [Skotlex]
	* Rare drop announces will now be done based on the mvp_sd (character who
	  did most damage) instead of sd (character that delivered final blow)
	  [Skotlex]
	* Fixed TK Doridori bonuses to double your regen instead of giving 30Hp/3Sp
	  [Skotlex]
	* Fixed Sense displaying def2/mdef2 when it should display def+def2 / mdef
	  + mdef2. [Skotlex]
	* Fixed Super Novices losing their skill tree (showing up just basic skill)
	  under certain circumstances. [Skotlex]
	* Cleanup and optimization of the movement routines. [Skotlex]
	* Added experimental feature "Cell Stack Limit". When enabled (see
	  src/map/map.h) it should limit the amount of characters that can be placed
	  on the same cell. That's assuming it works (experimental and untested as of
	  yet) [Skotlex]
	* Hopefully fixed Benedicto checking on the west/east tiles instead of the
	  left/right tiles of the caster. [Skotlex]
	* Fixed mobs being unable to move on tick loopback (which happens every ~51
	  days) [Skotlex]
2006/01/25
	* Reverted last change, when you log again it still shows the fake
	  icon. [Foruken]
	* Temporary fix to fake mute status when using pk_mode and
	  !muting_player [Foruken]
	* Probably fixed the max base/job battle config options actually enabling
	  characters to reach one more level than the max specified. [Skotlex]
	* Fixed BSS Sacramenti not hitting demon type enemies. [Skotlex]
	* Now poisoned monsters will show HP updates as their health goes down
	  (let's see if this finally convinces people that poison works u.u)
	  [Skotlex]
	* Splitted up battle_athena.conf into multiple configuration files.
	  battle_athena.conf only contains import lines now, and all the
	  configuration options are located in conf/battle/* [Skotlex]
	* Updated the db version with the new one by FlavioJS [Skotlex]
	* Improved the error reporting when failing to load a mob skill due to
	  insufficient fields. [Skotlex]
	* Changed map_getallusers to use the db interface getall (hope it doesn't
	  breaks horribly) [Skotlex]
	* Added an attack delay to TK kicks to prevent the top10 rankers from
	  attacking normally during the skill animation. [Skotlex]
	* Updated script.c to display the file not found error using braces as
	  delimiters to help when npc filenames include spaces and the respective file
	  is not found due to them) [Skotlex]
	* Changed TK_RUN to a misc attack type which should enable you to halt the
	  skill quickly after starting it. Updated SC_SPURT to be triggered when you
	  stop running if you stopped running one sec or less after you started.
	  Corrected the icon of SPURT to be that yellow Running Man. The previous
	  footsteps effect was assigned to CHASEWALK. [Skotlex]
	* fixed battle config item_auto_get setting autoloot to just 0.01% drops
	  rather than 100%. [Skotlex]
	* Added Sharp Shooting check to skill_attack to prevent hitting hidden
	  characters. [Skotlex]
2006/01/24
	* Some cleaning up of battle_calc_damage, Assumptio should now also reduce
	  damage of all types of attack, not just weapon-based ones. [Skotlex]
	* Incremented SL_MONK combo SP cost reduction to 25% [Skotlex]
	* Updated Full Adrenaline Rush to work on all weapons except bows. [Skotlex]
	* Updated the script engine to report the src of an error when there's a
	  problem with one of the script functions. For example, if there's a "player
	  not attached error", it will also print which NPC caused it. [Skotlex]
	* Added RFIFOSKIP(fd,RFIFOREST(fd)) to the end of the login server's parse functions.
	  This is good for clearing out packets of one byte. [Valaris]
	* Fixed noteleport mapflag affecting Warp Portal. [Skotlex]
	* Fixed map server crashing when parsing an incomplete mob-skill line. [Skotlex]
	* @autoloot 100 will now pickup items that have drop rates ABOVE 100. [Skotlex]
2006/01/23
	* Added battle config "no_spawn_on_player", see battle_athena.conf for
	  details. [Skotlex]
	* Fixed bows doing less damage on criticals when having high dex. [Skotlex]
	* Moved the enemy_critical adjustment to status_get_critical. [Skotlex]
	* Fixed @chardisguise to use the same id checks as @disguise. [Skotlex]
	* Fixed SightBlaster 'hitting' dead characters. [Skotlex]
	* Basilica check in status_checkskilluse expanded to help mobs release
	  their target as soon as they walk into a basilica. [Skotlex]
	* When a player stops walking their to_x and to_y is updated to their
	  present position. This MAY fix warp portal not warping players that were
	  already there waiting to be warped. [Skotlex]
2006/01/22
	* typo fixes (fell -> feel) [Komurka]
	- mob_db_mode_list.txt updated
	- removed some unneeded comments (//komurka)
	* Some changes of @main. Now you can send main-chat messages by sending whisper
	  to nick "Main" (or any other, it can be set in inter_athena.conf). [LuzZza]
2006/01/21
	* Changed gm_can_drop_lv battle conf switch to gm_cant_drop_min_lv and gm_cant_drop_max_lv [Komurka]
	* SL_SWOO (Esu) will only lasts 1/5 of normal time when used on a Boss-type monster [Komurka]
	 -SL_SKE (Esk) won't work on a Boss-type monster anymore (if you KNOW that it should work on them
	  write about it on forum; either way don't bother guessing ... SL can solo ANY boss with this skill ~.~)
2006/01/20
	* Fixed the login-TXT login Log. [Skotlex]
	* Small update to sql-files/item_db.sql to fix speed potions (a complete
	  update will be done when possible...) [Skotlex]
	* Fixed clone script command's duration being in ms rather than seconds.
	  [Skotlex]
	* Taekwon Ready Stances combo time is now 2000 - 4*agi -2*dex ms instead of
	  a flat 2 secs (same reduction that Monk combos get) [Skotlex]
	* Cleaned up code of SG_HATE, may fix the skill seemingly not working.
	  [Skotlex]
	* Likely fixed Even-Share parties not breaking up when a character with
	  too high/low level rejoins in char-TXT servers. [Skotlex]
2006/01/19
	* Added config option atc_slave_clone_limit to limit the amount of
	  @slaveclone's a player can have. [Skotlex]
	* The clone commands now fail when used on someone of higher GM level than
	  the caster. [Skotlex]
	* Increased the size of the clif_disp_onlyself packet by one to see if it
	  fixes the mysterious cropping of the last character in the message.
	  [Skotlex]
	* Now when use_statpoint_table is set to yes, it will be used to determine
	  the stat points you earn on level up. [Skotlex]
	* Small fixes as pointed out by FlavioJs in the login TXT server to prevent
	  crashes in Win32 compiles. [Skotlex]
	* Merged Marquis's implementation of Enjoyable Rest's earth scroll bonus.
	  [Skotlex]
	* Fixed players being able to send custom crafted mute requests that would
	  go through regardless of their gm level and mute others. [Skotlex]
	* Updated mapflags [Lupus]
	* Modified the client_connect function in socket.c to allow different parse_functions to be called
	  based on the listening socket.  After a make_listen_bind returns a listen fd, set that fd's
	  func_parse member to whatever parse function to be used.  If this value is not manually set
	  it will just use the default_func_parse function.  This only affects server listening sockets
	  in which the func_parse member isn't even used. [Valaris]
	* gvg_traps_target_all now also affects traps in pvp maps. [Skotlex]
	* All reflected damage has now a chance to auto-cast spells. [Skotlex]
	* Fixed Casting ground spells from within basilica. [Skotlex]
	
2006/01/17
	* Updated the map server code to use some of the new db functions. [Skotlex]
	* Fixed ground skills checking the wrong target-type on movement, hence
	  making them mostly useless (this is what the Warp Portal report was about)
	  [Skotlex]
	* Some code updates to implement the new db interface. [Skotlex]
	- SQL compilation not tested, so if it breaks someone report to fix it :X
	* Added @clouds2 and clouds2 mapflag using effect 516. [Valaris]
	* Fixed some weather effects not working or not functioning correctly. [Valaris]
	* Cleanups and organization to maps_athena.txt and map_index.txt, thanks to
	  Poki for the cleanup work. [Skotlex]
	* Some cleanup of the SG_FEEL code [Skotlex]
	* Fixed debug mode compiling in VC7.1. Added optimizations to VC7.1 release mode.
	  Defaulted VC7.1 SLN to debug mode. [Lance]
	* Temperory solved the freeing freed pointer error upon map-server shutdown. [Lance]

2006/01/16
	* Fixed clif_disp_onlyself packet length, thanks to Orn. [Skotlex]
	* Imported Freya's autoloot system which enables one to specify the maximum
	  drop-rate to loot. [Skotlex]
	* Refix of the mapreg SQL saving fix of a while ago... [Skotlex]
	* Playtester custom eamobs spawn updates: coal Mines, umbala fields, and
	  minor changes to Sphinx and Geffen Dungeon. [Skotlex]
	* Incremented a bit clone skill usage rate, their rate/delays are now affected
	  by the battle_config options mob_skill_rate and mob_skill_delay [Skotlex]
	* Optimized use of BL_* constants by making them stackable (meant for
	  map_foreach* calls). Should improve performance by avoiding
	  battle_check_target calls on a bunch of invalid targets such as
	  items/skills/npcs on skills and other misc places. [Skotlex] 
	* Fixed mob skills that should trigger on status on "any bad". [Skotlex]
	* TK classes no longer are immune to the strip-effects of Jump Kick [Skotlex]
	* Fixed SQL mapreg saving. [Skotlex]
	* Reverted Ice Wall Behaviour (you can snipe/cast through it again) [Skotlex]
	* Fixed possible crash in skill_check_condition on consume-delayed items [Skotlex]
	* Skills whose range is increased by Vulture Eyes now get the range
	  increased by 10 for non players (assumes VE level 10). [Skotlex]
	* Added cardfixes of near_attack_def_rate and long_attack_def_rate to misc
	  attack calculations. [Skotlex]
	* Fixed Spirit of Wizard not working in a couple of instances. [Skotlex]
	* Advanced Book now gives 1%*skill level success chance to create element
	  convert potion [Skotlex]
	* Changed the FEEL skill implementation to store/use map indexes instead of
	  map names.[Skotlex]
	* Fixed compilation of plugins. [Skotlex]
	* Applied flaviojs's new db interface and fixed compatibility problems with Visual Studio. [Lance]

2006/01/15
	* Fixed poison damaging player even when under 25% hp. [Skotlex]
	* Fixed permanent character variables in Char-TXT [Skotlex]
	* Fixed previous change for stable. Whoops my 5am work again. [Kayla]
	* Fixed the trade exploit allowing for a user to send packets while in a trade.
	  For instance the bank NPC becoming a zeny dupe. Kudos to clown. [Kayla]
	* Added script source error reporting to set and getarrayelement, should
	  print NPC name and location (map, coordinates) on the console when there's
	  an error with these two commands. [Skotlex]
	* Removed treasure chests spawning upon agitbreak, leading to exploits. [Lance]

2006/01/14
	* Removed the 5% success penalty for trying to make a convertor for which
	  you don't have the relevant enchant skills. [Skotlex]
	* Fixed compilation of Login Converter. [Valaris]
	* Fixed bSPGainRace and bExpAddRace with RC_NonBoss and RC_Boss. [Valaris]
	* Lex Divina now shows the animation even when used on someone you can't
	  (non-muted, non-enemy player) [Skotlex]
	* Quick hack to make Shield Reflect trigger auto-spells (only this kind of
	  return damage does it? Because other reflect cards like Orc Lord behave
	  exactly the same way...) [Skotlex]
	* Fixed grf loading to attempt to load from all grf files specified in
	  grf-files.txt (looking for them in the same order specified in the file,
	  returns the first match found) instead of only looking up on the last
	  specified grf... [Skotlex]
	* Fixed compilation of plugins. [Skotlex]
	* Added error reporting to the db when a null key/data is attempted to be
	  inserted and the db is configured to not allow them. [Skotlex]
2006/01/13
	* Fixed labels located at the beginning of a script not being counted at
	  all. [Skotlex]
	* Applied blackhole89's patch to enable dynamic menus. [Skotlex]
	- Script reference doc updated accordingly.
	* Ranking Taekwons with lv 90+ no longer get Quest/Wedding skills for free.[Skotlex]
	* Readjusted Scream And Frost Joke so now the effect goes off no matter
	  where the caster went, but the effect will happen only around the area
	  where the skill was done regardless of where the caster is (which is how it
	  should work from a logical stand point) [Skotlex]
	* Scream and Frost Joke now take effect 2secs after casting, and caster
	  must remain in same map for it to take effect. [Skotlex]
	* Flying Side Kick can't be used by Soul Linkers now. [Skotlex]
	* npc_reload should now correctly remove mobs and npcs that aren't placed
	  in any map (such as mobs that were killed and are waiting for respawn) [Skotlex]
2006/01/12
	* Fixed Ice-Wall range problem. [LuzZza]
	* Corrected the guild_db_final function in int_guild.c of SQL char-server to
	  compile and function with the new db code. [Valaris]
	* Fixed some advanced skills being able to be copied even when restricted [Vicious]
	* Fixed a possible crash-source related to item-picking packets. [Skotlex]
	* Now Top 10 ranking Taekwons with base level 90+ get their whole
	  skill-tree maxed out (but only as bonus-skills, they aren't saved on the
	  dbs) [Skotlex]
	* Some cleaning of the char_name_letters implementation. Characters don't
	  need a space between them, in fact, placing a space in that config makes
	  the space count towards allowed/disallowed characters. [Skotlex]
	* Some modifications to the db code to make the code portable. It may
	  compile on windows now. (note I can't test SQL compiles yet so report any
	  problems ASAP) [Skotlex]
	* Fixed Venom Knife consuming two daggers. [Skotlex]
	* Inverted the packet order in many skills which cause status effects. The
	  client expects the status-change packet to arrive before the skill packet
	  in order for opt3-related changes to make effect on the character. [Skotlex]
2006/01/11
	* Added @main command into atcommand_athena.conf. [LuzZza]
	* Tuxedo and Wedding Dress no longer get a 'forced' gender check regardless
	  of config ignore_items_gender setting. [Skotlex]
	* Added support for 'invisible' shops. These are shops that are loaded but
	  not placed on any map, so you can't click on them. [Skotlex]
	- Example: -<t>shop<t>Invisible Dealer<t>-,1750:-1,1751:-1,1752:-1,etc...
	- Make sure they have a unique name if you want to reference to it with...
	* Added script command 'callshop' for invoking shops from within a script.	[Skotlex]
	- Usage: callshop "Shop Name", flag;
	- Distance to shop is still checked, so it's best to use 'invisible' shops.
	- flag determines shop selection: 1: Show buy list, 2: show sell list.
	  Anything else: show the buy/sell/cancel menu.
	- Function returns 1 if successful, 0 otherwise, but it is recommended that
	  the script should be closed right away to prevent problems.
	- Documentation to the scripts_command.txt reference file not yet added
	  because this command is as of yet untested and may need further refining.
	* Newly created SQL guilds won't save the member-list right away (this
	  seems to be the reason why sometimes when creating new guilds, the
	  guild-master keeps guild_id == 0 in the tables) [Skotlex]
	* Fixed char/int_storage.c reporting lines with too many items when in
	  reality said items had the exact max amount allowed. [Skotlex]
	* Moved the status_change_clear code below the exp penalty so that the
	  SC_BABY effect will work. [Skotlex]
	* Fixed the map_index never finding the last map specified in the
	  map_index file. [Skotlex]
	* Fixed an overflowed pointer in char/inter.c, and an already free'd pointer
	  error in map/guild.c [Skotlex]
	* Added battle option party_item_share_type, now you can choose between
	  round-robin (previous implementation) and random (default) [Skotlex]
	* Fixed compilation of the plugins (due to the db change) [Skotlex]
	* Fixed a few issues with the map server (notably npc_command_sub was
	  broken) [Skotlex]
	* Added proper escaping of the motd string before inserting it on the rag
	  server info SQL table. [Skotlex]
2006/01/10
	* Updated the map-server to conform to the new db interface. Removed
	  DB_DELAY_FINAL_CHANGES and related code from db.* as now eA fully complies
	  to the new interface. [Skotlex]
	* Crafting Arrows, Weapon, Forging/Upgrading now all fail if you have an
	  npc going on to prevent your inventory from being modified while selling.
	  [Skotlex]
	* Updated the char-SQL server to etc etc etc new db etc etc etc. [Skotlex]
	* Cleaned up the description of size_fix.txt [Skotlex]
	* Updated the char-TXT server to be blah blah blah new db blah blah. [Skotlex]
	* Updated both login servers to be fully compliant with the new db
	  interface. [Skotlex]
	* Moved skill damage bonuses from cards to the 'second layer' which means
	  they are applied on top of previous damage bonuses rather than just adding
	  to them. [Skotlex]
	* Some more updates to the db code as specified by FlavioJS [Skotlex]
	* Fixed the memory leak of npc_unload_ev. [Skotlex]
2006/01/09
	* Some more updates regarding the new db system. [Skotlex]
	- Note that there's currently a leak regarding npc_events (ev_db), but this one is
	  not a serious problem (unless you use a lot of npc_reloads) and will be
	  fixed as the db gets improved.
	* Moved the Kaupe code to battle_calc_weapon_attack where it will dogde all
	  weapon-based attacks that can be dodged (giving the illusion of infinite
	  flee for skill's duration). [Skotlex]
	* Moved Sonic Acceleration and Soul Linked SB damage bonus to the second
	  layer of skill modifiers. [Skotlex]
	* Enchant Deadly Poison and True Sight damage bonuses are now applied after
	  skill modifiers rather than added with them (damage % stack type). [Skotlex]
	* Modified Ice-Wall to work using cell types defines instead of directly
	  modifying the gat terrain information. Main reason for this is to enable
	  pc_setpos to place players on top of an ice-wall, because otherwise it
	  was forcing players to warp-around even in maps with noteleport set which
	  is prone to exploits. [Skotlex]
	* Fixed SG_FUSION (SG_FUSION <-> SC_FUSION #_#) [Komurka]
	* Now sense elemental values are again uncapped (so enemy with -25% resist
	  will show 230% instead of 0%), as requested :P [Skotlex]
	* Replaced the db subsystem for FlavioJS's implementation and initial work
	  on updating the eA code to use it as intended. [Skotlex]
	* Fixed Char-TXT server saving last/save maps with spaces on the left. [Skotlex]
	* Fixed Char-SQL server saving new character's maps with spaces on the left. [Skotlex]
	* Fixed Charsave method 1 saving memo maps with spaces on the left. [Skotlex]
	* Changed the order of packets sent for Assumptio (may fix the visual not
	  showing up?) [Skotlex]
2006/01/08
	* Fixed the guild SQL cache removing guilds from memory when said guilds
	  had no data to save (but were not yet marked for removal) [Skotlex]
	* Added a cap to limit Star Gladiator's job level to that of the normal
	  classes (instead of 2nd classes) [Skotlex]
	* Fixed TXT char server parsing only the first character permanent variable
	  received from the map server and ignoring the rest. [Skotlex]
	* Fixed @users crashing the server. [Skotlex]
	* Added Arrow Repel to the list of skills whose range is increased by Vulture Eye. [Skotlex]
	* Fixed the item pick-up rule for party options being working backwards. [Skotlex]
	* Fixed progress info in TK_MISSION [Komurka]
	* Fixed an aproximation error when calculating distances which causes stuff
	  like mobs thinking they are within attack range when they actually aren't
	  [Skotlex]
	* Char-server will now be notified after a character logs out when using
	  charsave_method:1 [Skotlex]
	* Added check to update pet's position on pc_movepos (stuff like High Jump)
	  when the master moves too far away or to a position the pet can't reach.
	  [Skotlex]
	* Fixed char-save method 1 saving map names with padding spaces to the
	  left. [Skotlex]
	* Now sense elemental values are capped to 0 as lower bound (so for an
	  enemy with -25% resist, it'll show 0% instead of 230%) [Skotlex]
	* Updated sql-files/ mob_db.sql and item_db.sql to current TXT data.[Skotlex]
2006/01/07
	* If player is dead, and is spawned (such as @refresh), death packet is sent. [Valaris]
	* Cleaned pc_attack_timer so that the attack timer will auto-readjust when
	  it triggers during the can't act tick instead of cancelling the attack
	  sequence. [Skotlex]
	* Fixed compilation of the TXT-converter. [Skotlex]
	* walkto x,y request packets are now ignored if you are sitting. [Skotlex]
	* Fixed a typo that was making the party item-pickup style shared not
	  taking effect for the item_first_get_time regardless of setting. [Skotlex]
	* Applied Playtester's custom mob spawns to the eamobs/ set. [Skotlex]
	- These custom mob spawns are an experiment to balance out mob spawns and
	  put some sense into them (no crap like too strong AND too weak mobs on the
	  same floor, increasing mob difficulty the deeper into the dungeon you go,
	  etc), without moving mobs too far from where players are used to see them neither.
	- To enable them, modify scripts_main to use scripts_eamonsters rather than scripts_monsters.
	- Currently, the modified dungeons are: Glast Heim, Geffen Tower, Clock
	  Tower, Sphinx, Pyramids, Byalan. 
	* Added check to make sure guildspy and partyspy variables have value. [Valaris]
	* Separated the permanent variables from the character status structure. [Skotlex]
	* permanent variables are now loaded on their own packets as needed to
	  reduce the bandwidth wasted between servers. [Skotlex]
	* Permanent account variables are now saved when the script is finished
	  instead of each time they were modified.  [Skotlex]
	* OnInit scripts and related code now executes after all perm variables are
	  received (so now account variables are accessible during it) [Skotlex]
	* Fixed typo in pc.c causing crashes in Line 769. [Lance]
	* Corrected VC7.1 prject files to include mapindex.c and mapindex.h [Lance]
	* Corrected Wrath of the Star formula (added missing STR in equation) [Komurka]
	  - Added movement speed bonus to SG_FUSION (same as PecoPeco gives)
	  - You can now 'turn off' SG_FUSION
	* updated NoIcewall maplags, thanks to Sir Loon [Lupus]
	* soundeffectall modified to rely on dependancies depending on situation. [Lance]
	* Modified getd to return 'pointer' (will be 'dereferenced' automatically) instead of value, 
	  making it very flexible when paired with getelementofarray() [Lance]
2006/01/06
	* Corrected main.sql having incorrect syntax [Foruken]
	* Cleaned up some maps in maps_athena.txt and added a bunch of cloned maps
	  to map_index.txt [Skotlex]
	* Refine bonus is no longer increased by the number of hits from the skill
	  except for TSS [Skotlex]
	* Dispelled Berserk won't drop HP back to 100 now. [Skotlex]
	* Mobs that use NPC_SUICIDE won't give neither exp or loot now. [Skotlex]
	* Summoned mobs that cannot move will be removed from the map when the
	  master is gone to another map AND the mob's map is a gvg ground. [Skotlex]
	* Fog of Wall effects now work in both directions (outside -> inside,
	  inside->outside) [Skotlex]
	* Fixed the sql guild loading always returning a blank guild when the
	  guild_id does not exists! [Skotlex]
2006/01/05
	* Some changes to the guild SQL code to report whenever a guild's id is not
	  matching the one it was stored with in the db, which in turn free's the
	  guild and doesn't saves it to perhaps prevent data corruption. [Skotlex]
	* Corrected the fifo-buffer readjusting code to set a reserve-buffer size
	  of 1/8th of the inter-server link (32K) for said links. [Skotlex]
	* The mapif_send* and charif_send* functions (char/login servers) will now
	  adjust the buffer size when there isn't enough space to write data to them
	  rather than abort sending the data. [Skotlex]
	* Increased inter-server socket buffer size to 256*1024. Should fix problems
	  with 0x3004. [Kayla]
	* Increased inter-server socket buffer size to 192*1024. Should fix problems
	  with 0x2b01. [Kayla]
2006/01/04
	* Fixed buildin_monster not working for random classes (dead branch, etc). [Skotlex]
	* Reverted inter-server socket buffer size to 131072 bytes. [Valaris]
	* Removed reduction of socket buffer sizes after WFIFOSET if the max size 
	  is >= FIFOSIZE_SERVERLINK.  This should reduce inter-server buffer overflows. [Valaris]
	* Script command 'monster' will now fail when trying to spawn a mob-class
	  that is not in the mob_db (warning will be printed on the console) [Skotlex]
	* Fixed a crash when spawning a mob who's class is not in the mob_db. [Skotlex]
	* Some cleanups and improvements to the character saving algorithm meant to
	  make it harder to have dupe exploits during char-map connection lag
	  moments. [Skotlex]
	* Doubled the inter-server link buffer size. [Skotlex]
	* Fixed status_get_adelay messing up the mob's aspd :X [Skotlex]
	* Changed skill_delayfix to use the amotion value as default delay for
	  weapon skills with no delay instead of attack delay (adelay is actually
	  twice your aspd, amotion is the same as aspd) [Skotlex]
	* Added upgrade_svn4783.sql, which corrects the structure of the mapreg
	  table to use varchars as it should. [Skotlex]
	* Fixed Meteor Assault. [Skotlex]
	* Fixed (I hope) the double free'd pointer issue in the login servers. [Skotlex]
2006/01/03
	* Fixed the warp unloading code. [Skotlex]
	* Updated Jump Side Kick to also clear Berserk Pitcher.  [Skotlex]
	* Preserve now protects against the stripping effects of Side Kick. Taekwon
	  Classes (TK/SL/SG) are also immune to it.  [Skotlex]
	* Hopefully fixed the guild information not being sent in some situations
	  when people are added/removed from a guild. [Skotlex]
	* Some cleaning up and bug fixes to the guild module of the char-sql
	  server. Let's see if it fixes anything up... [Skotlex]
	* Added battle option show_party_share_picker. When enabled tells the
	  picker of the item who received the item when in a party with 'Party Share'
	  loot style. [Skotlex]
	* Added the nullpo_retv line required for win32 compiles... [Skotlex]
	* Added some cleanup code to properly remove all warp related information
	  on npc_unload (untested as of yet!) [Skotlex]
2006/01/02
	* Completed (almost) packet 0x1e9 which gives the party info. Now you can
	  see the party's item options when opening the alt+p menu. [Skotlex]
	* Fixed regen only working when overweight. [Valaris]
	* Added body size to clones. [Valaris]
	* Corrected TK_JUMPKICK to remove Soul Linker spirit buffs and related
	  effects (except Berserk-Pitched effect) [Skotlex]
	* Corrected TK_RUN to give +10 dmg bonus to kick skills when not wearing a
	  weapon. [Skotlex]
	* Added Kaina's Enjoyable Rest bonus and Max SP bonus. [Skotlex]
	* Fixed Stone Curse consuming gems while Soul Linked. [Skotlex]
	* Fixed party-change-map packet incorrectly checking if the even share rule
	  was broken (party share should now correctly break on map-change, or when a
	  player has it's level reset) [Skotlex]
	* Corrected the Jump Kick base-level damage bonus when combo-used. [Skotlex]
	* Added the running damage bonus to the TK kicks. [Skotlex]
	* Made the TK kicks end the Soul Linked status on targets. [Skotlex]
	* Corrected Spirit of Wizard to nullify any bounced back spells. [Skotlex]
	* Cleaned up the natural/skill HP/SP regen routines. [Skotlex]
	* Fixed Turn Kick not knocking back nearby enemies. [Skotlex]
	* Added the damage bonus to Flying Side Kick when used from a combo.
	  However I am waiting for the actual equation (currently just does +300%
	  dmg) [Skotlex] 
	* Fixed Counter Kick for ranking Taekwons. [Skotlex] 
	* Added walk slowdown and aspd penalty to Eska. [Skotlex] 
	* Fixed status_get_size which seemed severly broken. [Skotlex] 
	* Fixed Kahai to only display actual amount of HP healed. [Skotlex] 
	* Now when a script's map is not found (or not loaded on the map server)
	  the script engine will skip the whole script instead of just the first
	  line. [Skotlex]
	* Fixed Soul-Linked Dancers not receiving the Bard songs. [Skotlex]
	* Updated Joshuaali's VC-8 project files. [Skotlex]
2006/01/01
	* Some improvements to the login server (txt/sql) to prevent memory 'leaks'
	  from accounts that logged in but where never properly set as logged out.
	  [Skotlex]
	* Fixed mapindex not working for last map loaded in map_index.txt [Skotlex]
	* Added support for packet 0x1e9, party_main_info. Packet is still
	  incomplete and the client is ignoring it currently... [Skotlex]
	* Changing party options now does not alters item party options. [Skotlex]
	* Corrected Kahai healing even when there's not enough SP to do so. [Skotlex]
2005/12/31
	* Fixed the additional effects on normal attacks of Enchant Poison, Enchant
	  Deadly Poison and Kahai not taking effect except when the attacker was a
	  player. [Skotlex]
	* Resurrection now fails on gvg maps (when reviving) [Skotlex]
	* Kaite now works on player-casted spells regardless of level... [Skotlex]
	* Fixed Kahii healing 0 rather than 200*skilllv... [Skotlex]
	* Mobs will now go after the loot as soon as they spot it rather than on
	  their next random-walk time. [Skotlex]
	* Set the 56th byte in packets 7b and 1da. It deals with acceleration in directions.
	  It's just like the final byte in packet 0x87.  Server-side update of this still needs to be figured out. [Valaris]
	* Fixed Kaziel not starting Kyrie Elison upon resurrection. [Skotlex]
	* Fixed Kahai's healing display. [Skotlex]
	* Fixed Kaite bouncing back always one spell. [Skotlex]
	* Fixed and tested @waterlevel. It requires the grfs to be present as the
	  map layout height information is stored there but not in the map data kept
	  in memory. [Skotlex]
2005/12/30
	* Disabled certain packets from taking effect during trades to prevent
	  possible exploits (such as picking and dropping items, buying selling from
	  npcs, etc) [Skotlex]
	* Now you can't move items to/from your inventory to the cart/storage
	  during a trade (this is to prevent possible item dup exploits) [Skotlex]
	* Emergency Recall now only works from within woe grounds... [Skotlex]
	* Removed returns from non-null lines in MOTD. Replaced returns in null lines with a space. [Valaris]
	* Fixed a bug where MOTD wasn't displaying blank returned lines. [Valaris]
	* Updated mapindex so that name lookups ignore extensions, and the loaded
	  maps are always terminated in .gat. Id lookups will always return a string
	  terminated in gat. Purpose? It enables specifying mapnames without the .gat
	  extension, so you can have npcs in prontera, no need for the .gat. And the
	  returned string always has a .gat for needed when it is passed to the
	  client. Now you can safely get rid of the .gat extension in all mapnames. [Skotlex]
	* Fixed the txt-converters so they compile cleanly again. [Skotlex]
	* Added mapflag script support for no loot, no exp, no return, no warp to,
	  nightmare drops (see db/const.txt for names) [Skotlex]
	* Removed an extra } in int_party.c that caused compile errors. [Valaris]
	* Fixed a crash when warp portals passed from passive to active. [Skotlex]
	* Added a missing label (M_0) that was causing people to freeze when viewing the city list from "Miss Yoon" [Zephiris]
2005/12/29
	* Newly created char-SQL guilds will be saved inmediately rather than at
	  their next turn in the cache (may fix those guild disappearing errors)
	  [Skotlex]
	* Implemented a map-index which maps map-names to a unique number, this
	  reduces memory required to store maps as well as the size of related
	  packets between the char/map server. Maps and their indexes are stored in
	  db/map_index.txt, and the index of a map should NEVER change (see file for
	  more details). The index is translated to/from map-names for saving, so
	  save-structures are not required to be modified. [Skotlex]
	- PD: The new mapindex also found a bunch of broken map names in various
	  NPCs, someone will have to go fix them up.
	* Updated the party member structure to hold the char_id. For end users,
	  the most noticable change is that now you can have more than one
	  character from the same account belong to the same party. [Skotlex]
	- TXT users will have to wipe the party files, SQL users use the respective
	  upgrade file (upgrade_svn4726.sql) to generate the new party column.
	* Updated the char-sql server to hold parties in memories until they are no
	  longer needed (like the guild-cache), also optimized the save routine to
	  avoid needless SQL calls. [Skotlex]
	** WARNING: Because of the previous optimizations, a lot of code was changed around
	  the map/char servers, the char-sql's party system got pretty much a
	  rewrite, so some problems are to be expected. Some basic testing with
	  parties over here showed no problems, hence the work is getting commited
	  as it is because it isn't getting any better without further testing. 
	* Set value of the last byte in packet 0x87 (walkok) to 0x88 (10001000).
	  This is a default value in Aegis, and has something to do with animation speed in certain directions.
	  This byte is going to need to be fully analyzed since it does change in Aegis, just that I have
	  been unable to figure out what the conditions are. [Valaris]
	* Mob skills are not even read now if mob skills are disabled in
	  battle_athena. [Skotlex]
2005/12/28
	* Fixed xmas and wedding palette ignore options.  It will also no longer send the dye packet if @dye is used. [Valaris]
	* Some code cleanup meant to fix possible memory leaks regarding
	  parse_script() [Skotlex]
	* Small fix to party-share item pickup which should fix the current item
	  dup exploit. [Skotlex]
	* Merged Reddozen's implementation of Kahai. [Skotlex]
	* Implemented Kaite (it simply changes the target of spell to the caster,
	  so the caster's status changes and defense are the ones considered)
	  [Skotlex]
	* Removed Guilds Glory from guild skill tree, can be enabled with require_glory_guild
	  battle conf switch [Komurka]
	* Cleaned up the implementation of Poison and Deadly Poison. Corrected a bug
	  on Deadly Poison that was KO'ing human players when it triggers under
	  certain circumstances. [Skotlex]
	* Added guild_skill_tree.txt [Komurka]
	- corrected guild skill tree
	* Battle Orders, Regeneration, Restore and Emergency Recall now share their
	  5 minute delay. [Skotlex]]
	* Implemented SC_INTRAVISION [DracoRPG]
	* Reorganized a bit DEF/MDEF calculation code [DracoRPG]
	* Added a small licence notice at the top of every Athena source/header file, I've tried
	  to put it only where it should have been but I'm not a pro ^^ [DracoRPG]
2005/12/27
	* The 50% Weight Icon will now show up at whatever % was specified in
	  natural_heal_weight_rate [Skotlex]
	* Fixed char-txt server crashing if trying to read storage lines with more
	  items than the max (excess items will simply not be read and a warning
	  printed) [Skotlex]
	* Added silent_console config option to the servers to filter out the
	  console output (login_athena, char_athena, map_athena config files). Makes
	  it possible to hide unwanted messages by category, so for example you can
	  remove all info messages, or all warning+notice messages, etc. [Skotlex]
	* Removed unused battle switches enable_upper_class and unit_movement_type. [Skotlex]
	* Reenabled battle switches pet_defense_type, mob_defense_type and
	  mob_remove_damaged. [Skotlex]
	* Applied Irmin's patch to add support for SQL codepages. [Skotlex]
	* Fixed friend list saving if using a custom char table name (SQL version). [Valaris]
	* Added check for mute in main chat [Foruken]
	* Likely fixed lose Hp/Sp script commands when used on accesories. [Skotlex]
	* Added 2 new script commands: getfatherid, getmotherid [Lupus]
	* Fixed compatibility problems with stricter compilers. [Lance]
	* Added joshuali's new VC8 project files and SQL database upgrade script. [Lance]
	* Fixed juicer script typo, eliminating unlimited juicing capability with zero zeny. [Lance]
2005/12/26
	* Added check for free'd guild pointer beforing freeing in guild_save in int_guild.c. [Valaris]
	* Added @kamic command. Now you can send colored GM-messages.
	  Syntax: @kamic <color> <message>. Color is 3-bytes hexadecimal number RRGGBB. [LuzZza]
	* Implemented main chat (global chat channel). Usage: @main <on|off>, @main <message>. [LuzZza]
	* Chasewalk players can now be hit in the same way a Cloaked player could.
	  [Skotlex]
	* Added option mob_npc_event_type, read battle_athena.conf for details.
	  [Skotlex]
2005/12/24
	* Fixed @go, thanks to Persian [Vicious]
	* Updated @go command for new cities, done by Harbin [Vicious]
	* Added root user check and warning to non-Windows compiles. [Valaris]
	* Added a check to remove characters that would normally be left unremoved
	  during shutdown because they just happened to be between maps. [Skotlex]
	* Fixed the production code always giving 1 item instead of the value they
	  should (50/100/200 for Twilight Pharmacy skills) [Skotlex]
	* Corrected easy path searching algorithm failing for some cases (which
	  incidentally seemed to be the reason skill_wall_check was broken) [Skotlex]
	* Fixed compile for TXT map-server. [Valaris]
	* Fixed stone curse's defense being checked versus int rather than mdef. [Skotlex]
	* Fixed firewall treating everyone as undead/fire-element. [Skotlex]
	* Added SQL read of cast_db. [Valaris]
	* Added SQL read of skill_require_db. [Valaris]
	* Added SQL read of skill_db. [Valaris]
	* Added setting use_new_sql_db to inter_athena.conf for development.
	  Do not enable this setting, it will be merged into use_sql_db once all work is finished. [Valaris]
	* Added some work towards sqlizing the rest of the databases. [Valaris]
	* Changed @help2 to #help to display char commands. Cut @help in half
	  @help2 has the other half. [Kayla]
2005/12/23
	* Missed a change in txt login.c for bind_up. [Valaris]
	* Cleanup organization of clif.c and script.c.
	  Please don't put extra functions beyond inits, try and organize a little. [Valaris]
	* Removed login_ip option from login_athena.conf as it is not used. [Valaris]
	* Fixed bind_ip option in login servers. [Valaris]
	* Fixed a bunch of terrible typos in chrif.c [Skotlex]
	* Fixed a terrible typo in the handling of broadcast messages which was
	  causing the map server to send garbage packets to the char server.
	  [Skotlex]
	* Added resistance (int + luk/3) to Stone Curse's equation [Skotlex]
	* Updated sql-files/item_db.sql to current txt version. [Skotlex]
	* Fog of Wall update... Blindess won't affect bosses, blindness ends as
	  soon as you step out (players only) [Skotlex]
	* Implemented the Strip equipment effects on mobs. [Skotlex]
	* Now when Berserk ends, the char's HP goes to 100. [Skotlex]
	* LK's Concentration now gives +50 hit rather than +50% [Skotlex]
	* Inverted the handling of Individual/Shared item pickup rule for parties.
	  [Skotlex]
	* Fixed the item ruling for parties not being correctly read from the save
	  files. [Skotlex]
	* Now Star Gladiator uses 2nd Adv.Class Job EXP table (13th column) [Lupus]
	- In future there could be added the 14th EXP column, specially for Star Gladiator
2005/12/22
	* Begin work on packet optimization .. not done yet [MouseJstr]
	* Finished work on @help/@help2. @help will no longer show # commands. @help2 shows 
	  them instead. [Kayla]
	* Fixed compile warnings in atcommand.c and map.c. Fixed compile error in script.c. [Valaris]
	* wedding_modifydisplay's default is now no (that's how it is on official)
	  [Skotlex]
	* Some cleaning to skill_attack, also added target checking for splash
	  attacks/groundbased skills [Skotlex]
	* Mobs will now stop walking if their target no longer exists (picked up
	  items, for instance) [Skotlex]
	* Modified firewall to cause no damage delay when hitting undead
	  characters. It may fix undead mobs warping when walking through the
	  firewall. [Skotlex]
	* Added script command "clone" for cloning of players. See
	  doc/script_commands.txt for further information. [Skotlex]
	* Added @waterlevel debug command to read/change the current's map
	  water-level (command untested) [Skotlex]
	* Enabled names for forged weapon/created Potions by default [Lupus]
	- Old issues have beed solved long time ago, now items by TOP10 BS/ALCH	gain their TOP10 bonuses
2005/12/21
	* Now left_cardfix_to_right won't take effect when there's no weapon equipped
	  on the right hand. [Skotlex]
	* Updated slave AI to support player masters as well (that is, you could
	  have a non aggressive slave, and it will target any mobs the master
	  targets) [Skotlex]
	* Added battle option skill_wall_check, when enabled, all ground skills
	  will do a check for each cell to guarantee a straight path between the
	  cells and the target tile. Should prevent AOE skills from hitting through
	  walls. Due to the possible performance penalty this setting brings, it
	  defaults to no currently. [Skotlex]
	* Default skill delay for skills with no delay is now the normal attack
	  delay. [Skotlex] 
	* Extremity Fist/Charge Attack will fail if the player can't move to the
	  target. [Skotlex]
	* Prepare kick skills now only fail for Soul Linkers. [Skotlex]
	* Merged in Marquis007's work on SL_SKA/SL_SWOO [Skotlex]
	* All skills except Shield Boomerang get the weapon's refine bonus now.
	  [Skotlex]
	* Taekwon Ready Stances will now fail if you are a Second Job of the
	  Taekwon Tree (SL, SG) [Skotlex]
	* Another fix to item picking for party-share. Hopefully it works alright
	  now (at least I believe it should be dupe-proof now) [Skotlex]
2005/12/20
	* Updated water heights for some maps, thanks to [Lupus]
	- removed p_track02.gat from the maps list. Thanks to Justin84
	* Fixed produce_db items always failing... [Skotlex]
	* Hopefully fixed picking up items on a party-share type of party. [Skotlex]
	* Txt map servers will now send the whole list of online characters at
	  UPDATE_INTERVAL (10 secs) rather than CHECK_INTERVAL (1 hour) so that the
	  online.html file will be correctly updated. [Skotlex]
	* Fixed char_sql and char crash because of buffer overrun. [Lance]
	* Added a flag to tag non-weapon based skills so that they don't get the
	  following bonuses: Star crumb damage, Mastery bonuses, Weapon Refine damage
	  upgrades. Currently applies only to shield skills. [Skotlex]
	* Removed use of castle_id for guilds in char-sql server (use corresponding
	  upgrade_svn* file). TXT servers haven't been touched yet because that
	  would mess up the guild save files. [Skotlex]
	* Online list of characters will be sync'ed every 10 secs for TXT servers.
	  [Skotlex]
	* Merged in Reddozen's work to get Twilight Pharmacy working. [Skotlex]
	- Create Deadly Poison Bottle and Holy Water are now both handled by the
	  item producing code.
2005/12/19
	* Fixed char servers not parsing correctly the online count packet (/who
	  should work fine now) [Skotlex]
	* Fixed the Dodge walking speed bonus to Assassin. [Skotlex]
	* Added the new Garden City Hugel and Kiehl maps. [Valaris]
	* Corrected Kaupe/Kaizel so that you can cast it on self/family when
	  not-linked, and anyone when linked. [Skotlex]
	* Fixed the mob damage log not getting the ID of the attacker registered...
	  [Skotlex]
	* Added a new timer which updates only the count of characters on the
	  current map server to the char server. Update interval is 10 secs.
	  [Skotlex]
	* Updated status_clear_debuffs to clear many other types of ailments
	  (Gospel should be clearing up most negative status changes now) [Skotlex]
	* Fixed exp calc type 0 (dmg/total dmg) being calculated as 0 always. [Skotlex]
	* Implemented the item pickup style for parties. [Skotlex]
	- Party share distributes items in round-robin fashion among players who
	  are in the same map.
	- Pick-up Style shared is needed for anyone to be able to pick up the item
	  bypassing the timers set for first/second/third sd. [Skotlex]
	* Optimized map server's online-listing update timers. [Skotlex]
	* Some updates to the online db in the char/char_sql servers, should help
	  fix some memory leaks due to chars left tagged as 'online' even though
	  that's incorrect. [Skotlex]
	* Added buildin_warpchar script function. Useful for warp one player from
	  another player npc-session. Sytax: warpchar "map.gat",x,y,Char_ID; [LuzZza]
	* Now opening storage will fial if the guild storage is open and viceversa.
	  [Skotlex]
	* Total damage a mob receives is now stored on it's own variable. Damage
	  log implementation clean-up. [Skotlex]
2005/12/18
	* Fixed Close Confine not affecting the caster. [Skotlex]
	* Fixed all skills except Extremity Fist not getting the weapon size
	  modifiers [Skotlex]
	* Fixed Warp Portal checking for noteleport instead of nowarp mapflag
	  (again?) [Skotlex]
	* Fixed baseJob working as baseClass (I hope it works fine now) [Skotlex]
	* Fixed Doridori bonus for Super Novices [Skotlex]
	* Updated new MOTD code so that it can compile on VC. [Valaris]
	* Fixed clone's dyes changing when they attack. [Valaris]
	* Declared pc_read_motd(void) in pc.h for the motd reload command. [Valaris]
	* Added @reloadmotd for reloading the motd.txt into memory. [Valaris]
	* motd.txt will now load into memory at startup instead of being read everytime a player logs in. [Valaris]
	  - motd.txt can now have lines commented with "//" .
	  - MOTD_LINE_SIZE is defined in pc.c, change this to increase maximum amount of lines allowed in motd.txt.
	  - Default motd line maximum is 128.
	* Added a new script function 'setitemscript ItemID,"{ end; }"' [Lupus]
	- Very useful for events that give TEMP item bonuses for short time period 8) A Custom New Year Event NPC's coming soon.
2005/12/17
        * Updated the svn eol-style properties to make merging between
          linux and windows easier when we use more complex branching
          system  [4544: MouseJstr]
2005/12/16
	* left_cardfix_to_right now also moves the ignore race/element defense
	  bonuses (Ice Pick, Weed Killer, etc) [Skotlex]
	* Some fixes to the job_name functions (rearranging inside msg_athena.txt
	  as well) [Skotlex]
	* Left card to right fix will now also apply to defense piercing effects
	  (Ice Pick) [Skotlex]
	* Fixed char-converter being broken for a type mismatch [Foruken]
2005/12/15
	* Fixed clone skills again. This time ground-based skills are working, and
	  support skills have a re-cast delay of half the skill's actual effect. [Skotlex]
	* Fixed clone commands sometimes spawning the clone on a non-walkable tile
	  (which in turn sends the clone to a random map location) [Skotlex]
	* Added debug information to the guild cache. Total number of guilds in the
	  db will be printed now (as long as the save log is active) [Skotlex]
	* Updated SG_HATE to pick the specific class (Select a Monk, and the bonus
	  is against monks only, not Champions/Acolytes/Baby Monks) [Skotlex]
	* Removed hardcoded table names in login_sql/login.c [Foruken]
	* Some cleaning regarding the job tree skill-raising restrictions code.
	  [Skotlex]
	* Optimized/cleaned up the job_name function, job names are now acquired
	  from msg_athena.txt. [Skotlex]
	* Fixed race defense bonus against Boss/Nonboss checking versus the target
	  instead of the attacker (should fix Alice Card) [Skotlex]
	* Some cleaning in clif.c [Skotlex]
2005/12/14
	* Fixed 'dead_branch_active' option. [Skotlex]
	* Optimized use of weather effects, or should I say, no use.
	  Also re-added clif_clearweather to some of the weather effects, when they are turned off. 
	  Why those were removed are beyond me.. [Valaris]
	* Temporarily changed the walk speed during Charge Attack and Extremity
	  Fist to simulate a faster 'zoom' to the target (somewhat untested yet)
	  [Skotlex]
	* Corrected SL_HIGH so that the total of each stat is always 50...
	  [Skotlex]
	* Optimized graffiti display packets (what was I thinking?) [Valaris]
	* Corrected a statement in guild.c (== to =) in nulling out the guild cache. [Valaris]
	* Implemented a mini cache for guilds/parties in the map server. Looking up
	  the same guild/party twice or more should result in instant seek times
	  until a different one is looked up. [Skotlex]
	* Fixed saving account variables [Komurka]
	* Fixed SL_KAIZEL not starting the proper effect. [Skotlex]
	* Merged Reddozen's work of SL_KAUPE [Skotlex]
	* Updated checkweight() script command to return false when the player has
	  inventory full. [Skotlex]
	* Soullink check for SG_FUSION [Komurka]
2005/12/13
	* Fixed @slaveclone not attacking enemies. [Skotlex]
	* Some more cleaning to the clone skills, proper support for Heal,
	  Resurrection, Double Attack, Triple Blows. [Skotlex]
	* Updates/fixes/corrections to battle check target so that mobs with
	  special AI can fight mobs without it even if the mob doesn't has a human
	  master. Also updated it so that mobs with no special AI are all friends by
	  default. [Skotlex]
	* Clone skill fixes, support/self skills are now triggering (never
	  triggered before), adjusted some of the skill usage rates. [Skotlex]
	* Dyes will now work correctly on cloned or mob_avail class monsters.
	  save_clothcolor must be enable in battle_athena.conf. [Valaris]
	* Added carts, falcons and pecos to clone and mob_avail class monster spawns. [Valaris]
	* Likely fixed the @spawn names issue. [Skotlex]
	* Fixed @*clone commands not resolving properly the target char. [Skotlex]
	* Implemented the SL_ROGUE bonus to potions. They heal +100% more rather
	  than 50% (potions from ranking Alchemists, that is) [Skotlex]
	* Merged in Reddozen's work with SL_KAIZEL [Skotlex]
	* Added the check to prevent KA skills from being usable until you are Soul
	  Linked. [Skotlex]
	* Enabled clif_parse_Taekwon (Why was taekwon parsed as clif_parse_Alchemist?) [Vicious]
	* Moved the base attack code into it's own function to properly implement
	  the magnum break's elemental damage bonus (watch out for bugs as the code
	  was proof-read, but that usually doesn't says quite enough when it comes to
	  code). [Skotlex]
	* Merged in Reddozen's work for SL_WIZARD [Skotlex]
	* Updated clone command to allow attaching the clone to the invoking player
	  as a slave. @clone creates a friendly clone that attacks mobs. @slaveclone
	  makes a clone that follows the creator (it's a slave), @evilclone is the
	  stock clone as a mob). Also fixed min/max damage of clones. [Skotlex]
	* Added one extra tile of range to melee mobs in mob_attack, should fix
	  mobs not attacking when they are range+1 tile from you, yet they refuse to
	  move in that final tile. [Skotlex]
	* Corrected mob ai not moving closer to player if there's a distance of 2
	  or less between them (which would do no good if the mob's range is just 1) [Skotlex]
	* Fixed SG_FRIEND - should work now [Komurka]
	* Realtered global_reg value size to 256. [Lance]
	* Adjusted pointers location for packets for new global_reg value (it's wrong + I adjusted the size) to 256 + 32 = 288 [Lance]
	* Improved variable scope for scripts to accept all string variables. [Lance]
	* Altered map, char and login server to correctly use global_reg [Lance]
	* do_sendrecv merges from Freya [Lance]
	 = Requires recheck on packets again to see if I missed any pointer alterations =
	* Improved @evilclone to accept character IDs [Lance]
	* Corrected partywarp/guildwarp to correctly take into account nowarp/nowarpto mapflags. [Skotlex]
	* Added a few custom scripts due to high demand. [Lance]
	* Added monster museum. Adapted from Prometheus. [Lance]
	* Corrected OnTouch to use exname instead of name to prevent conflicts. [Lance]
2005/12/12
	* added manner_system battle conf variable (now you can have PK server without manner system - which is unfinished ;/) [Komurka]
	- some corrections in SI_ data (night uses soullink effect)
	- changed global_reg value from int to char
	  added two new functions (pc_readglobalreg_str and pc_setglobalreg_str)
	  SG_FEEL now saves maps to global_reg
	  I've 'marked' all changes that SHOULD be checked with '//komurka'
	- SG_FUSION hp penalty changed from 2% to 0.5%
	- SG_SUN_COMFORT now increase VIT DEF
	- implemented SG_FRIEND skill - this is the last SG skill - now it's a good time for bug reports :]
	* Updated the max number of ingredients of produce_db to 12. [Skotelx]
	* Updated clone code to also copy the skills from the source player. [Skotlex]
	* Added Reddozen's implementation of SL_SKE and SL_MONK (sp recovery, Combo
	  Finisher splash damage, SP regen while in Fury) [Skotlex]
	* Some reorganization of the Star Gladiator map-based skills. [Skotlex]
	* Fixed @spawn/@monster atcommands 'freezing' server when used. [Skotlex]
	* Fixed ground-based skills having their range-check messed up... [Skotlex]
	* Corrected melee-ranged mobs failing the range check even if they were
	  standing next to you. [Skotlex]
	* Added all duel-commands messages into msg_athena.conf. Commented out
	  code of drawing PVP-circle in duel because it not hiding when player use hide. [LuzZza]
	* Removed @monster2, merged the code of atcommand_spawn/atcommand_monster
	  as suggested by Flaviojs. [Skotlex]
	* Removed some unused entries in msg_athena.txt [Skotlex]
	* When there are unused stack sections (invoked functions and ignored
	   return values) the unused stack section is free'd. This is still notified
	   when the etc_log is active. [Skotlex]
	* Removed the TURBO code from socket.c as requested by MouseJstr. [Skotlex]
	- It was actually slower than the normal code.
	* Updated warp portal and script commands partywarp/guildwarp to take into
	  consideration mapflag nowarp as restriction rather than noteleport.
	  [Skotlex]
	* Applied dontBR's update to his configure script [Kayla]
	* Changed the bonus on Sonic blow.(It was giving 1500% instead of 1600%) [Vicious]
	* Updated gettimetick() to use flag 2 and return System's tick, thanks to
	  Kyoki [Skotlex]
	* Removed the mismatch stack error message caused by scripts where the
	  returning value of a function was ignored. [Skotlex]
	* Corrected the Spirit of Assassin damage bonus of Sonic Blows. [Skotlex]
	* Corrected BSS check versus undead, checking for partners on the Priest's
	  exact left and right, and sending partner's SP to negative. [Skotlex]
	* Another Paladin's Gospel effect ends when you cast it (should fix Gospel
	  in Gospel bugs). Also, now Gospel only blocks usage of items of type 0
	  (healing). [Skotlex]
	* Corrected berserk Pitcher displaying 0 heal. [Skotlex]
	* Added Close Confine's flee bonus. [Skotlex]
	* Corrected Slow Poison. Can be used when not poisoned, will not "pause"
	  poison's timer. [Skotlex]
	* Implemented SG_FUSION skill [Komurka]
	  Don't ask me why in newer exe U see flying ... Santa ... -.-
	* Updated the distance() function definition with one which uses a much
	  better approximation [Skotlex]
	* Updated sql-files/ mob_db.sql & item_db.sql to latest. [Skotlex]
	* Added @autotrade/@at and @away/@aw messages into msg_athena.conf (you can customize them) [Lupus]
	* Updated default hardcoded GMlevel values of some @ATCommands according atcommand_athena.conf [Lupus]
		and removed doubles of some commands, thanks to Rideword
2005/12/11
	* Corrected guild deletion in SQL (both from /breakguild and guild master character deletion). [Valaris]
	* Added @evilclone commands.  Syntax is @evilclone <playername>, [Valaris]
	  It will spawn an aggresive clone of the given player.
	  By default it will use mob id ranges 9001-10000, this range is #defined in mob.h.
	* Fixed VS compile error in mob_clone_spawn. [Valaris]
2005/12/10
	* Added core player cloning code. Just need to create some commands. [Valaris]
	* Redid the @help2 (char commands). [Kayla]
	* Added jobname retrieving script function getJobName. [Lance]
2005/12/09
	* Changed default GM level for @setbattleflag to 99. [Valaris]
	* Implemented the SL_SUPERNOVICE bonus to wear all heagears/various weapons
	  at high base levels. [Skotlex]
	* Implemented SL_ROGUE bonuses: can't be dispelled, Chase Walk's str bonus
	  lasts 10x longer. [Skotlex]
	* OneHand Quicken now dispels aspd potion effects. [Skotlex]
	* Updated SL_STIN/SL_STUN to do miserable damage if the target's size is
	  'incorrect'. [Skotlex]
	* Updated @disguise so the max npc id you can use is 1000 (1001 is already
	  the first mob, Scorpion) [Skotlex]
	* Fixed a possible infinite loop in pc_calc_skilltree when receiving
	  additional skills when Soul Linked. [Skotlex]
	* Added the Taekwon bonus that gives you triple Max HP/SP when you are a
	  top 10 ranker and have base level 90+ [Skotlex]
	* Added support for skill_db pl == -2. These skills don't take the element
	  of the weapon, but will take the element of any enchantment elemental
	  change (so the element used is neutral unless you are enchanted with
	  Fire/Wind/etc) [Skotlex]
	* Coded in SL_STIN, SL_STUN and SL_SMA. [Skotlex]
	* Should have fixed the crash with raw_time in char/char.c [Skotlex]
	* Pressure can now be cast-break. [Skotlex]
	* Likely fixed the client crash when hating a class rather than mob. [Skotlex]
	* Removed @help2, note to self: do not commit at 4 am. Will redo later. [Kayla]
	* Added @help2. @help did not fit in the screen. @help2 currently contains
	  just the char (#) commands. [Kayla]
	* MAPREGSQL disabled (experimental) in VC7. To enable, define MAPREGSQL in preprocessor. [Lance]

2005/12/08
	* Changed default value of start_zeny to 0 to prevent packet exploits.
	  Also is 0z on offical servers. [Kayla]
	* Fixed bug with objects (npcs, monsters, players, etc) not appearing when using @refresh. [Valaris]
	* Updated effects for food production thx to Poki#3 [Komurka]
	* SG_STAR_BLESS now gives 20%*skill lvl additional exp [Komurka]
	* Modified clif_blown to use the clif_slide packet instead of clif_fixpos,
	  as Komurka tested it and it appears to be handled better by current
	  clients. [Skotlex]
	* Added two new battle_athena.conf options:
	  duel_allow_teleport (def: no) and duel_autoleave_when_die (def: yes) [LuzZza]
	* Small fix in allskill [Komurka]
	* Updated Gloria Domini to bypass battle_calc_damage (misc damage
	  reductions) [Skotlex]
	* Fixed a typo in pid.c, thanks to akusarujin [celest]
	* Exploit fix in SG_FEEL [Komurka]
	* Updated TK_MISSION to pick a random mob in the same way a dead branch
	  does. [Skotlex]
	* Corrected SG_DEVIL giving the ASPD bonus below level 50. Only works at
	  max level... [Skotlex]
	* Some cleaning to pc_calc_skilltree. Also updated it so that if you don't
	  use player_skillfree, you can't have ANY skill if you don't have NV_BASIC at
	  9 (only exception are quest skills). [Skotlex]
	* Implemented HT_POWER/Beast Strafing.  [Skotlex]
	- The damage equation is unknown.. for now it's the same as Double Strafe
	  except the skill modifier is +10%*str
	- Currently the Combo is triggered 100% of Double Strafes done on beast
	  monsters.
	* Added Reddozen's work for Hunter's Beast bane spirit bonus. [Skotlex]
	* Corrected the drop delay for mobs when killed by magic to be 500ms (will
	  only work if killed by a player) [Skotlex]
	* Updated SG skills (kRO Patch - 11/29/05) [Komurka]
	* Enabled a few maps needed for the new novice training grounds, sorry I forgot to [MasterOfMuppets]
	* Removed duplicate maps in maps_athena.conf. Thanks for the report Dr. Evil [Kayla]
2005/12/07
	* Pressure will always pull-off now after it has began casting. [Skotlex]
	* Implemented Close Confine. [Skotlex]
	* Change all 0x20e packets (18->26; 22->30) [Komurka]
	  Also added job_name(mob_id) in clif_hate_mob 
	  (but it crashes client when U try to use SG_HATE skill on player ><)
	* Fixed compile error in status.c. Check your work skot <3 [Kayla & MoM]
	* Updated socket.c by adding a lots error reporting for functions that
	  previously were assumed to not fail. May help figure out what's going on
	  with the win32 builds... [Skotlex]
	* Reviewed and cleaned up a bit the latest SG additions from Komurka. [Skotlex]
	- My skill desc says that SG_DEVIL does not makes you blind until you reach
	  max job level, so I implemented that. Report if this is incorrect. 
	- SG_*_WARM skills should be working from what I read there.
	* Modified a bit the TK_MISSION packet, GUESSING where the progress of the
	  current mission should go within said packet... [Skotlex]
	* Implemented TK_MISSION. [Skotlex]
	* Added more SG skills (Comfort, Warmth, Demon, Knowledge) [Komurka]
	All of them should be checked by someone ^^;;
	- SG_xx_WARM for now only shows cool red effect :> There is more code but for now it doesn't work
	* Added new Geffen Field maps [Harbin]
	* Disabled Atcommand Nuke (It was commented, not disabled) [Harbin]
	* Added skip_teleport_lv1_menu option to Battle_Athena. Allows players to cast Teleport level 1 without menu. [Harbin]
	* Merged in Reddozen's current Soul Linker work. [Skotlex]
	- Berserk Pitcher should be working now.
	- Bard/Dancer walk bonus when dancing/singing while soul-linked.
	- Partial work on Twilight Pharmacy.
	- proper skill effect
	* Fixed One Hand quicken doing nothing. [Skotlex]
	* skill_get_name now returns "UNKNOWN_SKILL" instead of null (should fix
	  some crashes when using it on skills with no defined name) [Skotlex]
	* When weapon_delay_attack is enabled, items should drop inmediately after
	  mobs are killed rather than 500ms afterwards. [Skotlex]
	* Added Exception Handling plugin to be used for native Win32 builds [celest]
	  - crashes will be logged in <server type>.stackdump along with file name and line numbers
	  - To activate, enable 'exchndl' in plugin_athena.conf

	  Public Service Message - Crash reports can be VERY VERY helpful, so please enable the
		plugins if you can ('exchndl' for Win32, 'sig' for cygwin and linux) and send in any
		reports you might get! We all want eA to be stable, ne? ^^

	* Some compile error fixes for MinGW, FreeBSD and plugins [celest]
	* Updated Makefile to set platform defines for FreeBSD [celest]
	* Updated Makefile to auto-detect MinGW and include src/mysql [celest]
	* Debug logging flag for logging output messages (only works well with native Win32) :D (Not enabled by default) [Lance]
	* joshuali's new vcproj with debug mode correctly set up. [Lance]
	* Fixed compile errors for Valaris's commit on date.h [Lance]
	* Added updated vcproj for native VC8 win32 for date.h/c support. [Lance]
	* Removed extra returns in date.h. [Lance]
	* Probably fixed warnings in unzip.c [Lance]
2005/12/06
	* Updated item 12132 for the Xmas suit effect in item_db.sql. [Valaris]
	* Implemented Xmas Suit: [Valaris]
		-Added status change state SC_XMAS, and added it to const.txt.
		-Cannot attack or use skills while in the Xmas state.
		-Will save if you logout.
		-"sc_start SC_XMAS,600000,0" added to item 12132 (using item will give you xmas suit for 10 minutes).
		-Added xmas_ignorepalette option to battle_athena.conf.
	* Fixed script error in Garm's Claw item causing an error. [Valaris]
	* Added a missing ; to Skotlex's Previous SG skill editions that caused compile errors. [Valaris]
	* Added JOB_GUNSLINGER(24), JOB_NINJA(25), and JOB_XMAS(26) to map.h enum list and const.txt. [Valaris]
	* Added SC_SCRESIST to const.txt. [Valaris]
	* Applied Komurka's Star Gladiator patch. [Skotlex]
	- The following skills are now working: SG_FEEL, SG_HATE, SG_SUN_ANGER,
	  SG_MOON_ANGER, SG_STAR_ANGER, SG_SUN_BLESS, SG_MOON_BLESS, SG_STAR_BLESS
	- The designated maps cannot be stored currently (cannot save character
	  string variables) and is pending on a script update to enable saving of
	  said type of variables.
	* Added @away command. [LuzZza]
	* Mostly fixed intravision making everyone see hidden/cloacked characters.
	  (the actual option value to see just the player's shadow is currently
	  unknown) [Skotlex]
	* Updated Gospel [Skotlex]
	- It should clear all buffs/debuffs now.
	- Party-mates within range cannot use items.
	* Implemented the SL_BARDDANCER bonus that enables the caster to be buffed
	  by their own song/dance/encore. [Skotlex]
	* Completed Sight Thrasher (the option value is still missing, though.
	  Temporarily uses the one of Sight) [Skotlex]
	* Corrected possible exp exploits in jA's exp calc method. [Skotlex]
	* Corrected Spirit Skills showing up in all class trees. [Skotlex]
	* Invoking @reloadscript now also invokes the OnInit event after loading. [Skotlex]
	* Expanded Item Groups list from 20 to 32 item groups [Lupus]
	* Fixed healing experience bug. Now only healing another players gives experience. [Harbin]
2005/12/05
	* Hopefully fixed gm_all_skill.... [Skotlex]
	* Modified a bit the player attack code to give an extra range cell when
	  the target is moving. [Skotlex]
	* Added skip_teleport_lv1_menu battle_athena option. It give a possibility to
	  disable (skip) Teleport Lv1 menu, that have only two lines `Random` and `Cancel`.
	  Of course, by default this option have `no` (don't skip) value. [LuzZza]
	* Added FD_SETSIZE 4096 predefination to VC++ Project Files. Should fix 60 player limit bug with native compilations. [Harbin]
	* Fixed char crash (I hope) when checking for two parents + baby in a party
	  with more than 3 characters, but from which only 3 were online at a time. [Skotlex]
	* Merged in Reddozen's work on SL_BARDDANCER and cleaned up a bit the
	  Spirit Skills code when calculating the skill tree. [Skotlex]
	* Updated mob ai so that support/aggressive mobs can't 'see' a player until
	  there's a direct line of sight between them. [Skotlex]
	* Updated monster_ai&1 so that when not set mob-chase type is Aegis-like
	  (mobs will not change walk target tiles mid-walk) [Skotlex]
	* Added battle_athena.conf option mobs_level_up_exp_rate to set the extra
	  exp rate a leveled up monsters gives. [Valaris]
	* Added a custom X-Mas quest *Sign Your Items* [Lupus]
	* Applied Harbin's patch to fix Arrow Shower + Traps. Someone test it out.
	  [Skotlex]
	* Another fix to socket.c to enable TURBO mode to work on win32. [Skotlex]
	* Fixed the combo status not ending after using TK_TURNKICK [Skotlex]
	* Overflowed pointer fix in socket.c [Skotlex]
	* Added 'Einbech' into @go command (u have to type at least 5 letters) [Lupus]
	* More detailed error messages for missing '"'s in scripts. [Lance]
2005/12/04
	* Removed mail server switch from battle_athena.conf and added
	  full mail server configuration to inter_athena.conf. [Valaris]
	* Fixed too big VVS damage of TOP10 BS weapons [Lupus]
2005/12/03
	* Fixed up TK Sprint (TK_RUN) skill: [Valaris]
		-Disabled movement during skill use.
		-Correct moves player server-side.
		-Stops without sp use if skill is used during running.
		-Server will not save status if player logs out.
	* Some cleaning of socket.c to see if TURBO will now work on Windows, it
	  may also fix the select() problems on that platform as well. [Skotlex]
	* Fixex "gm_skill_all" crashing the server from generating huge packets (or
	  so I hope) [Skotlex]
2005/12/02
	* Gave the Spirit Status Change a custom effect for now. [Skotlex]
	* Merged in Reddozen's work for SL_HIGH (Spirit of Rebirth) [Skotlex]
	* The Bonus skills acquired from being Soul Linked should now show up in
	  the skill tree. [Skotlex]
	* Merged Reddozen's work of One-Hand Quicken and Adrenaline Rush 2. [Skotlex]
	* Fixed Axe-Kick never triggering. [Skotlex]
	* Slaves walk once again. [Skotlex]
	* enable_items now also enables equipment stuff. [Skotlex]
	* The attack motion in packets for ground-based skills is now 0 (it may
	  help somewhat with current firewall issues). [Skotlex]
	* Added char-server option "save_log", when disabled, the char server will
	  stop printing info messages whenever something is loaded/saved. [Skotlex]
	* Disabled random-walking for slaves [Skotlex]
	* Added script commands enable_items/disable_items [Skotlex]
	* Likely fixed the mob-skill target type "master" [Skotlex]
	* Added target type "master" to the mobskill_db [Skotlex]
	* Modified NPC_RUN to allow the caster to run away from the target [Skotlex]
	* Implemented SL_SAGE (Soul Linker Sage buff for auto-cast bolts) [Skotlex]
	* Updated char-sql guild saving so that instead of saving ALL guilds when
	  the time comes, the save interval is splitted on time-slots (based on guild
	  count in memory) and a guild is saved per time-slot (just like the map
	  server saves characters). [Skotlex]
	* Fixed client crashes with using baby and advanced player classes as pets. [Valaris]
	* Added missing ban_hack_trade option to battle_athena.conf. [Valaris]
	* Hopefully fixed Counter Kick. [Skotlex]
	* Uncommented and corrected the Soul Linker Monk buff (SP cost reduction
	  for monk combos) [Skotlex]
	* Added a check in skills so that skills that are used on yourself, but had
	  it's target auto-selected cannot be used on non-enemies if it's nk is
	  different from 1 (1 = No damage skill) [Skotlex]
	* Various cleanups to the char-sql server to prevent corner-case crashes
	  from queries that return no rows. [Skotlex]
	* Massive Taekwon Boy skills related code cleanup. [Skotlex]
	- Flying Side kick and Turn Kick should be fully working now, too.
	* Cleaned up and reorganized the SC_ data listing. Added sc's for food
	  related bonuses: SC_HITFood, SC_FLEEFood, SC_BAtkFood, SC_WAtkFood,
	  SC_MAtkFood. [Skotlex]
	- Some of the saved sc data will be wrong, so wipe the table/file if you
	  want to play it safe.
	* Some corrects in duel code. [LuzZza]
	* Sonic Blow and Shield Boomerang's after cast delay is now properly
	  adjusted by the Soul Link skills. [Skotlex]
	* Party even share will be now broken after a base level reset. [Skotlex]
	* Merged in Reddozen's Soul Linker current skills work. [Skotlex]
	* Added countitem2(itemID,....) script function. [Lupus]
	* Added axtoi script function that converts hex strings to integers. [Lance]
	* Fixed incorrect time (that leads to crashes) in login server. [Lance]
2005/12/01
	* Moved KN_CHARGEATK code to merge it with Extremity Fist. Skill damage
	  modifier is currently set to +15% per cell (need actual value here) [Skotlex]
	* Fixed client crash when logging in with Baby Knights and Crusaders riding Pecos. [Valaris]
	* Implemented Ki Explosion. [Skotlex]
	* Fixed client crashes with using baby and advanced player classes as monsters. [Valaris]
	  Make sure to use Item ID for weapons and shields in mob_avail.txt for player monsters and not View ID.
	  Updated Valaris and MC Cameri mobs in item_avail.txt to use Item IDs.
	* Fixed cutting Castle Name (was 14 instead of 24) [Lupus]
	* Corrected Grimtooth counting a short-range skill when it's actually
	  ranged. [Skotlex]
	* Corrected Venom Splasher's splash range, and the splash damage is now
	  divided by number of targets (sort of, skill % dmg is adjusted according
	  number of targets) [Skotlex]
	* Tarot Card of Fate won't break equipment now if equip_skill_break_rate is
	  0. [Skotlex]
	* Improvements and optimizations to the online db management in the char
	  txt/sql servers. [Skotlex]
	* Updated the guild cache (char sql) to have it load/unload characters
	  whenever they are updated in the char online_db (previously they were only
	  updated on normal char-select/char-quit when there were more cases where a
	  char is set online/offline) [Skotlex]
	* Now when the guild is not found in the cache it will be loaded from the
	  sql db first before failing. [Skotlex]
	* Fixed equip_skill_break_rate equation being messed up for Acid Demonstration. [Skotlex]
	* Fixed Aura Blade adding damage to Spiral Pierce (it shouldn't) [Skotlex]
	* Script function getnameditem now sets flag 254 (created) instead of 255 (forged) [Lupus]
	  To prevent ADDITIONAL Blacksmith FAME TOP10 bonuses, applied to signed but not forged weapons
		e.g. You have a custom quest for rare weapons. You tag items with players name (using getnameditem command).
		if a TOP10 BS get an Infiltrator.. then it used to give extra atk bonus 8)
2005/11/30
	* Updated item_db.sql to latest. [Skotlex]
	* Updated mob_db.sql to latest. [Skotlex]
	* Updated Gospel to force the removal of the ground-effect when the status
	  change ends. [Skotlex]
	* Made Snatch/Intimidate work on Guild maps (I have read around this is how
	  it is) [Skotlex]
	* Added the auction maps to maps_athena.conf [MasterOfMuppets]
	* When players are hit while moving, they should now move one last cell
	  in the same direction they were walking when interrupted. [Skotlex]
	* Walk delay won't be applied now unless the attack deals damage... [Skotlex]
	* Major reorganization of player variables and bonuses. If something broke,
	  report it up. Otherwise, struct map_session_data should look quite a bit
	  more clean now. [Skotlex]
	* Fixed duel bug when you can't cast some skills on yourself. [LuzZza]
	* Fixed (I think) pets losing the "rename flag" when you sent them back to
	  egg. [Skotlex]
	* Added a index check in the equip packet, should fix crashes from invalid
	  packets. [Skotlex]
	* Fixed a horrible bug that was making the walk delay not work for sure x.x
	  [Skotlex]
2005/11/29
	* Fixed race exp bonuses. [Skotlex]
	* Fixed ## account variable saving disconnecting the char-login servers. [Skotlex]
	* Updated the way multi-hit skills add overrefine/star crumb/spirit sphere
	  damage so that the total bonus is multiplied by the total number of this.
	  [Skotlex]
	* Fixed the config variables being "lost" on startup. [Skotlex]
	* Fixed Restore requiring Regeneration lv2 [Skotlex]
	* Fixed the spirit sphere bonus not applying to Throw Spirit Sphere. [Skotlex]
	* Rewrote and cleaned up duel code. Formed independent duel_xxx functions.
	  I suggest to place this functions in duel.c/duel.h. New features: [LuzZza]
	  - Now when you in duel, you can't attack anything out of your duel
	    (mobs, other players etc...);
	  - Now you can't take part in duel more often than it set in battle_athena.
	    Default delay is 60 minutes.
	  - New battle_athena.conf options: duel_allow_pvp - allow/disallow duel
	    on pvp-maps; duel_allow_gvg - allow/disallow duel on gvg-maps;
	    duel_time_interval - delay between using duel in minutes.
	* Updated damage formula for Spiral Pierce. [Skotlex]
	* Fixed speed change being lost when speed is increased/decreased while
	  walking with Free-cast. [Skotlex]
	* Fixed pets being renameable after turning them back into eggs. [Skotlex]
	* Reverted the guild data position in the mob/npc packets, should restore
	  the emblems in flags. [Skotlex]
	* Corrected battle_check_target Guild checks returning true for non-guild,
	  party'ed characters and viceversa. [Skotlex]
2005/11/28
	* Added dontBR's experimental configure script. It's still in alpha stage,
	  so use with caution! [Skotlex]
	* Fixed a pair of exp exploits possible with to Rich Man Kim and
	  race-add-exp card bonuses. [Skotlex]
	* Updated behaviour of skillrange_from_weapon. If set, those skills with
	  negative range use the weapon's range. If not set, then the skill range
	  used is the absolute value of the range specified in the skill_db. [Skotlex]
	* Small cleanup of the color broadcast packet using data provided by Master
	  of Muppets. It should hopefully fix the font-size on said colored messages.
	  [Skotlex]
	* Fixed the setting of the guild id and guild emblem in packets 0x7b and
	  0x78 for mobs/npcs (this is assuming the position is correct when filling
	  these same packets for players) [Skotlex]
	* Added battle_config option skillrange_from_weapon which, when set, allows
	  weapon based, target-selected, offensive skills to take the equipped
	  weapon's range instead of the range defined in the skill_db. [Skotlex]
	* WARNING/ACHTUNG! Update all your NPCs ASAP. Massive NPC fix's out. [Lupus]
	* Updated monster_ai&8 so that mobs scatter as soon as they lose their
	  target. Use this setting for an effective counter measure to Grimtooth
	  mass-mob training. [Skotlex]
	* Added pc_damage_walk_delay_rate to separate the walk delay adjustment of
	  players from that of mobs. The adjustment for players is 20% while for mobs
	  is 100%, pending further adjustments. [Skotlex]
	* Added the weapon upgrade damage bonus of Spiral Pierce [Skotlex]
	* Removed the mob_stop_walking code from mob_damage as it should be invoked
	  on battle_walkdelay (the mob walk delay issue will likely need it's own
	  config option) [Skotlex]
	* Added joshuali's new Visual Studio files. [Lance]
	* Novice Warp Portal fixes from jAthena. [Lance]
	* Final warning elimination in plugins.c (most of them are gone with warning level set to 1). [Lance]
	* Fixed typo in msg_athena.conf and 'users with autoloot turned on will not have their rare drops announced.'. Thanks to Kaseki.
	* Mob should stop walking when hit if not enduring. Thanks to Playtester. [Lance]
	* Included pcre.dll and libmysql.dll from joshuali. [Lance]
	* Eliminated Level 3 warnings. Setting compile warnings to Level 3. (Level 4 just kills eAthena XD) [Lance]
2005/11/27
	* Fixed an overflow pointer bug in the gvg eliminate timer. [Skotlex]
	* Updated the damage code if Spiral Pierce, Shield Chain and Shield
	  boomerang to be closer to official. [Skotlex]
	* Fixed a crash when setting all chars offline in the char-sql server. Also
	  fixed that delete_timer mismatch on shutdown [Skotlex]
	* Autospells now won't trigger if the range between the source and the
	  target is not satisfied. [Skotlex]
2005/11/26
	* Added bonus2 bAddSkillBlown for adding a custom knockback value to a
	  skill. Note that this knockback bonus is ADDED to whatever the default
	  knockback of the skill is. [Skotlex]
	* Fixed Soul Linker skills showing up on the tree for leveling up. [Skotlex]
	* Probably fixed the crash in inter_guild_CharOffline [Skotlex]
	* Modified the skill get range routine to correctly account for the attack
	  range and the AC_VULTURE range bonus where needed. [Skotlex]
	* Fixed alchemists Fame Points bug: It were giving 1 fame point [Lupus]
		on making 4 Condensed Potions in row, instead of 3, etc. Now tested ^_-
	* Some restructuring and cleaning up in map loading to make it easier for
	  future plans (like removing Grfio) [celest]
	  - split map loading into separate sources properly
	  - added map server will display a list of enabled map sources on startup
	  - added maps will be auto-imported into the map cache if it's loaded with
	    AFM, AF2, or any other source
	  The server looks for maps in this descending order: the map cache, AFM maps,
	  AF2 maps, and finally GAT files from the GRF (slowest); so, if you enable map
	  caching it should be a liiiittle bit faster then before ^^
2005/11/25
	* Uploaded fixes to int_guild, tested and working safely. [Kevin]
	* Added @showzeny @ command. [Skotlex]
	* Some code cleanup to make AutoBerserk work the way it was intended to
	  (skill toggles "auto-berserk" state on/off, if on, you automatically get
	  Provoked when under 25%HP) [Skotlex]
	* Fixed Auto-Berserk auto-ending after a minute. [Skotlex]
	* Added a fix to mob skills to prevent them from being checked too
	  frequently during battle (which was sort of bumping up their rate to double
	  or more from what the skill db would state) [Skotlex]
	* Added cleaning up the fifo before sending the guild information (since
	  the packet is big, the fifo should be cleared to avoid overflow problems)
	  [Skotlex]
	* Added monster_ai&8, when set monsters stop walking as soon as they lose
	  their current target [Skotlex]
	* Reflect Sword again reflects damage versus players. [Skotlex]
	* Corrections to the skill code so only Heaven's Drive may damage traps. [Skotlex]
	* Reverted the mob random walk delay after unlocking a target to 3~6 secs. [Skotlex]
	* Added pow, sqrt and distance to scripting commands. [Lance]
	* Removed players with 0 Fame Points from Blacksmith/Alchem/Taekwon TOP10 lists [Lupus]
	* Should fix night glowing bug. [Lance]
	* Added setd and getd variable retrieving and setting with dynamic names. [Lance]
	* Added petstat command as requested by Dubby. [Lance]
2005/11/24
	* Fixed a small bug in the guild search by name routine. Should fix the
	  crash on new guild creation. [Skotlex]
	* Added debug information in case the guild isn't found in the cache when
	  it should be there. This should help fix any problems the guild cache
	  might have (eg: for some function that may take effect on a guild which
	  has no members online) [Skotlex]
	* Finished cleaning up and merging the guild cache withthe guild timers
	  behaviour. It should be mostly safe to update now. [Skotlex]
	* Reverted the sql save behaviour. [Skotlex]
	- Now guilds timers and cache are both into effect, this requires a bit
	  more of cleaning to be considered done.
	* Various things I made but already forgot xD [DracoRPG]
	* Fixed and updated damage bonus for forged weapons: VVVS is +40 (was previously +50
	  for the right hand...) and "famous maker bonus" gives a no-miss +10 dmg, same as
	  2 additional Star Crumbs. [DracoRPG]
	* Added or updated several Taekwon skills [DracoRPG]
	  - Jump Kick uses clif_slide to the target's exact pos , waiting for capture/video
	  - Taekwon ranking is now supported by the fame system, but there's no way to gain
	    points atm (Taekwon Mission has no effect), infinite kick combo should be OK
	  - 4 basic kicks updated, you now stop attacking when a stance triggers, and have 2
	    seconds to hit the button before attacking again
	  - Run uses SC_SPORT to increase your STR and affect the way Break Fall works
	  - Break Fall dodges ranged magic/weapon attacks, as well as melee weapon ones
	    when SC_SPORT is active
	* Made Sword Reject / Counter Instinct reflect damage only against monsters (not
	  100% sure about it, but let's say 90%... iRO site says it, although it isn't
	  the best source ever) [DracoRPG]
	* Made Spiral Pierce use SC_STOP instead of setting canwalk_tick, some other such things
	  need to be reviewed [DracoRPG]
	* Fixed Pneuma. [Skotlex]
	* Fixed dead mobs reappearing on the map. [Skotlex]
	* Cleaned up the duel code in battle_check_target. [Skotlex]
	* Added config option summons_inherit_effects, defaults to yes, check
	  battle_athena.conf for further details. [Skotlex]
	* Updated duel [LuzZza]
	- Now "@duel <Num>" may be used for indication max players limit of duel.
	- Now "@duel <Nick>" creating duel for two players and automatically send invitation to Nick.
	* Added a new script function: getequipcardid(equipSlot,CardSlot) [Lupus]
		Returns Card ID or just a value from your EQUIPPED item
		Useful to check equipped items PROPERTY, STRONG value, Author ID, etc
		Check npc\sample\getequipcardid.txt and read script.c comment ^_-
2005/11/23
	* Fixed the crash on guild creation in new guild cache. [Kevin]
	* Implemented duel organizing commands: @duel, @invite, @accept, @reject, @leave. [LuzZza]
	* Made the walk-delay a timer, so that it triggers after the actual attack
	  motion of the src. [Skotlex]
	* Added back the combo damage delay config, now renamed to
	  multihit_delay, and set to the default of 230ms it had before. [Skotlex]
	* Added displaying file which caused an error on incorrect mob lines.
	  [Skotlex]
	* Small memory corrections to sql castle saving/loading, mostly Lance's
	  work. [Skotlex]
	* Updated the walk delay routine to not invoke stop-walking when character
	  is not walking (fixes the case in which the packet is sent while sitting,
	  which causes a 'standing' sprite even if the char is sitting). [Skotlex]
2005/11/22
	* Implemented a guild cache in char sql, saves all online guilds every 5 minutes. [Kevin]
	* More grammar fixes [Kayla]
	* Added 1-tile of range grace in skill_use_id and skill_use_pos since
	  that's how it is on Aegis servers. [Skotlex]
	* Updated the skill info packets to deliver the skill names as expected by
	  the client. [Skotlex]
	* Updated mob ai to enable changing targets while attacking ONLY if the
	  attacker is within melee range (Aegis AI). monster_ai&4 can be used to
	  override this and allow mobs to change target and pursue ranged attackers.
	  [Skotlex]
	* Updated the config comments for the ip-related settings. Thanks to
	  akusarujin for the update. [Skotlex]
	* Added rates to at_command.conf, set it's default to GM lv1 [Skotlex]
	* Removed the icon from Fire Break's fire-elemental bonus. [Skotlex]
	* Updated the walkdelay function to only be invoked if the attack did
	  damage. [Skotlex]
	* Some more fixes to the english in ShowInfo()'s [Kayla]
	* Cleaned out the SVN a bit [Kayla]
2005/11/21
	* Removed "(now unlimited loop start!)" from char-sql in an info line...wtf xD..[Kayla]
	* Mob AI update: updated the conditions used to specify if a mob can change
	  targets as per the forum provided information (by Komurka and Kyoki).
	  Mode 512 (MD_CHANGETARGET) no longer does anything. [Skotlex]
	* Mobs that assist now link nearby mobs when they attack. [Skotlex]
	* Made the damage delay be applied after knockback rather than before
	  (magical/misc instant effect attacks are still applied before the
	  knockback) [Skotlex]
	* The damage delay timer now stores the distance between source/target, if
	  this distance is increased by 2 or more, the damage delay fails and takes
	  no effect (if the '2' needs to be made higher, do point it out. It
	  shouldn't be much of a problem since you aren't supposed to be able to walk
	  from the damage delay anyway). [Skotlex]
	* Changed the way damage delay works. It is no longer applied on
	  mob_damage/pc_damage, but instead is invoked from clif_damage (or
	  clif_skill_damage), which means the "can't walk" delay is sync'ed with the
	  damage packets when they are sent. This should fix most delay-damage
	  'stun-lock' related issues. [Skotlex]
2005/11/20
	* Mobs now can't move while casting. [Skotlex]
	* Updated mob_db.txt and mob_db.sql with the most recent data from Kyoki.
	  [Skotlex]
	* Corrected the mob_db by adding the canmove/canattack bits to pretty much
	  all mobs that needed them. [Skotlex]
	* Some fixes to the confusion code. [Skotlex]
	* Crash-fix in status_change_start [Skotlex]
	* Implemented confusion as it should be (not tested yet!) [Skotlex]
	* Updated run_script to backup the current script of a player and
	  restore it if the current script ends inmediately. This should fix losing
	  the script info if status_calc_pc is invoked while running a script.
	  [Skotlex]
	* Fixed a memory leak in the guild eliminate timer. [Skotlex]
	* Removed the extra tile of range mobs have when walking. [Skotlex]
	* Added mob reloading to battleconfig reload @ command. [Skotlex]
	* Updated mob_db.sql with the new modes by Kyoki. [Skotlex]
2005/11/19
	* Made characters stop walking when inflicted by SC_STOP, may fix
	  GrimTooth's stop effect not seeming to take effect. [Skotlex]
	* Made the pk_min_level config not take effect in WoE/GvG grounds.
	  [Skotlex]
	* Fixed showing falcon when player is hide. [LuzZza]
	* Updated mob_db.sql and item_db.sql to current [Skotlex]
	* Updated the skill db step guessing code to allow for negative ranges (Now
	  spear boomerang should progressively get longer range with higher levels)
	  [Skotlex]
	* Fixed Tarot Card, the card that gets two random effects can't retrigger
	  itself, and it causes STOP instead of Stun where appropiate. [Skotlex]
	* Updated devotion to only work on damage attacks that have a source (will
	  prevent it from "blocking" COMA, which is what caused the crash). [Skotlex]
	* Fixed not always showing CRIT attacks, thanks to Irmin [Lupus]
2005/11/18
	* Updated mob_ai so aggressive mobs change target when chasing, and
	  change-target mobs do so when attacking. [Skotlex]
	* Fixed weapon forging showing success even when it fails. [Skotlex]
	* Some cleaning up of @time, may fix the weird time displays. [Skotlex]
	* Modified mob_ai so hyper-active mobs change target if they are
	  cast-sensors even if attacking (angry mode). They will also change target
	  if attacked while in angry/follow mode regardless of their change-target
	  mode. [Skotlex]
	* Moved the night-inducing code from "map loaded ack" to "spawn pc", should
	  fix characters going ultra-blue after stuff like fly-wings. [Skotlex]
	* Delayed the mob emotion when doing skills so that it gets executed AFTER
	  the skill is successfully performed. [Skotlex]
	* Implemented PR_REDEMPTIO. Is the penalty for both base and job exp?
	  That's how it is currently. And if the map has the nopenalty flag,there's
	  no exp penalty. Awaiting further input on the matter (altough, do note the
	  skill isn't tested either) [Skotlex]
	* Fixed three memory issues (char txt shutdown, npc reloading, ore
	  discovery logs) which were pointed out by End of Exam. [Skotlex]
	* Added support for hyper-active mobs (MD_CHANGECHASE = 0x400), these mobs
	  will change to the closest target while chasing/following other players.
	  Needs be added to the mob_db. [Skotlex]
	* Added support for hyper-aggressive mobs (MD_BERSERK = 0x800), these mobs
	  change their skill state to angry/follow instead of attack/chase when they
	  select/change target (except if they changed target because the new target
	  attacked them). Needs be added to the mob_db, for now all aggressive mobs
	  are considered hyper as well. [Skotlex]
	* Updated mob mode cast-sensor (MD_CASTSENSOR = 0x010), mobs that are
	  Aggressive can also change target if they are chasing/following a player
	  when someone else casts a skill on them. [Skotlex]
	* Fixed Dark Blessing. [Skotlex]
	* Changed the default battle_delay_damage value from no to yes. [Skotlex]
	* Added check to prevent reinitiating SC_GOSPEL on a character that already
	  has GOSPEL and val4 == BCT_SELF, may fix multiple Gospels being placed on
	  the ground. [Skotlex]
2005/11/17
	* Altered behaviour of NPC_EMOTION/NPC_EMOTION_ON as requested by Komurka.
	  [Skotlex]
	- val[0] (the first one) is the emotion the mob does. If val[1] is
	  different from 0, then the mob's mode is changed to THIS value. If val[2]
	  is different from zero, it'll add/remove a mode based on skill used
	  (EMOTION_ON adds mode, EMOTION removes it), both can stack [Skotlex]
	* Fixed for sure the Makefile... [Skotlex]
	* Modified Wedding effects. That is, changing base to 22 does NOT displays
	  wedding outfit anymore. To display the wedding outfits, you have to start
	  SC_WEDDING instead. Tux/Wedding dress scripts likely need being updated.
	  [Skotlex]
	* Added battle option disp_zeny, will display on console how much zeny you
	  earned (be it from selling, trading, mobs, etc, as long as you "earned"
	  zeny) [Skotlex]
	* Updated status_calc_pc to prevent infinite recursion loops. [Skotlex]
	* Applied End of Exam's suggested signedness fixes to npc.c [Skotlex]
	* Updated sting lib, to avoid SQL troubles [Lupus]
	* Fixed moonlit not properly checking for nearby walls. [Skotlex]
	* Added a recursion protection system to status_calc_pc which should avoid
	  exploits derived from recursively calling status_calc_pc which certain
	  equipment scripts could trigger. Thanks to End of Exam for pointing it out.
	  [Skotlex]
	* Applied Celest's patch which should help compiling eA under mingwin.
	  [Skotlex]
2005/11/16
	* Fixed AFM map loading (something was missing there which was gonna make
	  the map server crash for sure later on) [Skotlex]
	* Some corrections to the mob states, linked/cast-sensitive mobs engage in
	  attach/chase modes, not angry/follow (which seem reserved entirely for
	  aggressive mobs) [Skotlex]
	* Cleaned up and corrected target types MSS_AROUND->MSS_AROUND8, also added
	  and documented them in mob_skill_db.txt [Skotlex]
	* Probably corrected whispers to GMs. Thanks to Slennox for pointing it
	  out. [Skotlex]
	* Modified mob-skill states to use Aegis-based information. Modes are
	  MSS_IDLE, MSS_WALK, MSS_LOOT, MSS_DEAD, MSS_BERSERK, MSS_ANGRY, MSS_RUSH
	  and MSS_FOLLOW. Mob skill db is unaltered other than for the fact it now
	  supports "angry" and "follow" states. [Skotlex]
	* Cleanup of how knockback routines are invoked. [Skotlex]
	* Added MOB_LAZYSKILLPERC to mob.c, determines probability of a mob doing a
	  skill when there are no players nearby (but there has to be players in the
	  same map for it to trigger). Currently set to 10/1000 chance. [Skotlex]
	* battle_check_target update. Rewrote the party/guild checks, this should
	  hopefully fix any problems left with pvp/gvg and mapflags not working
	  properly. [Skotlex]
	* Fixed playerattached() returning char id instead of account id. [Skotlex]
	* Added battle option party_even_share_bonus to enable use of Valaris's evn
	  share experience bonus equation rather than the official one. [Skotlex]
	* Corrected @jump not displaying the actual coords you jumped to. Thanks to
	  kitty74x9 for noticing (and fixing) it out. [Skotlex]
2005/11/15
	* Fixed multi-hitting skills not increasing the "can-walk" delay
	  accordingly. [Skotlex]
	* Modified way to updating hp/position of party members. [LuzZza]
	* Added battle config option "aura_lv", specifies which level characters
	  have to be for the server to report their level as "max_lv" (which normally
	  is used to enable the aura). See battle_athena.conf for more details. It
	  may not work for your self, but only for other characters (this is,
	  afterall, untested yet) [Skotlex]
	* Implemented High Jump (works 100%) and Fighting Chant (untested but should work). [DracoRPG]
	* Various cleanups and typo fixes here and there. [DracoRPG]
	* Corrected the upkeep SP cost of Moonlight Petals. [Skotlex]
	* Modified Magnum Break's fire bonus to be 20% ADDITIONAL fire damage of
	  your total damage previous to the elemental modifier. [Skotlex]
	* Modified Fatal Blow's stun chance to kRO's equation (+5% stun chance per
	  bash skill level over 5) [Skotlex]
	* Corrected Sharpshooting's damage equation to +50%*skill_lv [Skotlex]
	* Updated Magnum Break's bonus from 10% to 20% fire elemental. [Skotlex]
	* Updated Arrow Shower to be a ground based skill (untested yet) [Skotlex]
	* Pretty much rewrote how Moonlight Petals work, it should be working
	  mostly right now. [Skotlex]
	* Splitted gat map information into gat and cell info. gat info is
	  permanent map data (walls, ground, etc) while cell is temp map info
	  (basilica, pneuma, etc). Modified Pneuma and Moonlight Petals to work based
	  on map cells. [Skotlex]
2005/11/14
	* New Visual Studio projects, compiling works, need zlib.dll for txt server. [Kevin]
	* Longing for Freedom can't be used during Moonlight Petals now. [Skotlex]
	* Corrected True Sight's critical bonus (from +0.1 cri per level to +1 cri
	  per level) [Skotlex]
	* Made coma a status effect. SC_COMA. Sets HP/SP to 1. Bosses/Emperium are
	  immune to it. [Skotlex]
	* Fixed null pointer crash in battle_damage. [Skotlex]
	* Increased max account variables to 32. [Skotlex]
	* Pressure/Gloria Domini now isn't instant-cancelled by status effects, and
	  bypasses the Devotion/Sacrifice check. [Skotlex]
	* Added handling of the /pk packet, even thought it just shows an empty
	  listing for now. [Skotlex]
	* Applied zBuffer's suggested fix to prevent S. Novices from getting mental
	  Strength at 100% exp. [Skotlex]
	* Fixed Friends List not able to add more than 20 friends (current clients support up to 40) [Lupus]
	  thanks to CAHTEXNIK for pointing it out 8)
2005/11/12
	* Probably fixed the name of freshly captured pet eggs. [Skotlex]
	* Changes Win32 to not require svnversion.h, but instead tries to peek in
	  .svn\entries to check for svn version. If the file doesn't exist it'll
	  display "Unknown" though, which I guess isn't a good thing ^^; [celest]
	* Removed the option to load zlib as a plugin for Win32 since it should be
	  linked at compile time [celest]
	* Added zlib and libmysql .lib files for compiling in Visual Studio [celest]
	  Note: The project files on SVN don't have them yet, you'll need to include
		them yourself for now
	* Fixed a compile error in Visual Studio [celest]
	* Readded a missing zlib file needed by Win32, sorry ^^; [celest]
2005/11/11
	* New readme content/layout (IE warning: IE hates new readme) [Evera]
	* Imported use of the refine weapon packets from jA. [Skotlex]
	* Removed SC_MODE, now NPC_EMOTION and NPC_EMOTION_ON can change a mob's
	  mode permanently (until their death, that is), and it won't work on
	  player summoned mobs. As before, val1 is the emotion value, val2 is the
	  mode to add/remove. Val3 is now ignored (used to be duration) [Skotlex]
	  (no, no need to wipe SC data this time around either)
	* Cleaned up sql-files to use TYPE rather than ENGINE as TYPE is supported
	  by older MySQL versions and not quite deprecated yet. [Skotlex]
	* Modified the party even share exp bonus to be +10% per extra party member
	  as official sources state. [Skotlex]
	* Organized the clif_devotion packet, and added clif_marionette as per
	  jA's implementation. [Skotlex]
	* Added db_path to map_athena.conf, used to specify an alternate directory
	  to locate the db/ files. Defaults to "db", obviously. [Skotlex]
	* Removed SC_FALCON and SC_RIDING, the status icons are directly managed
	  through the change of the character's option now. The actual defines were
	  not removed to avoid shifting all the SC_ values again (no need to wipe sc
	  data) [Skotlex]
	* Added additional debug information to battle_attr_fix until the cause of
	  those errors are found and resolved. [Skotlex]
	* Fixed win32 compiles always reporting "unable to set socket to
	  non-blocking mode", together with other minor win32 fixes. [Skotlex]
2005/11/10
	* Fixed char-sql cart loading. [Skotlex]
	* Updated the function that specifies the cards to support more than four
	  slots. [Skotlex]
	- Since the packets are fixed sized the client can never receive data of
	  more than four cards, therefore if the client was compiled with MAX_SLOTS
	  above 4, a random subset of cards will be sent each time the item data is
	  sent (eg: if the item has 6 slots, it may randomly choose to send cards
	  1->4, 2->5, or 3->6).
	* Removed the OnAgitInit call when the map connects to char server. Fixes
	  double guardian spawn. [Skotlex]
	* Fixed the sql query strings that would appear "incomplete" under certain
	  *nix systems. [Skotlex]
	* Applied zBuffer's patches to correct memory leaks in the PCRE module
	  (regular expression support for npcs) and prevent server crashing when
	  scripts divide (or do mod %) by zero. [Skotlex
2005/11/09
	* Fixed Ankle Snare and Spider Web not being cleared when the trapped
	  target dies. [Skotlex]
	* Fixed the range flag being incorrectly set in BF_MISC skill attacks.
	  [Skotlex]
	* Corrected Venom Knife using Level1 always for the poisoning chance rather
	  than learned Envenom's level. [Skotlex]
	* Fixed the crash on shutdown if PCRE support was enabled. [Skotlex]
	* Fixed possible item duping while vending, thanks to End of Exam for
	  pointing it out. [Skotlex]
	* Fixed the blue aura of Night effect. Thanks to zBuffer [Skotlex]
	* Fixed mobs moving one tile when hit even if they can't move (this is what
	  broke Ankle Snare) [Skotlex]
	* Fixed night/day implementation (which broke due to the addition of SI_
	  constants). [Skotlex]
	* Cleaned up the SI_ constants to have defined only those which actually
	  display something on the client. [Skotlex]
	* Fixed a bug which caused a captured pet's name to be displayed as beloved
	  even though it was just captured. [Skotlex]
	* Added temp skill quests for all complete 2nd Class Quest Skills [Lupus]
2005/11/08
	* Updated the documentation on the announce script commands. [Skotlex]
	* Removed the global color message support as there's now a way to craft
	  custom colored announces. [Skotlex]
	* Probably fixed mapannounce. [Skotlex]
	* Implemented SI_ constants to specify the icon number for different SC_
	  changes, idea adopted from jAthena. All SC_ data was reorganized and
	  several checks are now in place. It is likely all saved sc_data is wrong
	  after this update due to the numbers changing places. It won't cause any
	  glue-boots.. but the wrong status changes will be loaded the first time
	  anyway, so it may be a good idea to wipe that file/table for this update.
	  [Skotlex]
	* Added mob boss inmunity to status changes: poison, curse, deadly poison.
	  [Skotlex]
	* Now when the mob starts casting a skill and stops walking, a packet will
	  be sent to update the mob position on the clients. [Skotlex]
	* Fixed a bug in mob_stop_walking which may fix stun-lock. [Skotlex]
	* Fixed not showing named/carded items in Vending [Lupus]
	  (when you drag'n'drop them from your cart into your shop list)
2005/11/07
	* Expanded script commands announce/mapannounce/mapareaannounce to take an
	  additional parameter to define the color. This uses the new packet 0x1c3 to
	  send the broadcast, and even though the packet is not fully understood yet,
	  it should be at the point where it can be used. [Skotlex]
	- eg: "announce "hello world", bc_map, 0xFFFF00;"
	* Cleaned up and optimized the way card data is set in packets. Should
	  correct most, if not all, pet-egg related issues. [Skotlex]
	* Removed combo_damage_delay and added damage_walk_delay_rate. Now the total
	  delay during which you can't move is a percent of the normal damage delay
	  rate adjusted by number of hits and this rate. Defaults to 50% for now. [Skotlex]
	* Removed the random damage delay value from status_get_dmotion as it is
	  not really helping the walk-stun-lock. [Skotlex]
	* Made Gravitation ignore target's cards. [Skotlex]
	* Updated readme with new layout [Evera]
	* Updated bAddMonsterDropItem bonuses to work with cards: Mimic Card, Mystcase Card
	  where bonus_item_rate = base_rate * (killed_mob_level/10) + 1
  	  So if 2nd argument is negative, then it's 'rate'
  	  Now, if you kill Porings, u'd have OBB/GIFT BOX drops with 0.01% chance
	  and if u kill Leaf Cats then u'd have them with 0.05% chance
	  Max chance is 0.1% (when u kill MVPs with level > 94) [Lupus]
2005/11/06
	* Cleaned up a bit the warp portal code. [Skotlex]
	* Added a timer to invoke the OnAgitInit event 10 seconds after the char/map
	  servers are connected. Scripts should now carefully use OnInit to load the
	  castle data, and OnAgitInit to check for castle owners, mobs, WoE, etc.
	  [Skotlex]
	* Reverted the  damage delay equation to 800 -4*agi, which is the correct
	  data from packets examined. [Skotlex]	
	* Slow motion Fix: Reverted weight packet, thanks to Momoko [Lupus]
2005/11/05
	* Fixes on sending to client status of char (guild, position, etc). [LuzZza]
	* Updated backsliding to work as it should. [Skotlex]
	* Added back the GPL licence on the root directory (why was this removed?)
	  [Skotlex]
	* Fixed knock-back packets, thanks to Vicious for collecting the packet
	  samples. [Skotlex]
	* Fixed pretty much all ground skills not working when you "walked into
	  them" (they were fine if casted on top of you, though) [Skotlex]
	* Fixed not working ZENY LOG. You can use logging filter as well. [Lupus]
		- Only SQL logs available.
		- Logs only Vending, Trade, Shops yet
		- Don't forget to update your logs SQL DB and log_athena.conf
	* Added previously removed (by an accident) "MVP Prize item log" into pick_log [Lupus]
2005/11/04
	* Added support for new quest skills to @allskills/@skillall. Thanks again to blackhole89 for 
	  pointing that out! [Kayla]
	* Fixed various occurencies of assuming Guild Skills being >= ID 10000 
	  rather than 500<skill<1000 still after skill_chk. Thanks blackhole89! [Kayla]
	* Hopefully fixed Weapon Refine. [Skotlex]
	* Applied a change which prevents pc_setpos from working for characters
	  between maps, as doing so makes the character appear on a different
	  position on the client than the position stored in the server. [Skotlex]
	* Added friend_db option to inter_athena.conf, now friend table is
	  usable in multi server and/or custom db configs. [Foruken]
2005/11/03
	* Corrected the basilica check which should disable casting offensive
	  skills from within inside the basilica. [Skotlex]
	* Modifed status_change_end to prevent peco-peco/falcon from ending until
	  the player's 'falcon/peco option' value is removed first. [Skotlex]
	* Removed the knockback code for players and changed it for a "fix
	  position" code. The new code is not right as it makes your character
	  "teleport" to the position rather than walk really fast to it, but it fixes
	  the "Do not use bot!" messages. [Skotlex]
	  (someone has to log the actual packets used when being knocked/knocking
	  back for this to really be fixed)
	* Heaven Drive now can target traps. [Skotlex]
	  (I find it impossible to target a trap with Arrow Shower unless the
	  skill's info is set to 32 -target traps-, but when it's done so, the
	  client refuses to use the skill on enemies, and mode 33 makes the skill
	  useless. How does one makes this work?)
	* Various cleanups to the skill system. [Skotlex]
	* Update: Now your cast cancels on recieving status change such as:
	  Stun, Stone Curse, Freeze or Sleep [LuzZza]
	* Updated the code to allow the Emperium to be inflicted by Pneuma and
	  Safety Wall. [Skotlex]
	* Updated @recallall to revive any dead characters before moving them,
	  should fix that weird ghost bug. [Skotlex]
2005/11/02
	* Made Spell breaker not be able to cancel Pressure/Gloria domini [Skotlex]
	* Another fix/optimization to thenight/day system. [Skotlex]
	* Fixed possibility of freezing / stunning already frozen/stunned players
	- Now you can't freeze an already frozen one [Lupus]
	* Fixed non-GMs allowing send trade requests from far places [Lupus]
	* Fix of lowest_gm_level (inter_athena), now logins with access under
	  lowest_gm_level overides gm_can_drop_lv. [Kayla]
	* Spell Breaker now works on any skill with a cast time. [Skotlex]
	* Made Dispell not work on Meltdown and Cart Boost [Skotlex]
	* Made Meltdown not dispellable upon death. [Skotlex]
	* Probably fixed Warp Portal [Skotlex]
	* Fixed players being able to mute others even if their gm level is not
	  high enough to use @mute [Skotlex]
	* Fixed Dispell not clearing a lot of status changes it should. [Skotlex]
	* Corrected the way the Emperium skill-defense works. Damage skills other
	  than Gloria Domini, Raging Trifecta and Gravitation do no damage. Status
	  changing skills have no effect, and normal heal heals for 0. [Skotlex]
	* Some more corrections to the night/day system. [Skotlex]
	* Multiple fixes to the skill system. Should fix Warp Portal, Teleport and
	  mob skills crashing the server. [Skotlex]
	* Updated sql-files/item_db.sql with the latest. [Skotlex]
	* Some optimizations to the script config events loading/storing/saving.
	  (Somehow it fixes the warning from the memory manager on shutdown...)
	  [Skotlex]
2005/11/01
	* Updated battle_check_target to allow ground skills that affect "Everyone"
	  to affect the emperium, only the ones that target only enemies will have no
	  effect. [Skotlex]
	* Changed the default of mob_max_skilllv from 11 to 100, as many of the
	  recent mobs use higher level skills. [Skotlex]
	* Moved the check which made emperiums receive 0 damage to: [Skotlex]
	- status_check_skilluse, so that all targetted skills fail.
	- battle_check_target, so that all ground-based offensive skills fail.
	* Cleaned up a bit the skill related code. [Skotlex]
	* Updated @ commands. NO command comes at gm-level 0 by default now, that's how
	  it should be, the new default minimum is 1 for most trivial @ commands. Also added
	  a bunch of commands to conf/atcommand.conf which were missing. I STRONGLY
	  recommend everyone to at least fetch the new atcommand file as there
	  were abusable commands at level 0 (abusable in the sense they can incur
	  performance penalties if over-used by everyone) [Skotlex]
	* Fixed crash when a mob was killed while under Rich Man Kim effect by a
	  non-player, also fixes Rich Man Kim not giving the correct exp bonus.
	  [Skotlex]
	* Modified the socket subsystem to not close all connections on an "Service
	  Temporarily Unavailable" error (it is a non-fatal error which basicly means
	  "try again later").  [Skotlex]

2005/10/31
	* Fixed all players having the "plant" mode on... [Skotlex]
	* Added a timer to delay the automatic respawn of characters in gvg or pvp
	  grounds. The delay is currently 1 second, but be warned that because of
	  this it may be possible to revive the character if some priest is insanely
	  fast as there's currently no way to "prevent" a character from being
	  resurrected. [Skotlex]
	* More and more new quest skills! :3 [DracoRPG]
	* Removed the setting where characters could logout overriding the
	  prevent_logout setting if they were dead (it made it extremely easy to
	  accidentally log out if you were killed while trying to escape) [Skotlex]
	* Changed prevent_logout from yes/no to a "duration in ms" setting.
	  Defaults to 10secs (10000ms), note the client always says "wait 10 seconds"
	  regardless of the value of this setting. [Skotlex]
	* Moved the status change of SC_RIDING/SC_FALCON from clif_changeoption to
	  pc_changeoption which correctly makes the falcon/riding states end on quit.
	  [Skotlex]
	* Mob ai fix (mobs locking down into one target forever even if they should
	  be able to change targets) [Skotlex]
	* Added routine to check party share level whenever one of the members
	 levels up. It's checked on the map server, and then a share request is sent
	  to the char-server if party_share_level is broken. [Skotlex]
	* Corrected "show drain" to show nothing if the leeched values are
	  non positive. [Skotlex]
	* Probably fixed Wand of Hermode not blocking the caster from walking.
	  [Skotlex]
	* Applied Silent's fix to @where [Skotlex]
	* Code cleanup regarding sign/unsigned comparisons. [Skotlex]
	* Updates to new quest skills, some are fully functionnal, some half, some
	  not at all xD. [DracoRPG]
2005/10/30
	* Fixed a bug that broke pet skills. [Skotlex]
	* @follow: Now to stop following, you may just type @follow, thx2Sartory [Lupus]
	* Fixed & finished what I did yesterday with SCs and quest skills, thanks
	  to Silent. [DracoRPG]
2005/10/29
	* Reorganized SC IDs to make room for 2nd jobs quest skills statuses: upped
	  SC_SENDMAX to 300 and moved all required SC to 300+. BEWARE: as a side-
	  effect of this, you might get 'glue boots' if an SC was saved and cannot
	  be restored because the ID isn't used anymore, this should only happen
	  with bonuses from cooked foods & dances/songs (unlikely since they last 20
	  seconds only), and maybe a few other such things. Simply remove lines
	  with SC IDs above 200 in your sc_data file/table. [DracoRPG]
	* Changed a bit the way Plant Cultivation fails: when it fails because of
	  missing items, it does nothing and displays "Skill had failed"; when the
	  50% success rate test fails, the effect is displayed but no plant summoned.
	  How should it work exactly? Because previous way was a bit confusing for
	  the player, not explaining why it failed, so I'd like to know. [DracoRPG]
	* Changed food cooking success rate to unmodifiable 50%, temporary value
	  waiting for accurate data ;) [DracoRPG]
	* Fixed the code in skill.c so that skills are considered as guild skills
	  (for things such as inf, maxlv, etc) only when their ID >= 10k, enables
	  use of 2nd jobs quest skills with 1k+ IDs, thanks to Silent. [DracoRPG]
	* Fixed the Flag guild script. Now one can only flag in using the flags infront 
	  of the castle. [Kayla]
	* Removed most of the built-in zlib files and the LOCALZLIB compile option
	  Note: All native Windows builds now require zlib1.dll, you can just download
	  it from http://www.zlib.org and place it in the main directory [celest]
	* Changed the unzip library to be static linked instead of dynamic [celest]
	* Small fix to the trading routing, should fix items with the no-trade flag
	  being able to be vended. [Skotlex]
2005/10/28
	* Fixed the size of the equip_job field in SQL item_db/item_db2, thanks to
	  blackhole89. [DracoRPG]
	* Harmonized the way NPC events such as PCLoadMapEvent, PCBaseLvUpEvent, etc
	  are implemented. Caution, now PCLoadMapEvent NPC is called globally: it
	  is not needed to put it in a specific map. Use script functions to know
	  which map the player has been warped to. Thanks to Z3RO. [DracoRPG]
	* Fixed the names of the job level up char commands. [Skotlex]
	* Tiny change to the script engine which may fix those crashes. [Skotlex]
	* Added blocking use of skills while sitting. [Skotlex]
	* Implemented Trancid's expanded global announce system. [Skotlex]
2005/10/27
	* Applied Ilpalazzo-sama/Zzo's patch that cleans up and fixes some bugs
	  with the script engine. [Skotlex]
	* Made land protectors from enemies cancel each other out. [Skotlex]
	* Made it so Guardians/Emperiums with no owning guild can be attacked out
	  of woe. [Skotlex]
	* Corrected being able to attack and use skills during the first interval
	  of Petrify [Skotlex]
	* Fixed packet exploit that allowed you to produce multiple times without
	  first triggering the skill. [Skotlex]
	* Cleaned up/simplified the implementation of SC_NOCHAT [Skotlex]
	* Added file upgrade_svn3746.sql, use it to alter your `char` table column
	  "manner", which should NOT be unsigned (if your column already is
	  signed, then no need to apply this update) [Skotlex]
	* More code cleanup to make eA ANSI-C compliant. [Skotlex]
	* Some fixes to the night-day-system. [Skotlex]
2005/10/26
	* Some more multi-map server work. It seems to work now correctly and with
	  no memory leaks, however it likely needs more testing. Also added the
	  support into the char-TXT server. [Skotlex]
	* Patched a crash where mobs with no space for looting would attempt to
	  loot. [Skotlex]
	* Updated mapflags, readded gvg_dungeon. Now mapflags work according to
	  this post: [Skotle]
	  http://eathena.ws/board/index.php?showtopic=58201
	* Likely fixed Party Even Share. [Skotlex]
	* Added map flag "nightenabled", only maps with this flag will display the
	  night effect when it's night. Said maps are specified in mapflag/night.txt [Skotlex]
	* Modified map flags gvg and gvg_dungeon. gvg now is basicly the same as
	  pvp, except guilds are automatically teamed up, while gvg_dungeon was
	  removed and replaced by gvg_castle, which is the flag now used for castle
	  maps which only modify the behaviour during WoE times. [Skotlex]
	* Updated the login/char TXT Makefiles so the TXT_ONLY flag is passed, this
	  SHOULD fix the guild size mismatch errors... [Skotlex]
	* Probably fixed a char-server crash related to whispers. [Skotlex]
	* Updated the custom jobmaster so it should stop second advanced classes
	  from being able to re-change jobs. [Skotlex]
	* Implemented dynamix's night system which uses a status change rather than
	  the "darkness levels", said config option removed as is no longer needed.
	  [Skotlex]
	* Some fixes to the char-sql code when sending chars to another map server.
	  [Skotlex]
	* LuzZza's ported Trade/Vending additional antispoof checks [Lupus]
	- thanks to Yor&Freya Team. So LuzZza is our new dev (it was his 2nd test)
2005/10/25
	* Some work fixing up multi-map servers. It should now *work*, however each
	  time the player swaps map-server it triggers all the relevant
	  on-login/on-logout events, which likely needs to be corrected at a later
	  date. Only SQL has been updated so far, TXT is still pending. [Skotlex]
	* Updated GrandCross so it does half damage on the caster (+half damage
	  from Faith, it does just 25% or less damage to self now) [Skotlex]
	* Updated battle_check_target to consider normal mobs as always belonging
	  to the same party (should fix them fighting out when pkmode is on)
	  [Skotlex]
	* Fixed the Makefile for TXT char/login servers (fixes guild structure size
	  mismatches) [Skotlex]
	* Added script command "playerattached", returns the char_id of the player
	  currently attached to the script, 0 if there's no player attached (or
	  attached player is no longer on the map server) [Skotlex]
	* Fixed @changegm in the char-txt server. [Skotlex]
	* Some code cleanup to make eA ANSI-C complaint (not quite there, but
	  closer) [Skotlex]
2005/10/24
	* Applied Ilpalazzo-sama/zzo's patch that optimizes the status_get_*
	  functions. [Skotlex]
	* Fixed changegm (as far as I know) [Skotlex]
	* Modified again the code that checks who and what can target traps. It
	  should be set to only let heaven's drive, arrow shower and remove trap
	  target them. [Skotlex]
	* Breaker now ignores mdef. [Skotlex]
	* Fixed script command "makeitem" to only require an attached player if the
	  map is defined as "this". [Skotlex]
	* Updated battle_check_target to enable only skills with inf 32 (can target
	  traps) to hit traps. Implementation may not be perfect depending on how
	  the client reacts to the associated skill_db change. [Skotlex]
	* Cleaned up battle_weapon_attack. [Skotlex]
	* Some optimizations to the struct mob_data. [Skotlex]
	* Applied Ipalazzo-sama/zzo's memory optimization patches. [Skotlex]
	* Fixed some quests and updated item_db. [Kayla]
	* Updated Grimtooth to cause "Stop" on enemies instead of slow down. The
	  duration used is now skill's time 2. [Skotlex]
	* Updated the mob_ai code so they do nothing if they were attacked but
	  can't attack back (and it did not invoke a rude attacked, that is,
	  monster_ai does not has 2 set) [Skotlex]
2005/10/23
	* Some fixes to @charmountpeco [Skotlex]
	* Some cleanups to pet.c, fixes pet_timer being invoked when the pet is
	  idle. [Skotlex]
	* Added a clause to ignore name solve requests of chat-rooms (for some
	  reason the client requests them...) [Skotlex]
	* Updated sql-files/item_db.sql to the latest. [Skotlex]
	* Removed that mob_spawn_once message that is just a debug message with no
	  real purpose anymore. [Skotlex]
	* Fixed forging displaying success even when it fails. [Skotlex]
	* Changed main.sql so that sc_data only has indexes, not a primary key
	  (I keep hearing mysql can't handle a triple column PK...) [Skotlex]
	* Fixed Doublecast's success chance [Skotlex]
	* 'Fixed' the warning on @reloadscript (just removed the warning and
	  avoided memory leaks, because properly unloading the user functions and
	  reloading them I could not get done) [Skotlex]
	* Fixed possible crash due to custom packets, thanks to Andz for the info.
	  [Skotlex]
	* Fixed mob's Scream/Frost Joke crashing the server if the message was too
	  long [Skotlex]
	* Fixed the wrong attribute being passed to the attribute fix in
	  battle_calc_magic attack (strange deja vu feeling.. I am sure I fixed this
	  same bug before).  [Skotlex]
	* Fixed trading. [Skotlex]
	* Removed Mastery damage being applied to Grand Cross [Skotlex]
	* Some more fine-tuning of the Grand Cross equation. [Skotlex]
	* Fixed mobs that couldn't attack not being able to use skills (first half
	  of why marine spheres were broken). [Skotlex]
	* Updated summoned marine spheres so they can move (second half of why
	  marine spheres were broken). [Skotlex]
	* Rewrote the produce system for mixed foods creation [DracoRPG]
	* Small changes and optimizations to battle_calc_magic_attack, replaced redundant
	  magic_subrace with missing magic_addsize, updated crappy doc about it [DracoRPG]
2005/10/22
	* Modified Finger Offensive's formula to be 100% + 50%*skilllv which seems
	  to be a more factually correct equation than what is shown in the websites.
	  [Skotlex]
	* Applied Ilpalazzo-sama's patch which speeds up the data zeroing in
	  status_calc_pc. [Skotlex]
	* Crashfix on invalid lines when reading castle_db.txt [Skotlex]
	* Updated GrandCross's damage formula according to Komurka's information.
	  [Skotlex]
	* Also, now skills that ignore card modifiers only ignore the attacker's
	  card modifiers, no the target's (does not apply to skills like Pressure
	  that do fixed damage). [Skotlex]
	* Updated Bowling bash damage, knockback to current Kro values. [Skotlex]
	* Modified NPC_EMOTION and NPC_EMOTION_ON so they can be used to modify the
	  current mob's mode (instead of setting it). [Skotlex]
	- Some examples:
		1269,Clock@NPC_EMOTION_ON,attack,474,1,10000,0,30000,yes,self,always,0,6,4,300,,,
	  Adds mode 4 (aggressive) for 300 seconds to Clocks when attacking.
		1193,Alarm@NPC_EMOTION,chase,197,1,200,0,5000,yes,self,always,0,19,4,10,,,
	  Removes the aggressive mode (4) from Alarms when chasing for 10 seconds.
	- After a mob's mode is changed, their state is reset so they can stop
		chasing/seek a target.
	* Made GrimTooth be longranged, Soul Drain work only on targetted skills,
	  and Extremity Fist only checks for enemy state right before attacking (I am
	  not sure it is 100% as it should be still, though) [Skotlex]
	* Eh.. now Safety Wall blocks all skills tagged as short-ranged. Report any
	  anomalies this causes. [Skotlex]
	* Added support for global mob skills. In essence, you can now specify a
	  mob skill that is added to ALL mobs in a single line by using negative
	  class IDs. -1 adds the skill to normal mobs, -2 adds the skill to
	  bosses, and -3 to both. For example:
	  -1,All@AL_HEAL,any,28,10,10000,500,5000,yes,friend,friendhpltmaxrate,60,,,,,,
	  Adds Heal Lv10 to all normal mobs.
	* Readded the level up buff bonus from the Taekwon class T.T [Skotlex]
2005/10/21
	* Removed the level up buff bonus from the Taekwon class T.T [Skotlex]
	* Small change in mob_ai_sub_hard which may fix mobs casting their Rude
	  Attacked skill when they shouldn't. [Skotlex]
	* Moved the code so that SNovice Steel Body should trigger inmediately upon
	  death, and bypass the exp loss penalty. [Skotlex]
	* Added Taekwon boy to the buff on level up system. [Skotlex]
	* Fixed Skills checking for water-cells instead of Land Protector cells.
	  [Skotlex]
	* Added config option skillrange_by_distance, makes skills be long/short
	  ranged based on the source/target distance. Defaults to 6 (mobs + pets).
	  [Skotlex]
	* Fixed Magic Power totally messing up matk. [Skotlex]
	* Fixed Meteor Storm [Skotlex]
	* Some changes to Moonlight Petals, it should make the skill finally be
	  considered an ensemble skill. [Skotlex]
	* Updated skill_split_atoi to guess linear increases up to half of the data
	  provided. This means it can understand the more complex cast times of
	  skills such as Meteor and Soul Strike. If you provide the data of ten
	  levels, then it will check for patterns up to 5 steps long (meaning that
	  the diff between 1 and 6 is the same as the diff between 2 and 7 and so on,
	  and if they all match, the tested pattern is applied all the way to level
	  100) [Skotlex]
	* Some modifications to Magic Power, it should hopefully be working now. [Skotlex]
	* Cleanups and fixes to Tarot Card. [Skotlex]
	* Fixed a screwup in skill_split_atoi which was corrupting the skill db. [Skotlex]
	* Free up block chunks allocated by the memory manager when shutting down [celest]
	* Updated packets in packet_db and clif.c [celest]
2005/10/20
	* Turned on the error_log by default (had this been on before, I would had
	  noticed why Longing for Freedom was not working several WEEKS ago >.<)
	  [Skotlex]
	* Fixed Longing for Freedom [Skotlex]
	* Hopefully fixed even-share party on char relog exploit. [Skotlex]
	* Modified Land Protector so it behaves more like Basilica. [Skotlex]
	* Removed GM account reading from the char-sql server and moved it into
	  the login-sql server (Ancyker requested this was fixed... and this is how
	  it was working on the TXT servers) [Skotlex]
	* Modified skill_split_atoi so it can guess linear changes in the values
	  and fill out the rest of the array correctly (eg: blowcount is defined as
	  1:2:3:4:5, now the function can understand that and fill the rest of values
	  with 6:7:8:9:10 and so on. It can also understand two-step increases, if
	  the value is 1:2:2:3:3:4, it can guess that the following values should be
	  4:5:5:6:6:7:7 and so on). This allows mobs to cast stuff like Thunderstorm
	  LV67 without the need of manually updating the dbs with the corresponding
	  values :O [Skotlex]
	* Fixed monster_ai&1 doing the opposite of what it should do. [Skotlex]
	* Rewrote the skill unit reiteration code so that it'll work with any AoE
	  skill that is set to not reiterate in skill_unit_db.txt, when no
	  reiteration is set, the skill cannot be stacked with itself, but it can
	  be placed on top of other AoE skills (except for Pneuma, Safety Wall,
	  Warp Portal, Basilica and the Hunter traps who all have their own checks
	  hardcoded) [Skotlex]
	* Modified the way Magic Power works for AoE magic skills, it should now
	  work correctly for all AoE spells including Meteor. [Skotlex]
	* Added mode "change target" (0x200 = 512) to specify mobs that can change
	  target while attacking. Since no mob in the db has been updated yet to
	  include this mode, for the time being all aggressive mobs will also be
	  considered as "change target" types (which is how eA has been managing it
	  up to this point) [Skotlex]
	* Added a check in status_check_skilluse to make AoE skills fail if the
	  caster is standing on Basilica. [Skotlex]
	* Reduced a bit the size of the party structure. [Skotlex]
	* Fixed Play Dead [Skotlex]
	* Reverted a memory fix in script.c which causes a crash.. [Skotlex]
	* Reverted a small change which likely made magic power not work anymore on
	  ground skills. [Skotlex]
2005/10/19
	* Added an SQL update update_logs2.sql Use it for more effecient work of your MySQL server [Luups]
	* Likely fixed Root and the Wedding Skills [Skotlex]
	* Fixed that crash in skill_use_id.. oops. [Skotlex]
	* Fixed demonstration triggering status effects. [Skotlex]
	* Fixed ground placed skills causing skill_counter_additional_effect
	  triggering on the skill's owner. [Skotlex]
	* Added corrections/checks that should prevent the char servers from
	  crashing if they parse a packet from a client where the session data is
	  expected to be but is not set. [Skotlex]
	* Converted NPC_STOP to a status-inducing effect, SC_STOP which prevents
	  characters from moving. [Skotlex]
	* General checks and cleanup (new function pc_can_move) to prevent chars
	  from walking when they shouldn't be able to. [Skotlex]
	* Some changes to int_party, which may prevent crashes due to large parties
	  in congested situations. [Skotlex]
	* Software Caused Connection Abort errors should inmediately terminate the
	  connection now (rather than waiting for the timeout) [Skotlex]
	* Hopefully fixed Basilica by making battle_check_target use the mapcell
	  instead of the status change when deciding the enemy state. [Skotlex]
	* Fixed being able to enable NPC clicks while a trading window is open. [Skotlex]
	* Added status change SC_MODE which allows to temporarily override a mob's
	  mode. It can be invoked through mob skills NPC_EMOTION and NPC_EMOTION_ON
	  using the second and third value (new mode and duration in seconds,
	  respectively). Example:
		1269,Clock@NPC_EMOTION_ON,attack,474,1,10000,0,30000,yes,self,always,0,6,133,300,,,
	  Makes the Clock do the /an emotion, and his mode changes to 133 (can
	  move, can attack, aggressive) for the following 300 seconds (if the mode
	  is 0, then the mode is not changed).
	- Note that when a mob gets their mode changed, their state is reset (so
	  they stop attacking/chasing)
	- Because of this update, the code that made mobs give up chasing after a
	  while is no longer needed and hence, removed.
	* Implemented function status_check_skilluse which checks whether a skill
	  (or melee attack) can be used on an enemy based on their status (restricts
	  skills that may be used if opponent is cloaked/hidden, or blocks Aex
	  Aeterna if opponent is petrified/frozen, blocks skills while silenced, etc
	  etc). Note that the code simplification/modification is big, so beware of
	  any new bugs that might have been caused by the function. [Skotlex]
2005/10/18
	* Fixed card set bonuses for sure this time (or so I hope) [Skotlex]
	* Fixed the Dissonance song bug which allowed you to cast a song afterwards
	  and it would not follow you around. [Skotlex]
	* Modified the counting function to never count in skills (traps, AoE
	  skills) since traps were always being counted in for stuff like Napalm
	  beat/Blitz Beat/etc. [Skotlex]
	* Fixed Devotion/Sacrifice check which should enable recasting on
	  characters. Thanks to Irmin for pointing it out. [Skotlex] 
	* Fixed offensive heal so it fails if not used on an enemy (instead of
	  failing when used on an ally). [Skotlex]
	* Modified the char servers so they do a party range check when a character
	  logs in. This should fix parties keeping their even share even after a
	  low-level member rejoins the server. [Skotlex]
	* Updated mob AI so that aggressive mobs will change targets if they are
	  attacked and their current target isn't attacking them (regardless of
	  range) [Skotlex]
	* Some updates to the pet AI so their chase range is range3 instead of the
	  hardcoded value of 13. [Skotlex]
	* Reverted Mika's fix since it makes it impossible for mobs to heal each
	  other. (what is the so called exp bug about?) [Skotlex]
	* Fixed a possible crash in clif_equiplist(), thanks to Zoc [Skotlex]
	* Spells are now considered a "miss" if they do no damage (this prevents
	  additional effects from triggering out such as freezing) [Skotlex]
	* Temp bug fix of Exp increase when healing non-undead mob (by MiKa) [Lupus]
2005/10/17
	* Updated sql-files/mob_db.sql to match with the current one. [Skotlex]
	  (someone else also did this, but missed a few values from Incantation
	  Samurai. Altough who did it and why it is failed to be mentioned in the
	  log files?) [Skotlex]
	* Fixed alchemists not being able to hit their marine spheres (how many
	  times this same bug keeps coming back from the dead anyway?) [Skotlex]
	* Updated sql-files/item_db.sql to the current item_db.txt [Skotlex]
	*  Fixed magic rod not cancelling the additional effects from skills. [Skotlex]
	* Cleaned up the card inserting code to prevent crashes from modified
	  packets. [Skotlex]
	* Fixed offensive heal [Skotlex]
	* Applied a random chance when reducing the mob's chase duration. This
	  should randomize how long the mob chases you around before giving up.
	  [Skotlex]
	* Some modifications to the timer push heap function, may fix timer issues
	  when creating timers with tick values that overflow. [Skotlex]
	* Modified the mob ai so it has a seek time, when the min_chase runs out
	  (it is constantly decreased while chasing, starts out at range3) the mob
	  will stop chasing, do a /swt, and stop being aggro for 10 secs. This is how
	  it should be according to what I understood from Komurka's explanation.
	  [Skotlex]
	* Added config monster_ai, it determines some of the mob behaviour:
	- If &1, mobs will use hard path finding to reach their target, otherwise
	  only easy (straight line) path searches will be used (for most offensive
	  purposes).
	- If &2, mobs will use the rude attacked skill if they can't attack back no
	  matter what, otherwise they use it only if they can't reach the target.
	  [Skotlex]
	- Still pending on what other things it could define. Currently defaults to
	  0 (seems to be the official mob ai) [Skotlex]
	* Now Atk/Matk potions duration don't get automatically multiplied by 1000,
	  duration must be specified in ms in the scripts. [Skotlex]
	* Made all mobs with no guild belong to the same guild, this should prevent
	  mobs from attacking each other on WoE. [Skotlex]
	* Fixed Into the Abyss + retrieving traps related exploits. [Skotlex]
	* Changed monster_skill_nofootset to no to enable mobs casting stuff like
	  Bomb underneath characters. [Skotlex]
	* Fixed Sacrifice, it can now be recasted on a player as long as it's by
	  the same crusader that is currently protecting the player. [Skotlex]
	* Fixed some unitialized values error in magic and misc attacks. [Skotlex]
	* Fixed  30% bonus from upper/baby classes affecting card bonuses. [Skotlex]
	* Fixed baseClass not working on Acolyte class, thanks to Silent. [Skotlex]
	* Made the stone curse animation only show up on successfully cursing. [Skotlex]
	* Added Meditation's bonus to offensive heal, thanks to Orn. [Skotlex]
	* Made devotion fail when already used on a char with that effect. [Skotlex]
	* Made it so you can't quit while cloaking/hiding, and said status will end
	  on quit if force-quitting. [Skotlex]
	* Cleaned up and fixed isequipped script commands, it should be working
	  correctly now (tested with the Assassin combo) [Skotlex]
	* Fixed not stacking Long Attack Rate bonuses [Lupus]
	- Bow Thimble +3%, Archer Skeleton Card +10%, Merman Card(when CARDS COMBO) +20%
	- We should get rid of that +-15% ranged damage varianc (it doesn't cure "stoprate bug" anyways)
2005/10/16
	* Fixed wrong calculation of items max drop chance (when using MySQL MOB DB) [Lupus]
	* Added nomemo mapflag to more levels of Thanatos Tower, thx2Justin84 [Lupus]
2005/10/14
	* Updated the gvg_dungeon mapflag to mean "guild versus guild regardless of
	  woe schedule" and set it on the guild versus guild maps. [Skotlex]
	* Fixed perfect hiding. [Skotlex]
	* Cleaned up (or rewrote?) the Run and High Jump code to merge them better
	  with the normal walking routines. [Skotlex]
	* Corrected Turn Undead from ignoring element. [Skotlex]
	* Updated Power Thrust Max & Power Thrust so that they don't stack (and
	  only PT Max cancels PT) [Skotlex]
	* Some fine tuning in battle_check_attackable. [Skotlex]
	* Changed db_final's implementation to End of Exam's. [Skotlex]
	* Corrected Guardian removal routines to also update/save their respective
	  Castle data (Guardian HP and visibility) [Skotlex]
	* Added map server setting "enable_spy", must be set to yes/on for @spy
	  commands to work. [Skotlex]
	* Applied End of Exam's fix to the previous fix to the db. [Skotlex]
	* Fixed spyguild/spyparty sending packets to the spied guild/party instead
	  of your own. [Skotlex]
	* Rewrote the card hash implementation. Now it should work correctly for
	  any card set on any equipped item. Supports up to 4 slots in any of the
	  equipped items. [Skotlex]
	* Updated the mob ai so it stops chasing right away if you
	  hide/cloak/vanish/etc. [Skotlex]
	* Fixed some memory issues in the db handling. Credits to End of Exam.
	  [Skotlex]
2005/10/13
	* Updated the main.sql file with some of the recommendations by Zoc
	  [Skotlex]
	- If your sc_data table works as it is, you don't have to touch it.
	* Fixed Maxmize Power/Cloaking sending the sever to an "infinite loop" when
	  used by mobs. [Skotlex]
	* Some cleaning to clif_send in regards to guild-related packets. [Skotlex]
	* Added mob skill condition "afterskill", works like "skillused" except
	  it's triggered after the mob was the one doing the mentioned skill.
	  [Skotlex]
	* Small cleanup and optimization of data saved when received member
	  information. [Skotlex]
	* Fixed some memory issues in script loading and the plugin loading
	  mechanism. [Skotlex]
	* Fixed magic attacks always doing minimum damage. [Skotlex]
	* Fixed the crash in battle_check_attackable [Skotlex]
	* Fixed Fireball hitting twice on the targetted mob. [Skotlex]
	* Updated Recall Guild to work in gvg maps even if the nowarp flag is set.
	  [Skotlex]
	* Updated Recall Partner to warp partner after 20 secs the thing is on the
	  ground, skill is blocked from reusage during that time. [Skotlex]
	* Some updates to correctly decide whether skills hit cloaking and/or
	  hidden chars. [Skotlex]
	* Updated skill code so that heaven's drive will hit and destroy traps
	  (untested), also AoE skills will not trigger on hidden characters. [Skotlex]
	* Fixed the crash on magic rod. [Skotlex]
	* Updated Maximize Power and Cloaking to last forever (until reuse, I
	  believe) for non-players. [Skotlex]
	* Made Berserk end when you logout. [Skotlex]
	* Made song/dances end when you unequip your weapon rather than on equip.
	  [Skotlex]
	* Fixed one bug in battle_calc_magic attack and some cleaning of it as
	  well. [Skotlex]
	* Updated sql-files/mob_db.sql to match the latest mob_db.txt [Skotlex]
	* Updated sql-files/item_db.sql to match the latest item_db.txt. [Skotlex]
	* Fixed stealing. Now it works like aegis one. [Lupus]
2005/10/12
	* Fixed everyone gaining high speed after casting a ground-based skill.
	  [Skotlex]
	* Corrected the magical part of Soul Breaker ignoring mdef. [Skotlex]
	* Updated Reverse Orcish to use the duration specified for the skill in
	  skill_cast_db.txt [Skotlex]
	* Modified REVERSEORCISH to make it a status change (SC_ORCISH), since
	  there's no data about duration, defense, or if any stat reduces it's
	  duration, it currently is fixed to 5 minutes. [Skotlex]
	* Fixed crash when sending the insert card packet with an invalid index. [Skotlex]
	* Added script constant baseClass. [Skotlex]
	- Example: if (baseClass == Job_Novice) will match on all novices and super
	  novices. if (baseClass == Job_Swordman) will match on all Swordmen, Knights
	  and Crusaders. Once tested several item scripts can be simplified in the
	  item_db.
	- In contrast, the already defined baseJob works by stripping the upper
	  kind only. (eg: baseJob == Job_Swordman matches on swordman classes, but
	  not Crusader/Knight)
	- I know the names can be confusing, but anyone has a better suggestion for
	  a name?
	* Added a fix to prevent people from buying equipment in stackable from by
	  hexing the packets and specifying an amount greater than 1. [Skotlex]
	- Thanks to End of Exam for pointing out the exploit.
	* Added flag "move delay" to skill_castnodex_db.txt [Skotlex]
	- By setting this flag to 1, players won't be able to move during the skill
	  delay time. Some reorganization was needed in skill.c to make room for
	  this, so some testing is required.
	* Fixed the Char SQL server unnecessarily loading AND saving parties each
	  time a party-member changed maps. [Skotlex]
	* Modified skill_min_damage so that it defines the minimum damage for
	  skills IF the skill does not misses/is blocked. Can be used to specify
	  to any of weapon attacks, magic attacks, or misc attacks. Defaults to 6
	  (magic + misc attacks) as that is what was set up previously. [Skotlex]
	* Fixed Wand of Hermod and a potential crash related to ground based
	  skills. [Skotlex]
	* Probably corrected npc load count when using reloadscript. [Skotlex]
	* Likely fixed petheal [Skotlex]
	* Fixed PVP client crash bug. By a new cadidate into eA coders LuzZza [Lupus]
	* Updated maps comments, thanks to Justin84 [Lupus]
2005/10/11
	* Fixed not being able to cast resurrection on dead players. [Skotlex]
	* Fixed party HP update crash. [Skotlex]
	* Fixed players being killed always in one hit. [Skotlex]
	* Fixed chars not being able to unhide. [Skotlex]
	* Rewrote/optimized the hp updating code (both party hp and disp_hpmeter),
	  this should lower bandwidth a bit from all the unnecessary packets that
	  were previously being sent. [Skotlex]
	* Removed the mysterious 2.2% drop chance for all items when read from the
	  sql db. [Skotlex]
	* Updated targeted skills and normal attacking to fail when targetting
	  hidden characters. [Skotlex]
	* Merged reddozen and Draco's code regarding TK skills. [Skotlex]
	* Added a function to allow guilds to delete alliances with nonexisting
	  guilds. [Skotlex]
	* Corrected the weapon damage return in battle_weapon_attack, thanks to PeF
	  for pointing it out. [Skotlex]
	* Added max_baby_parameter to define the max parameter for baby classes.
	  Also fixed some instances where the baby parameter restriction was not
	  being taken into account. [Skotlex]
	* Fixed Firewall doing knockback on the undead. [Skotlex]
	* Fixed Waterball count when casted by non-players, thanks to Orn [Skotlex]
	* Fixed the instrument/whips gender restriction being applied to Cap. [Skotlex]
	* Damn typo: Fixed Mobs Drops with the same % droprate. thanx 2rover 4bugreport [Lupus]
	* Fixed SQL Mob DB reading(no drops issue, etc) thanx to yoanykim for pointing it out [Lupus]
2005/10/10
	* Probably fixed the peco-riding issue. [Skotlex]
	* Fixed clif_clearchar_delay (cause of the ghost mobs from my tests). [Skotlex]
	* Small fix on the mob ai (attacked_id was never being reset if the
	  attacker no longer exists). [Skotlex]
	* Added a couple of checks to prevent the mob_ai from executing if the mob
	  is dead. [Skotlex]
	* Fixed a typo in skill_attack which causes all sort of unpredictable
	  behaviour, such as firewall never hitting. [Skotlex]
	* Fixed a memory leak involving pets and cast cancel. [Skotlex]
	* Made Wand of Hermod end when the caster is moved for whatever reason. [Skotlex]
	* Increased the random damage delay modifier to +/-15% [Skotlex]
	* Fixed "rare drop filter" considering "available in shops only items" as RARE items [Lupus]
	* The GM can drop level now also determines whether a GM can store items in
	  the Guild Storage or not. Thanks to Kayla for pointing it out :P [Skotlex]
	* Fixed Grimtooth so that it's slowdown works on both players and mobs.
	  [Skotlex]
	* Fixed Fireball's damage. [Skotlex]
	* Now the Wedding Dress and Tuxedo will always check for the correct
	  gender. [Skotlex]
	* Cleaned up the code for Potion Pitcher. [Skotlex]
	* Reverted Falcon Assault to be 5x Blitz Beat's damage at level 5. [Skotlex]
	* The npc_counter is now reset in a @reloadscript. [Skotlex]
	* Cleaned up Falcon Assault and made it's %dmg increase be an addition on
	  top of Blitz Beat (altough I am not so sure that's right) [Skotlex]
	* Hardcoded the gender restrictions for items with view 13 & 14 (Musical
	  Instruments and Whips), changed ignore_item_genders to yes as default. [Skotlex]
	* Changed GX duration to 900ms. [Skotlex]
	* Cleared up the item get times descriptions in battle_athena.conf [Skotlex]
	* Some timer fixes in status_change_start regarding sc_data loading. [Skotlex]
2005/10/09
	* Probably fixed Waterball so it does max number of hits when casted by a
	  non-player regardless of water availability. [Skotlex]
	* Fixed perfect hiding. [Skotlex]
	* Corrected magic damage return to only work on targetted skills [Skotlex]
	* Some cleaning up of the skill_attack function. [Skotlex]
	* At last finished 2 last logs filters options: [Lupus]
		- Implemented 'Rare' items option (you can set rare_items_log value)
		- Implemented 'Big amount' of items option (it would always log big set amount of items (per 1 action!) despite on the other filter option)
	* Updated @iteminfo ATcommand. It would show you additional item info. [Lupus]
		- Monsters drop this item with ?.?% chance
		- Monsters don't drop this item
		- This item is available in the shops only
	- Tip: When you Trade/Vend goods, use @iteminfo to check items price and even rareness ^_-
	* Rearranged item_data struct units to make it compatible with some old script commands after Skotlex's changes
	- Tip: Now you can use GetItemInfo script command to find out if the item is rare or not
2005/10/08
	* Some improvements to the mob ai. [Skotlex]
	* Fixed summoned marine spheres exploding on their own. [Skotlex]
	* Probably fixed the attribute fix for magical attacks. [Skotlex]
	* Made the gender check to not be ignored by default [Skotlex]
	- This is necessary because the new job ID system makes both Dancer and
	  Bard be treated as the same job, so all bard/dancer comparisons were
	  changed to be gender comparisons, thus, the gender check is indispensable
	  for their weapons.
	* Updated item_db structure. new column upper (after equip_jobs) defines
	  the type of job that can equip the item (1: Normal jobs, 2: Upper jobs,
	  4: Baby jobs), merged the use_script and equip_script columns into one.
	  Also the equip_jobs column now has support for the following classes:
	  Taekwon (2^24), Star Gladiator (2^25) and Soul Linker (2^26)
	  The provided db/item_db.txt and sql-files/item_db,sql are already updated
	  with all the necessary changes (all equipable/usable items have their
	  upper set to 7)..
	- Lupus, Nexus, get working on updating the item_db.
	* Made FrostJoke/Scream work the same way out and inside woe grounds.
	  [Skotlex]
	* Corrected Grand Cross Damage [Skotlex]
2005/10/07
	* Took out Lighthalzen's noteleport mapflag. Added it by accident. [Nexon]
	* Some commented code cleanup and help.txt update [Foruken]
	* Applied Draco's fixes to battle_calc_magic_attack. [Skotlex]
	* Modified @showexp and @showdelay so they will work as people would expect
	  them to. [Skotlex]
	* Figured out what ## variables are, and documented it on
	  doc/script_commands.txt [Skotlex]
	* Foruken pointed out that the actual script problem was a certain
	  acalloc() that was changed to realloc(), so undid the last revert and
	  reverted this one instead.  [Skotlex]
	* Fixed a char-sql issue where character variables seemed to be saving
	  incorrectly. [Skotlex]
	* Removed a free() that was added on R3421 that was supposed to fix a
	  memory leak but instead causes crashes :/ (so the memory leak is back in
	  there, but no more crash) [Skotlex] 
	* Applied End of Exam's script engine patch. [Skotlex]
	- This adds support for nested blocks, if/else, fors, switches. See
	  <http://eathena.deltaanime.net/board/index.php?showtopic=50037>
	  for more information. Note that he admits it is not fully tested, so be
	  careful when trying out the new commands!
2005/10/06
	* Some corrections to the script engine, should fix a few memory leaks.
	  [Skotlex]
	* Minor corrections to the screen output of the char_sql server when
	  saving. [Skotlex]
	* Corrected authorisation issues in msg_athena.conf [Skotlex]
	* Updated Wand of Hermod [Skotlex]
	- Can't amp out of it.
	- Affects everyone
	- Only prevents people from casting supportive skills.
	* Fixed mobs not doing their "rude-attacked" skill. [Skotlex]
	* Corrected casters being able to walk during Wand of Hermod [Skotlex]
	* Made Guild Recall be usable outside of WoE. [Skotlex]
	* Changed the default gvg_traps_target_all to yes. [Skotlex]
	* Changed the default for copyskill_restrict to 2 (cannot copy advanced
	  skills) [Skotlex]
	* Added a bunch of code related to the 2nd job quest skills and Tae -second
	  classes skills, as provided by Draco and acquired from jA [Skotlex]
	* Merged Draco's implementation of battle_calc_magic_attack. [Skotlex]
	* Modifications to the mob AI to more accurately use Range2 (mob's sight
	  range) and Range3 (mob's chase distance ability) [Skotlex]
	* Cleaned up item_db.txt, updated sql-files/item_db.sql to match. [Skotlex]
	* Added logarithmic drops support for TXT itemdb loading (how could I had
	  forgotten that?) [Skotlex]
	* Added battle options item_rate_treasure, item_drop_treasure_min,
	  item_drop_treasure_max, these override all other rate options when it comes
	  to Treasure box drops. [Skotlex]
	* Cleaned up battle_athena.conf regarding drop rates. mvp_item_rate has
	  been changed to item_rate_mvp. [Skotlex]
	* Implemented Maya Purple card effect (you can see any hidden mob). Thanks to jA [Lupus]
	* Updated functions: pc_calc_base_job,pc_calc_base_job2 [Lupus]
	- They return 24:Taekwon, 25:StarGladiator, 27:Soul Linker
	  Now someone should UPDATE Job fields of item_db.txt for TK,SL,SG classes
	  then I'll remove ugly hardcoded "temp plug" from pc_isequip function
	  [Item_DB JOB field note]: We don't check Knight2,Crusader2,Star Gladiator2 bits,
		so don't set them.
	  In other words we use only these bits:
		0-Novice,1-Swordman,2,3,4,5,6-Thief
		7-Knight,8,9,10,11,12-Assassin,14-Crusader,15,16,17,18,19,20-Dancer
		23-Super Novice
		24-TK,25-SG,27-SL
	  Don't ever use other bits e.g. for Advanced classes. It's useless
	* Added Poring Box logs (into dead branch logs)
2005/10/05
	* Updated nomemo and noteleports for Lighthalzen/Einbroch/Einbech maps and others. [Nexon]
	* Fixed the mob AI. [Skotlex]
	* Updated alchemist_summon_reward [Skotlex]
	- Summons now never give exp, and they may drop items according to setting:
	  0: Never drop items
	  1: Only Marine spheres drop items (default)
	  2: All summons drop items.
	  (maybe a different battle option can be made to make summons give exp?)
	* Simplified the Grand Cross code. [Skotlex]
	  It is now entirely a magical attack with extra damage of the form base
	  atk * skill%  - armor def% - vit def. Note that weapon properties won't
	  apply now as well as many of the offensive cards (those that do not apply
	  to both magic and weapon attacks, that is), and the def penalty from
	  having many mobs targeted on one is not applying neither (so the full
	  def is being taken into consideration). Report any corrections further
	  needed.
	* Cleaned up, organized and improved somewhat the mob ai code. [Skotlex]
	  (update and test at your own risk as I can't test it currently)
	* Some corrections to the way the guild master's name is updated during a
	  gm change. [Skotlex]
	* Added a check to avoid saving negative durations for status changes. [Skotlex]
	* Added a check to avoid loading status changes with negative durations
	  (the walk freeze problems seem related to timers and sc_data loading, so I
	  am shooting in the dark here at possible problem sources) [Skotlex]
	* Various cleanups to ensemble related code, Longing For Freedom may be
	  working now. [Skotlex]
	* Added the water levels to ayo_dun01, gon_dun01 and lhz_dun03, thanks to
	  Master of Muppets [Skotlex]
	* Made Autocounter trigger autospells (was not doing so because it's NK
	  defines it as a no-damage skill) [Skotlex]
	* Some cleanups on the mob slave AI code. [Skotlex]
	* Added battle config retaliate_to_master, defaults to yes. [Skotlex]
	- Why? Because in official, summoned mobs are not attacked by other mobs
	  (speaking about alchemists), if you set this to no, then mobs will
	  retaliate against the summon (both @summon and alchemist ones).
	* Some fixes to the way the guildmaster flag is being set and checked. [Skotlex]
	* Made the skilllv be 1 if the client sends less than that (this is why
	  active guild skills were not working. For some reason the client was
	  sending a request to do the skill at level 0!) [Skotlex]
2005/10/04
	* Likely fixed Aeterna + Soul Breaker/Destroyer. [Skotlex]
	* Some cleaning of the mob ai. May help with some of the current exploits.
	  [Skotlex]
	* Corrected Mob_ai code to make supportive mobs properly gang up on
	  summons. [Skotlex]
	* Moved the plagiarize code to execute it before dealing damage (because on
	  WoE you are auto-restored when you get killed, hence the player was 'alive'
	  and it would copy the skill when killed by it on WoE) [Skotlex]
	* Fixed Classical Pluck blocking AoE spells. [Skotlex]
	* Updated Spider Web code to not retrigger if already trapped by one
	  (needed because spider webs can now stack) [Skotlex]
2005/10/03
	* Fixed a mistake with my last fix. [Kevin]
	* Fixed often occurring memory leak in clif.c. [Kevin]
	* Made NPC_DARKCROSS work (it's just a copy of Holy Cross with dark
	  attribute) [Skotlex]
	* Removed resetting the manner when a player is saved. [Skotlex]
	* Cleaned up map reading code to make it remove maps that could not be
	  loaded. It prevents crashes related to maps that weren't correctly loaded
	  on startup. [Skotlex]
	* Fixed Endure to make it add armor mdef. [Skotlex]
	* Small fixes to updating the guild master's name during a guild master
	  change. [Skotlex]
	* Some corrections to the mob ai to enable mobs to attack other mobs
	  (summoned ones, of course) [Skotlex]
	* Updated autotrading so that the char will close the shop and quit the map
	  server automatically when there's nothing left to vend. [Skotlex]
	* Added checks to prevent a char from joining/creating multiple chat rooms
	  (anti-crash fix, it is). [Skotlex]
	* Cleaned up and restructured the mob item drop code. It also fixes a
	  possible crash during the autoloot check. [Skotlex]
	* Reupdated Wind Walk to add +5% flee bonus... AGAIN. [Skotlex]
2005/10/02
	* Fixed STEAL issue. [Lupus]
	- Any Mob has 10 drop slots. If we pick an empty one, then we check previous slot, until we find a slot with an item.
	  Then we apply STEAL FORMULA for the item. (During the tests I managed to steal 2 poring cards 8)
	  If a mod doesn't have any slots then STEAL fails.
	- Possible exploit: If a mob (e.g. NEW MOBS) has only one rare drop, then STEAL would always try to steal that the only slot 8)
	  How to fix: I suggest to fill other empty slots with Jellopies or Apples with zero chance.
2005/10/01
	* Expanded NPC shop log info of sold items (cards, refine, etc) [Lupus]
	* Fixed compile errors in converters [celest]
	* Updating built-in zlib to 1.2.3 [celest]
	* Added unzip functions to grfio.c [celest]
	* Finished Fusion AF2 maps support - just put the .af2 files in the
	  afm folder and start the map server as usual [celest]
	  NOTE: It will need a new unzip library, so do 'make clean', or delete
	  'Makefile.cache' before recompiling!

2005/09/30
	* Updated the slave warp code. Now when a master recalls their slaves,
	  these will be placed 'randomly' around the master in an area_size/2 range.
	  [Skotlex]
	* Cleaned up the mob link (supportive mode) code to prevent wasting time
	  trying to link friends every 100ms. Now the interval for linking friends is
	  MOB_MINLINKTIME (1 sec currently) [Skotlex]
	* Updated mob code so when a mob hits another, they set their 'attacked id'
	  to the mob in question, and not the mob's master. [Skotlex]
	* Some cleaning up of the Taekwon stance skills. Added a attack delay when
	  they trigger (same way as triple attack delays your continous attack) [Skotlex]
	* Modified the range check in skill_use_id/skill_use_pos so that if you try
	  to use a skill while moving, it will change your path to move one cell towards the
	  target before casting (as long as you are within one tile of being in
	  range). [Skotlex]
	* Moved the bleeding reduction formula to status_change_start, modified the
	  formula to be (lv/5+vit)% reduction. [Skotlex]
	* Fixed the blind duration reduction formula. [Skotlex]
	* Upgraded Meteor Assault so you can specify the duration of
	  blind/stun/bleeding independently in skill_cast_db.txt [Skotlex]
	* Made TK_JUMPKICK share the same code as Ashura Strike (just to see what
	  happens, both seem like they behave the same way, no?) [Skotlex]
2005/09/29
	* Some tweaks and fixes around status.c, may fix the timer mismatches of
	  status_change_timer. [Skotlex]
	* Fixed a memory leak regarding pet status recovery scripts. [Skotlex]
	* Added timestamp support. Set timestamp_format to whatever you want, and
	  it will print a timestamp in said format before every Show* message. They
	  can be set independently for each server (defined at login_athena.conf,
	  char_athena.conf and map_athena.conf). Default is using no timestamps. [Skotlex]
	* Modified the new auth login system to take into consideration when the
	  client tries to connect before the character data arrives from the char
	  server. [Skotlex]
	  (seems to work well, but could use more testing)
	* Corrected the description of the 'skill_add_range' switches and made them
	  default to 5. Still pending further tuning (the official value of these
	  switches should have is still unknown) [Skotlex]
	* Added Demonstration to list of skills affected by
	  'gvg_traps_target_all' [Skotlex]
	* Likely fixed Firepillar triggering multiple times when many characters
	  step unto it. [Skotlex]
	* Increased the damage delay randomizer to be +/-10% rather than +/-5%, may
	  fix 'stun-lock'. [Skotlex]
	* Added Consumable items log into pick_log [Lupus]
	- You can see logs when someone uses items (boxes, potions, etc)
	* Added AtCommands/CharCommands items deletion/creation log into pick_log [Lupus]
	* Removed some of the unnecessary verbose messages from the char server
	  during data saving. [Skotlex]
	* Added the new "online check" system (more of a fixing of a system that
	  was already there but was half working) [Skotlex]
	  it is turned on/off by using the online_check config options for the
	  login and char servers.
	- char server: When the check is on, players are kicked out of the char
	  server when their character is already online, and the map servers are
	  instructed to kick the account out as well. If there's no reply from the
	  map servers, the char is automatically set offline after 15 secs.
	- login server: When the check is on, players get "rejected from server"
	  when the account is online already, and afterwards the char servers are
	  told to kick that account out (like in the first case), if after 30 secs
	  there is no reply from the char servers logging off the account, the login
	  server sets it offline on it's  own.
	- The checks are by default on as they are meant to prevent possible
	  exploits on multi-map servers.
	- However, I have not figured out where exactly a char server gets to know
	  that a player has changed map-servers, so this could cause trouble in said
	  enviroments until I figure it out (it won't go out of sync forever since
	  the map servers do update their list of online characters every then
	  seconds) :/
	* Fixed crash, related to STEAL logs [Lupus]
	* Added TXT logs for Pick_log [Lupus]
2005/09/28
	* Added 'scripts items operations' and 'vending' into pick_log: [Lupus]
	  Tested with refine, getitem, getnameditem, removecards, etc commands. They are all supported.
	  Now you can see if a player breaks his armor in NPC Cards Remover, etc.
	  You can track down any item within a single DB.
	  You can make a SQL query to find which items are most popular, which quests are most popular, etc
	  Of course, it could help you to find your local items exploits, cheaters and unfail admins ^_-
	- Added 'Autolooted' and 'Stolen' items into pick_log
	- TODO: Add TXT logs
	* Fixed JobMaster NPC. Thanks Amada [Kayla]
	* Removed card-fix flag from Cart Termination. [Skotlex]
	* Updated battle_check_target so that a mob will consither another mob an
	  enemy if either one has special mob ai (is a @summon or summoned alchemist
	  mob). Summons from the same master should not be attacking each other,
	  however I do think they will attack summons from another player. [Skotlex]
	* Removed 10 chances to pick an item from STEAL skill (it should have only 1 chance) [Lupus]
2005/09/27
	* Corrected again Wind Walk. Just +5 flee at lv10, walk bonus does not
	  stacks with other speed giving skills. [Skotlex]
	* Corrected Wind Walk's walk and flee bonus (walk was a +4*skill_lv%
	  increase! and flee was +5 flee, rather than +5% flee of your total).
	  [Skotlex]
	* Added atcommand @changeleader, transfers the leadership of a party to
	  someone else. [Skotlex]
	  (defaults as a GM-level 10 command, not quite yet tested)
	* Added delitem2 script command with script sample by Mihilion [Lupus]
	* Removed the check that prevented chars from logging out during status
	  changes, as the current system should save and restore these correctly.
	  [Skotlex]
2005/09/26
	* Fixed MAX GUILD capasity in mmo.h to allow correct +6 Guild Extension [Lupus]
	* Changed back the TIMER_MIN_INTERVAL to 50. Who changed it back to 25?
	  (svn3015 skotlex: Changed TIMER_MIN_INTERVAL to 25 (from 10), it probably needs to be bumped even higher, awaiting results from testers to see if a higher value would be needed.
	   svn1284 lupus: timers optimization / speed up / bug fix : no freezing mobs [TIMER_MIN_INTERVAL: 50->10])
	  (note to self: make this a setting in inter_athena.conf) [Skotlex]
	* Guild Extension now adds 6 per level. [Skotlex]
	* Added define ENABLE_SC_SAVING in common/mmo.h, comment/remove this line
	  to disable saving of status changes (temporary measure) [Skotlex]
	* Updated Double Casting to only work on Firebolt, Coldbolt and
	  Thunderbolt. [Skotlex]
	* Fixed cloaking/hiding. [Skotlex]
	* Updates to status_change_start, scdata loading now should display on the
	  targetted player. [Skotlex]
	* Removed card modifiers from Meteor Assault. [Skotlex]
	* Corrected skill_out_range_consume so that spells effectively fail if the
	  target goes out of range. [Skotlex]
	* Another another check on the new auth system which may help prevent
	  exploits. [Skotlex]
	* General cleanup and code improvements needed because of the new auth
	  system. [Skotlex]
	* Fixed a bug in the new auth system (TXT) which was causing the gender to
	  be pretty much randomly sent. [Skotlex]
	* Fixed a bug in changesex at the TXT char server level. [Skotlex]
	* Updated new logging system. Now logs TRADE, NPC Shops [Lupus]
	* Fixed a possible exploit in the new auth system. Thanks to End of Exam
	  for the information. [Skotlex]
	* Corrected True Sight critical bonus. [Skotlex]
	* Water Ball will now do the full number of hits regardless of available
	  water when used by non-players. [Skotlex]
	* Changed the emoticon delay to 1 second. [Skotlex]
	* Zeny/item kill bonuses now work on all skills, and not just physical
	  weapon attacks. [Skotlex]
	* Added official Ayothaya Town script by MasterOfMuppets [Lupus]
	* Added new Players / Monster Drops / Pickups Logging system [Lupus]
	- Changed new log table, now it has field 'type':
		M = Monsters Drop, P = Players Drop/Take, L = Mobs Loot Drop/Take, T = Players Trade Give/Take,
		V = Players Vending Sell/Take, S = Shop Sell/Take, N = NPC Give/Take
		NOTE: 'looted drop' might has cards, refine, etc. 'common drop' has item w/o cards/refine
	- Now you can see Players(cheaters) passing any items w/o trade
	- Now MOBS+PLAYERS drops come in the same table (easy to query)
		Poring -5 Apple
		Zelgadis +5 Apple
	- You can tell off monsters by their LOW id.  < 2000~ 
	- Negative value of AMOUNT shows that a mob, or a player has dropped that items amount
	- Positive value of AMOUNT shows that a player has pickedup that items amount
	- It works 5x faster than old DROPLOGS
	- TXT logs don't work yet
	- TODO: Add Autolooted & MVP items in the log, too.
	- TODO: Add Mobs Looters DROP items in the log. (Now only attacked mobs log loot drops)
	- TODO: Add Scripts/Vending logs

2005/09/25
	* Modified battle_weapon_delay so that additional status effects are
	  invoked even if the attack does no damage, as long as the attack connects
	  (that is, it is not a miss/lucky dodge) [Skotlex]
2005/09/24
	* Updated several mob stats for the Lighthalzen and later mobs from the
	  data provided by Viccious Pucca. [Skotlex]
	* Updated sql-files/mob_db.sql to contain the most recent mob_db. [Skotlex]
	* Added support for saving/loading status changes when characters log
	  in/out. [Skotlex]
	- TXT users: the file used by default is scdata.txt, can be changed by
	  setting scdata_txt to something else in inter_athena.txt.
	- SQL users the table used by default is sc_data, can be changed by setting
	  scdata_db to something else in inter_athena.txt. Use upgrade_svn3273.sql to
	  generate the new table.
	- It is currently unknown the behaviour of restoring some status changes,
	  if any anomality shows up, do report.
	- Currently, even thought the sc data is restored, the client does not
	  receives the packet telling them that the effect started (like Gloria, you
	  can see you have +30 luk, but the message is never there) nor the visual
	  effects are in neither. This is a side effect of starting the status
	  effects on a player before the client finished loading the maps and spawns
	  in the map. Will be fixed later.
	* Some memory optimizations tothe new auth system. [Skotlex]
	* Moved the charsave_method config to inter_athena.txt [Skotlex]
	* Fixed Demonstration/Bomb getting 100% breaking chance on low skill break
	  rates [Skotlex]
	* Fixed chars being able to cast skills while rooted if they didn't have at
	  least root lv1 [Skotlex]
	* Removed Assert in pet_walk, use a less unstable debugging tool, causes
	  errors in remote shells. [Kevin]
	* Fixed TXT char login with new auth system. [Kevin]
	* Done: Adjustable players titles for @who, @who2, @who3 commands [Lupus]
	- Check msg_athena.conf for new lines
2005/09/23
	* Software Caused Connection Abort errors will now cause said socket to be
	  removed inmediately from the listening list of sockets, this may help with
	  the lag issues that arise when said error occurs. [Skotlex]
	* Fixed Demonstration having 100% breaking chance if you set skill breaking
	  chance to 0. [Skotlex]
	* Swapped functions of @who and @who3 commands. Because it's a spoil [Lupus]
	  to show players locations. You may enable @who for your common players now.
	  there's a shortcut for @WHO: @W
	* Started adding adjustable players titles for @who, etc commands [Lupus]
	- e.g. Super Player, GM, GM+, etc
2005/09/22
	* Updated sql-files/item_db.sql to have the most current version. [Skotlex]
	* Finished first part of new auth system, fully tested. Will reduce char->map
	  lag by whatever it is you are haveing. [Kevin]
	* Added consideration of GrandDarkness in various code sections that were
	  only checking for Grand Cross [Skotlex]
	* Deployed use of map_getallusers all over the map server where it makes
	  sense to include disconnected players. [Skotlex]
	* Corrected map_getallusers to depend on the actual count of players in the
	  db rather than the variable users (prevents possible crashes if the two
	  differ) [Skotlex]
	* Updated the player counting function so that it correctly accounts for
	  all players (including those not connected like in autotrade) [Skotlex]
	* Characters will now automatically stand if Soul Drain is triggered while
	  sitting. [Skotlex]
	* Set default option gvg_traps_target_all: no [Lupus]
	- In kRO it used to be 'yes' some time ago but has been reverted back to 'no'
2005/09/21
	* Corrected an error in the way guild alliances were being counted, as
	  pointed out by Viccious Pucca. [Skotlex]
	* Fixed and deployed map_getallusers() on atcommands @who, @who2, @who3.
	  [Skotlex]
	- This function should enable the aforementioned commands to work even on
	  players who are in the server but are not connected (eg: autotrade
	  players). It is temporarily only deployed on the @who functions pending on
	  feedback (bug reports, anything) before going ahead and implementing it on
	  all relevant atcommand/charcommand/script functions.
	* Replaced the trim() function with Furoken's implementation (it should
	  remove tabs, consecutive spaces and other such unwanted characters from a
	  char's name) [Skotlex]
	* Updated doc/script_commands.txt to explain the upper parameter of the
	  function jobchange. [Skotlex]
	* Corrected sql query errors when logging trades and vending. [Skotlex]
	* Updated doc/script_commands.txt with the script commands I've modified
	  or added that are not yet described within. [Skotlex]
	* Small fix to clif.c which corrects characters that can't log in again if
	  they log out when the char and map server are not connected. [Skotlex]
	* Cleaned up all SQL error reporting. It now follows the same standard
	  everywhere, and is followed by a debug line which includes the file, line
	  number and contents of the attempted query which caused the error. [Skotlex]
	* Corrected an sql logs error when selecting a character with special
	  characters (eg: single quotes) on it. [Skotlex]
2005/09/20
	* Changed Palm Strike's initial animation display. [Skotlex]
	  (it will show as a normal attack that misses instead of an skill, but at
	  least the animation delay is correct and the skill can be chained now)
	* Adjusted Cart Revolution's damage to be based on the Cart's Max Weight
	  (instead of the hardcoded 8000w value) [Skotlex]
	* Fixed a memory leak when pets cancel their casting. [Skotlex]
2005/09/19
	* Added error reporting an item in the item_db.txt file has insufficient
	  fields (rather than just crashing) [Skotlex]
	* Updated the item_db to use the new race and element constants. [Skotlex]
	* Fixed (I think) battle option muting_players. Defaulted it to yes. [Skotlex]
	* Added timers for displaying guildmates position. [Skotlex]
	- All the packet related code was already there by Valaris, so I wonder why
	  this wasn't finished before?
	* Added battle_athena options max_def/over_def_bonus (read
	  battle_athena.conf for desc) [Skotlex]
	* Added error reporting when the magreg file fails to be saved. [Skotlex]
	* Made berserk castable during the no-regen period when it expires. [Skotlex]
	* Fixed a query error on sql refine logging. [Skotlex]
	* General checks to the script engine string management. Should fix a bunch
	  of memory leaks. [Skotlex]
2005/09/18
	* More updates to status change IDs [DracoRPG]
	* Implemented TK_SEVENWIND, allowed simultaneous use of several stances, thanks to
	  reddozen for all the info about that [DracoRPG]
	* Allowed to pickup/drop items while in Frenzy [DracoRPG]
2005/09/17
	* Added a check that should prevent fighting against other guilds outside
	  of WoE times. [Skotlex]
	* Hopefully fixed Hunter's Dectect skill. [Skotlex]
	* Fixed the packet issues on the char txt server. [Skotlex]
	* Miscellanous corrections to skill_attack. [Skotlex]
	* Corrected the AutoSpellWhenHit rate of all items in the db (TXT + SQL)
	  [Skotlex]
2005/09/16
	* Reverted some of the contents of skill_unit_move_unit_group since the
	  previous algorithm was optimized. Walking during a Song/Dance should be
	  smooth again. [Skotlex]
	* Rewrote the guild gm changing system. [Skotlex]
	- @changegm works now (tested in SQL, TXT should also be working)
	- Added script command "guildchangegm <guild id>,<new master's name>". Now
	  go write some Guild Master changing npc if you want it to cost money, have
	  a minimum guild level requirement, etc.
	* Added Ishizu's logarithmic drops equation. [Skotlex]
	  (see battle_athena.conf for full details)
	* Added a sub-function call to clear Castle owners when their guild is
	  broken. [Skotlex]
	* Added a char-server call to clear the alliance when a guild is broken
	  (when a guild breaks, the alliance/opposition is removed from memory on the
	  map server, so it seems said change is not sent/saved on the char-server
	  side?) [Skotlex]
	* Added script function sc_start4, starts an status change with all four
	  values. [Skotlex]
	  Use: sc_start4 TYPE, DURATION, VAL1, VAL2, VAL3, VAL4, <target ID>
	* Added SC_ARMOR_ELEMENT/SC_DefEle, specifies elemental defense bonus
	  against two elements at a time. For example:
	  sc_start4 SC_DefEle, 60000, Ele_Fire, 20, Ele_Wind, -15;
	  Gives 20% additional fire resistance and reduces 15% Wind resistance for
	  60 seconds.
	* Expanded battle_attr_fix to consider the status changes of the involved
	  chars that affect elemental modifiers. [Skotlex]
	* Fixed some status effects not being correctly ended/recalculated when you
	  stepped out of quagmire/song/dances. [Skotlex]
	* Made quagmire be affected by the "gvg_traps_target_all" battle switch. [Skotlex]
	* Added Bloody Branch log (along with Dead Branch) [Lupus]
2005/09/15
	* The skill Vending will now fail on GM characters who do not satisfy the
	  gm_can_drop level requirement. [Skotlex]
	* Updated the sql-files mob_db.sql and item_db.sql files to the current
	  version (just feed'em to sql to have your item_db and mob_db tables
	  updated). [Skotlex]
	* Now @allskill and it's ilk will give you ALL skills except the ones
	  marked as "npc skills" (those have an inf2 value of 2). [Skotlex]
	* Some code optimization around song/dances, now the ensemble should be
	  cancelled if you walk (or are knocked out or whatever) out of it.
	  [Skotlex]
	* Added log support to N slots. Now all cards should be logged [Skotlex]
	- Note that I have not been able to test it yet, so report back any
	  problems caused by it.
	* Fixed a memory leak when removing disconnected chars. [Skotlex]
	* Re-enabled the Memory Manager by default. [Skotlex]
	* Updated atcommand @rates so that it displays current exp rates in x form
	  (eg: "Current rates: Base 4.5x, Job 8.0x") as suggested by Mellowz.
	  [Skotlex]
	* Corrected resetskill messing up with Wedding Skills. [Skotlex]
	* Some adjustment to the status change defense (as per data provided by
	  Viccious Pucca) [Skotlex]
	* VVVS weapons now give +50 damage instead of +40 (again thanks to
	  Viccious) [Skotlex]
	* Success rate of making Star Crumbs now is 100% (regardless of skill
	  level?) [Skotlex]
	* Couple of crash fixes on the map-server char saving method
	  (char_save_method: 1) [Skotlex]
2005/09/14
	* Yet another correction to SQL char saving. [Skotlex]
	* Added support for N slots. [Skotlex]
	- By changing the constant MAX_SLOTS in common/mmo.h, the server can be
	  configured to support items with more than 4 slots. Saving/Loading and
	  inserting of cards should be working correctly. Features still missing
	  are including the extra slots in the log functions and updating clif.c to
	  send the extra cards to the client (This is still work in progress).
	- SQL Users interested in using this, need to manually add columns card4,
	  card5 and so on to the relevant tables (cart_inventory, guild_storage,
	  inventory, storage), example query:
	  ALTER TABLE inventory ADD COLUMN card4 int(11) NOT NULL default
	  '0' AFTER card3;
	- TXT users need do nothing, the char server handles the
	  expanding/contracting of slots internally (if the number of slots is
	  shrinked, the additional slotted cards are lost)
	- Never set the amount of slots to less than 4, as they are needed for
	  forged equipment.
	* Likely fixed Lex Divina. [Skotlex]
	* Likely fixed sql char-saving, too. [Skotlex]
	* Lex Divina can now be casted on allies as long as they are silenced.
	  [Skotlex]
	* Fixed crashes on GVG grounds involving characters with no guild. [Skotlex]
	* Added a few socket features from Freya which hopefully will help
	  stabilize eA on Windows (testing needed!) [Skotlex]
	* Miscellanous fixes and rewrites to memitemdata_to_sql, it'll probably
	  fixed the stackable named items duplication exploit. [Skotlex]
	  (note that it is not tested, so there's the chance I broke everything
	  instead, so upgrade for testing purposes only and report back!)
	* Changed HP/SP drain rates so that the max (100%) is 1000. Adjusted item
	  db accordingly. [Skotlex]
	* Disabled chars from muting themselves (as a temporary measure against the
	  mysterious "don't use bot!" message) [Skotlex]
	* Added atcommand logging for /monster and /item (not quite tested yet, but
	  I think it'll work) [Skotlex]
	* Changed autospell rates so that the max (100%) is 1000. Adjusted item
	  database accordingly. [Skotlex]
	* Reverted displayed heal value. [Skotlex]
2005/09/13
	* Fixed Basilica [Skotlex]
	* Rewrote the mechanics of how Devotion works. [Skotlex]
	* Updated Heal so that it displays on-screen the actual amount that was
	  healed. [Skotlex]
	* Changed the damage motion equation to 1/4th of what it was before (now
	  using player_damage_delay_rate: 100 is what was player_damage_delay_rate:
	  25 in previous revisions) [Skotlex]
	* The login servers will now notify when a player has an account ID under
	  700000 (which won't let them connect to the map server) [Skotlex]
	* Added support for SC_BLEEDING in skill_counter_additional_effect &
	  skill_additional_effect [Skotlex]
	* Changed bonuses bAtkRate, bWeaponAtkRate and bCritRate to modify
	  base+watk damage, not just watk. [Skotlex]
	* Corrected coma-effect killing bosses. [Skotlex]
2005/09/12
	* Party even share code won't try to give dead players their share of the
	  exp (since pc_gainexp would refuse so anyway) [Skotlex]
	* Added trim() usage to char servers to prevent creation of characters with
	  spaces at the beginning or end of name. [Skotlex]
	  (the client won't let me create chars with said names so I can't really
	  test it, but on the very least valid names are not crashing it as far as
	  I can see)
	* Expansion/optimization of the skill unit code. Now it should be correctly
	  identified when a character walks into a skill cell, walks out of a skill
	  cell, and walks out of the skill group (performance optimization,
	  client-side: songs and dance effects will work correctly, and Quagmire
	  won't spam "speed up/down" messages). [Skotlex]
	- Got basic testing only (casting, amp/encore, walking, being knocked back,
	  warping), so report any problems found.
	* Bomb/Demonstration should now be cast-able under the Emperium. [Skotlex]
	* Acid Terror now knows ignores armor defense, but not vit defense. [Skotlex]
	* Added an official Bards Job Quest (check npc\changelog.txt) [Lupus]
2005/09/11
	* Changed back the default of gx_all_hit to no. [Skotlex]
	* Added check to prevent ensemble skills from changing position. [Skotlex]
2005/09/10
	* Removed the changing of targets for offensive songs in gvg grounds. [Skotlex]
	* Corrected Grand Cross not always hitting 3 times. [Skotlex]
	* Fixed the display of Auto Counter. [Skotlex]
	* Added check to prevent auto-spells from being casted when the source and
	  target are the same (normally you can't hit yourself, though....) [Skotlex]
	* Fixed Root [Skotlex]
	* Fixed the issue which made mobs do nothing. [Skotlex]
	* Change Provoke to affect armor def of mobs, and vit def of mobs/players. [Skotlex]
	* Another change to autocounter, I think it will work now. [Skotlex]
	* Fixed Defender's aspd bonus. [Skotlex]
	* Fixed rooted character's root level (instead of using the caster's level) [Skotlex]
	* Windows builds will now abort and exit when there's a "Software Caused
	  Connection Abort" error since it seems unrecoverable.. [Skotlex]
	* Reverted back my char.c/sql char.c changes 8) Have to re-check [Lupus]
	* Added official Louyang city (thanks to MasterOfMuppets), fixed some Kafra bugs [Lupus]
	  check npc/changelog.txt
2005/09/09
	* Fixed TXT/SQL char servers not reading properly their command line arguments [Lupus]
	* Refixed those compiler errors >.< [Skotlex]
	* Readded the damage delay to firewall. [Skotlex]
	* Added an extra db (pc_db) to hold players, it should speed up map_id2sd
	  lookups. [Skotlex]
	  (note that all functions which do a search on all connected players do a
	  linear search on the connection sessions, and porting this to use the new
	  system will take a pretty annoyingly long time)
	* Added checks to prevent dropped items from stacking (they can still
	  stack, but at max 2 items per cell). [Skotlex]
	* Added Guild removing from memory upon guild break to Char SQL server
	  (TXT already had this correctly) [Skotlex]
	* Changed Provoke to reduce armor defense, not vit defense. [Skotlex]
	* Likely fixed the direction check in Auto Counter. [Skotlex]
	* Removed the console functionality from socket.c (it was no good on the
	  map server since that session is used on disconnected players), also added
	  more checks to prevent parsing session 0. [Skotlex]
	* Added check to prevent skills from triggering auto-skills of the same id
	  (prevents unlimited chain-reactions) [Skotlex]
	* General fixes to guardian spawning code. [Skotlex]
	  (includes setting a timer so the Emperium gets it's guild data if not
	  available at spawn time).
	* When the Emperium's guild is not found (in mob_spawn_sub, 5 secs after
	  trying to spawn it) the Castle will be reset back to no guild owning. [Skotlex]
	* Fix to battle_check_target, should correct guardians/emperium [Skotlex]
	* Guardians will now be deleted if their guild is not found in
	  mob_spawn_guardian_sub. [Skotlex]
2005/09/08
	* Added filter into chat log. Check log_athena.conf for more info [Lupus]
	- Now you can turn off logs during WOE, etc
	* Made Musical Strike/Slinging Arrow work while in ensembles. [Skotlex]
	* Oops, fixed the compile error. [Skotlex]
	* Various checks to prevent trying to send data to disconnected players in
	  clif_send [Skotlex]
	* Moved the auto-spell code from weapon attacks to skill_additional_effect
	  and skill_counter_additional_effect. [Skotlex]
	- The autospells will trigger for all skills/normal-attacks except those
	  with nk =1 (no damage skill) which is needed to prevent stuff like
	  heal, traps or dances from triggering it.
	- Does not affect SC_HINDSIGHT triggered spells.
	- NOT properly tested as of yet, report any abnormalities and skills it
	  should/should-not be working with.
	* Fixed the crash when attempting to target a Emperium. [Skotlex]
	* mob_spawn_guardian will now 'retry' to load the guild data five seconds
	  later if the guild info is not available at spawn time. [Skotlex]
	* Fixed disconnected chars appearing as GMs on the console. [Skotlex]
	* clif_send_sub won't try to send any data to disconnected chars now. [Skotlex]
	  (may fix possible buffer overflow crashes)
2005/09/07
	* According to the patch, enabled Butterfly wings in the Castles [Lupus]
	* Adjusted MAX_GUILD constant according to Skotlex's changes [Lupus]
	* Now when the castle owner guild id is loaded, and the guild is not in
	  memory, the map server will request it right away from the char server. [Skotlex]
	* Corrected Guild Extension to be +4 to the max guildmates per level. [Skotlex]
	* Changed the default max vending value to 1 Billion [Skotlex]
	* Inverted meaning of pvp_noguild and pvp_noparty flags. the default then
	  for all maps where they are not set is: You can't attack parties/guildmates
	  on pvp maps. [Skotlex]
	* Updated mapflag/pvp_noparty to mark only the gvg arenas. [Skotlex]
	* Added mapflag/pvp_noguild, by default includes all pvp arenas. [Skotlex]
	* Cleared up some of the warning messages on mob_spawn_guardian. [Skotlex]
	* Fixed the compile error on skill.c... [Skotlex]
	* Changed offensive song/dances target to BCT_ALL when invoked in pvp/gvg
	  grounds. [Skotlex]
	* Added unit flags UF_NOMOB, UF_NOPC to give better control on who gets
	  affected by ground skills [Skotlex]
	* Fixed the possible crash in map_foreachinpath. [Skotlex]
	* Removed the error message in mob_guardian_changeguild when the new guild
	  has ID 0, the mob will just be removed instead. [Skotlex]
2005/09/06
	* Changed Assumptio to target all players around target. Mobs are no longer
	  affected. [Skotlex]
	* Fixed battle_check_target fails on guild-mates in pvp maps. [Skotlex]
	* Reverted battle_check_target to prevent floras from hitting themselves
	  until a better scheme can be thought of. [Skotlex]
	* Reorganized battle_weapon_attack to allow counter/root from blocking
	  autotriggered skills (like TripleBlows/Sacrificial Ritual) [Skotlex]
	* Fixed that crash on mob_spawn_guardian. [Skotlex]
	* Added battle option gvg_traps_target_all, defaults to yes for now. [Skotlex]
	* Added Zoc's fix to @autotrade (which made traders unable to login again..
	  ever) [Skotlex]
	* Massive Guardian update. [Skotlex]
	- Rewrote the guardian stat-passing system to minimize the need of db
	  lookups. Should greatly reduce the heavy lagging during WoE.
	- Not properly tested (lack of resources), update at your own risk AND 
	  PLEASE report any crashes/problems.
2005/09/05
	* Fixed Endure. [Skotlex]
	* Fixed Harmonic Lick not adding status change resistant. [Skotlex]
	* Moved ensemble stats calculating from status_change_start to
	  skill_unitsetting (performance purposes) [Skotlex]
	* Fixed song/dance effects lasting 30 secs rather than 20. [Skotlex]
	  (still somewhat inefficient, needs better handling method)
	* Battle check target fix: Novices/Low levels being unable to target mobs. [Skotlex]
	* Temporarily made traps not target allies on gvg (Still up for dabate) [Skotlex]
	* Battle check target update: Summoned creatures won't be checked versus
	  their master, means you should be able to target them as if they were
	  normal enemies. [Skotlex]
	* Made Shield Chain long ranged (it has to be affected by pneuma/defender). [Skotlex]
	* Fixed both trader/seller not being saved when using autotrade. [Skotlex]
	* Added debug messages to figure out who is causing the rain of function
	  mismatches on deleting skill_timerskill. [Skotlex]
2005/09/04
	* Fixed Trade Bug (when Trade Window indication was wrong). Thanks to k3dt
	* Now Water Ball isn't affected by RAIN mapflag anymore. Also corrected
		caclulation of number of WB shots (was broken by a typo) [Lupus]
		- Rain has been removed from kRO long ago.
	* Now Safety Wall fails to protect against Acid Terror. [Skotlex]
	* Added battle_config option firewall_hits_on_undead (defaults to 1) [Skotlex]
	  The deal is that each time the skill triggers on an undead, this number
	  of hits will be dealt instead of just one.
	  PROs: With a value of 5 or so, vertical firewall will work completely.
	  CONs: A high value means the whole tile can be wasted killing a single mob.
	* Fixed working stealing with NOLOOT mapflag on. Thanks 2Lorky [Lupus]
	* Now Knockback won't work when the target is already dead (prevents
	  ghosts) [Skotlex]
	* BSS now targets every player in the area of effect (might be updated to
	  include mobs pending on further information) [Skotlex]
	* Acid terror is now considered a ranged attack. [Skotlex]
	* Crash fixes to the npc-whisper system. [Skotlex]
	* Fixed classchange-able Emperium/Guardians/Treasure Boxes, thanks to alsimons [DracoRPG]
	* Fixed songs/dances, updated Hip Shaker [DracoRPG]
	* Fixed some fields in sql-files\main.sql... Who the hell added back `broken`? The field
	  `attribute` is the good one! Also changed `fame` type to the same as `zeny` (same max
	  value in the source code, so samemax value in the SQL saves !) [DracoRPG
	* battle_check_target update: Fixed BCT_NOENEMY checks. [Skotlex]
	* Moved Mental Sensing bonus from pc_gainexp to mob_damage, it is now a
	  status effect which the mob itself needs to be inflicted with to take
	  effect (and everyone involved in killing it will benefit) [Skotlex]
	* Pets now won't move while casting (unless their master is like a screen
	  away or so) [Skotlex]
2005/09/03
	* Fixed speed calc for pushcart/stalk/dancing/singing. [Skotlex]
	* Some crash-fixes introduced by the rewritten status system. [Skotlex]
	* Adjusted the default gvg penalty values, added gvg_flee_penalty. [Skotlex]
	* Fixed skill_blown causing a dangling pointer in the map data. [Skotlex]
	  (I believe this is the actual cause of all the crashes as of late)
	* Fixed @autotrade venders not being saved after they sell an item. [Skotlex]
	  Now both characters are saved to prevent exploits, too.
	* Fix to mob_setdelayspawn, if lucky might help with the crashes as of late. [Skotlex]
	* Added status effect SC_WATK_ELEMENT, converts part of your weapon attacks
	  into a different element. Used in magnum break to give 10% fire damage
	  bonus to your attacks. [Skotlex]
	* Made firewall hits not have any "damage delay", it merely knockbacks. [Skotlex]
	* battle_check_target update: added novice/low-level pk prevention on
	  pk_mode [Skotlex]
	* testing new SVN location [MouseJstr]
2005/09/01
	* Entirely rewrote status_calc_pc and status_get_[stat] functions to have a clear code.
	  They all use shared status_calc_[stat] functions to handle SC effects, this will avoid
	  to have 2 almost identical codes in different places for those effects [DracoRPG]
	  --> It compiles, it runs, it seems to work but I couldn't perform any extended testing
	      as always, feel free to report bugs ;)
	* Added battle_option "slaves_inherit_speed" to decide whether slaves have
	  or not the same walk speed as their master. Defaults to yes. [Skotlex]
	* Removed val4 from song/dances so that they won't be as bugged anymore.
	  (still pending on Draco's status update, but at least now stuff like Poem
	  of Bragi shouldn't cause insta-cast) [Skotlex]
	* Changed the way song/dance status effects last. The first time you step
	  in a tile the status starts for 30 secs, not refreshed until it times out.
	  Not the way it really should be, but it's much better for performance
	  issues.
	* Fixed summoned slaves having the same walk-speed as their master (fixes
	  metamorphosis-hatched mobs from having an egg's speed). [Skotlex]
	* Added fix_timer_heap, should correct timer problems when the tick
	  overflows. Does it works? We'll find out in 48 days when the next
	  loop occurs. [Skotlex]
	* Another update to battle_check_target [Skotlex]
	  (Should fix slave-skills hitting a slave's master)
	* Corrected magic_damage_return code being double-invoked. [Skotlex]
	* clif_GM_kick will now invoke map_quit if the player doesn't has a session [Skotlex]
	  (this should fix @kick and other such commands on autotrade chars and the
	  like)
	* Fixed pc_damage/mob_damage returning 0 instead of damage dealt (which in
	  turn made all attack/skills not trigger their additional effects) [Skotlex]
	* Updated Assumptio to target everyone instead of "not enemies" [Skotlex]
	* Fixed a fatal dangling pointer in the mob_setdelayspawn when handling
	  mobs that don't respawn. [Skotlex]
	* Updated WE_CALLPARENT to not check for range (as it should?) [Skotlex]
	* Added flag accreg_dirty to identify when account variables have not been
	  saved yet, it'll retry then on every call to save the character (it will
	  prevent account variables from being lost when the char/map connection is
	  not established)
2005/08/31
	* Updated @npctalk to work as it should [Skotlex]
	- Usage @npctalk NPC Name, Your Message Goes here
	* Fixed Wind Walk's flee/speed bonus (as pointed out by Viccious Pucca). [Skotlex]
	* Fixed a crash in pc.c when the last save point was not found (thanks to
	  Foruken) [Skotlex]
	* Rewrote map_foreachinpath, it should work mostly right now. [Skotlex]
	  (the path 'stops' at the destination point rather than keep going
	  forward, but it can probably be fixed later)
	* Moved battle_config spawndelay adjustments from mob.c (calculating it
	  each time they were killed) to npc.c (calculate it once during parsing).
	  [Skotlex]
	* Synchronized additional status effects with the delayed damage [Skotlex]
	  (this should fix eg: enemies freezing when you start the attack
	  animation, and then breaking the ice when your attack animation finishes
	  and the damage shows up)
	* Moved knockback to effect after damage is applied. [Skotlex]
	* Fixed the Wedding Skills not displaying the actual amount healed. [Skotlex]
	* Moved skill induced status effects to take effect before knock back. [Skotlex]
	* Refixed "Don't Forget Me" [Skotlex]
	* Changed 'pet_hair_style''s description and default value to 100 [Skotlex]
	  (100 is the value being reported to work with current clients)
	* Fixed Freeze 'counter' not resetting when killed. [Skotlex]
	* Fixed Endure adding to mdef2 instead of mdef. [Skotlex]
08/30
	* Fixed Breaker's magical part of the damage having element -1 [Skotlex]
	  (now it takes neutral element, because I don't think the magical part of
	  an attack can get the weapon's property)
	* Fixed Magic Crasher having the min/max values inverted. [Skotlex]
	* Updated "Don't Forget Me"/"Slow Grace" to last 20 secs after you step out
	  of the dance-zone. [Skotlex]
	* Changed the default of defunit_noenemy to no, and added comments
	  explaining what it REALLY does. [Skotlex]
	* Fixed perfect tableture's lucky dodge bonus. [Skotlex]
	* Updated slave ai code to let slaves wander freely on the screen (will
	  wander as far as battle_config.view_area lets them) [Skotlex]
	* Splitted Char-sql status saving into status/status2, the later is for
	  values that will seldomly change. [Skotlex]
	* Updated servers so that when the player changes dye or hair color, the
	  char-server is notified and the guild_member data is updated on all map
	  servers. [Skotlex]
	* Updated servers so they also report on sex change. [Skotlex]
	  (altough this one I have no tested yet)
	* Changed bGetZenyNum/bAddZenyNum to be a bonus2 type [Skotlex]
	  (eg: bonus2 bGetZenyNum 10, 30 <- Receive 10z per mob level on 30% of
	  your weapon-based kills)
	* Added script function groupranditem(i), returns a random item_id from the
	  specified item-group given. [Skotlex]
	* Changed bLongAtkRate bonus to be more card-like (works just like
	  bLongAtkDef, except it's for attack) [Skotlex]
	* [SQL] Added Storage Items sorting by nameid. On loading. [Lupus]
	* Added GetItemInfo(Item ID,n) script function. Returns Buy/Sell Price, Def, etc [Lupus]
		added sample/getiteminfo.txt Tested, fully working!
	* Added ID#2258 Spiky Band(Sharp Headgear) to allowed equipment of Star Gladiator [Lupus]
	* According to the 23 Aug Patch added complete equipment check for 3 new classes. [Lupus]
		Now they can't equip forbidden items 8)
08/29
	* Added battle config option pet_hair_style and defaulted it to 24 [Skotlex]
	  According to information relayed by End of Exam, this should fix the new
	  clients showing the sword cursor for pets (older clients will be the ones
	  screwed instead, in said case you'll want to change pet_hair_style to 20)
	* Updated battle_check_target to take into consideration the special states
	  killer/killable. [Skotlex]
	* Corrected the Fury Guardian Angel not giving +50 critical. [Skotlex]
	* Made mob_walktoxy fail when the mob is dead. [Skotlex]
	  (may fix the phantom mob issue?)
	* Updated spawn parsing to identify small/big mobs. [Skotlex]
	  Use the "event" field (last column, the one after the two spawn delays)
	  to identify the mob's size: 2: small mob, 4: big mob. 1-2 is not used
	  because a hella lot of plants/mobs already use 1 in it (even though eA
	  completely ignores this value)
	* Inverted the meaning of mapflags pvp_noparty/pvp_noguild [Skotlex]
	  When the flag is set, then you should NOT be able to hit your
	  party/guild-mates on pvp grounds.
08/28
	* Fixed demonstration/Bomb stacking. [Skotlex]
	* Fixed damage versus plants in BF_WEAPON attacks. [Skotlex]
	* Fixed the whole sqrtl mess. Thanks to Shinomori for clearing things up.
	  [Skotlex]
	* Added new maps, thanks to Poki#3 [DracoRPG]
	* Switched SCs between two taekwon kicks to get the proper icon ^^ [DracoRPG]
	* Added the falling animation to TK_HIGHJUMP, but now the client doesn't refresh the
	  position u_u [DracoRPG]
	* Reverted default option to allow anyone to plagiarize advanced skill (vicious or
	  someone else - I can't remember xD - told me it was like this on kRO, but not yet on
	  iRO) [DracoRPG]
08/27
	* Fixed the cast-bar from autocounter not disappearing after triggering the
	  skill. [Skotlex]
	* Updated battle_check_target to make marine spheres universal enemies, so
	  anyone can attack them. [Skotlex]
	* Cleaned up item_db.txt (format, commas, etc), added status bonuses to the
	  cooked foods. [Skotlex]
	* Updated sql-files/item_db.sql to match with the current contents of
	  item_db.txt [Skotlex]
	  (sql users just feed it to mysql, it will drop and recreate the table)
	* Fixed IDs for Taekwon-class : 4047 is Star Gladiator, 4048 is a second Star Gladiator
	  (probably used for a "Superman-mode" flying sprite) and 4049 is Soul Linker [DracoRPG]
08/26
	* Fixed being able to move during Encore skills when you did not need a
	  partner. [Skotlex]
	* Fixed @reloadmobdb not properly erasing mob skills before re-reading. [Skotlex]
	* Updated/fixed effect of most dances & songs according to kRO's website and ragnainfo's
	  very good Bard/Dancer Guide [DracoRPG]
	* Fixed Raging Trifecta Blows missing Emperiums, thanks to happylight [DracoRPG]
	* Changed the way short|long|magic_damage_return work : previously they gave 100% chance
	  to return x% damage, now it is x% chance to return 100% damage (Maya and High Orc Cards
	  should behave like this, I'm not sure for Orc Lord Card but it seems logical to be the
	  same system...) [DracoRPG]
	* Fixed bonuses from Wind Walker, thanks to vicious_puca [DracoRPG]
	* I also reorganized the hit/flee calc in status_calc_pc to consider first absolute values,
	  and then apply relative (percentage) modificators.. if you make a mix of both, it'll be
	  completely fucked up, and be sure it won't be like on officials (although my system maybe
	  isn't the good one neither...) [DracoRPG]
	* Some rewrites to client version rejecting code [Skotlex]
	  Should eliminate lag when players try to log-on with a rejected client,
	  however there's the chance they won't be receiving the "your client is
	  not latest EXE version" message, and that's why the previous, laggy,
	  implementation was used :/
	* Fixed Enchant Deadly Poison lasting forever after killed. [Skotlex]
	* Fixed the duration argument of @summon [Skotlex]
	* Now @summoned mobs will follow their master everywhere and that includes
	  warping from map to map. [Skotlex]
	  (why? Because I think that's neat, and will probably be needed anyway
	  once Homonculus get implemented)
08/25
	* Cleaned up mob_db.txt and updated sql-files/mob_db.sql [Skotlex]
	  Sql users can just feed mysql the .sql file and it will delete and refill
	  the table with the most updated db data.
	* Corrections to damage versus plants. [Skotlex]
	  MAGIC and MISC attacks do 1 damage per hit.
	  WEAPON attacks do 1 damage, display miss if they hit multiple times.
	* Instead of knocking back (which wasn't even working), characters that are
	  stepping on an icewall will cause that tile of the icewall to 'die' [Skotlex]
	* Final damage equation update to Acid Demonstration. [Skotlex]
	  (it still won't ignore the raydric card, but why that is official in
	  itself is a big mystery)
	* Added status change for temporary boosts of stats, plus added the
	  following constants (db/const.txt): [Skotlex]
	  - SC_IncAll, SC_IncStr, SC_IncAgi, SC_IncVit, SC_IncInt, SC_IncDex,
	  SC_IncDex
	  - It hasn't been tested yet what kind of visual these will cause
	    client-side.
	  (Now someone go and write down the script for the food items xP)
	* Updated @summon to take a second parameter: duration. [Skotlex]
	  eg: "@summon lunatic 40" will summon a lunatic that lasts 40 mins or
	  until killed. Max duration is one hour.
	* Updated Some Mobs Spawns, Drops check npc\changelog.txt [Lupus]
	* Some toning down of the damage of Acid Demonstration (should /100, not
	  /10) [Skotlex]
	* Likely fixed Blitzbeat from hitting neutral chars. [Skotlex]
	* Updated Acid Demonstration to be a MISC skill who's damage is (base_Atk *
	  caster's int * target's vit /10) (half that on players). It's much more
	  closer to official values than the previous ones... [Skotlex]
	* Corrected Pressure sapping SP even if you hide from it. [Skotlex]
	  (isn't Pressure a holy attack from the grand god himself? How can a thief
	  HIDE from his eyes? o.O)
	* Updated Acid Demonstration damage formula. It's still wrong, but at least
	  it considers int and vit now. [Skotlex]
	  Current dummy formula: (100 + caster's int + target's vit)*(number of hits)%
08/24
	* Updated pet skills database. [Skotlex]
	* Some corrections to socket.c, should stop all the recent crashing... [Skotlex]
	* Added a case to knockback enemies if they somehow end up stepping into an
	  ice wall tile [Skotlex]
	* Added checks to prevent walking, attacking or using skills while the
	  storage is open. [Skotlex]
	* Added Lupus's mob skills for Einbroch mobs [Skotlex]
	* (almost) rewrite of the storage system. [Skotlex]
	  Storages are marked dirty after an item is stored/retrieved from them and
	  will not be marked clean until the char-server acks the save request.
	  Upon map-server reconnection to the char, all storages that are currently
	  closed and dirty are saved.
	* Synched chrif_save with the storage save functions when either one is
	  open to further prevent exploits. [Skotlex]
	* Updated the mob_skill_db with Komurka's translation (Aegis -> eA) [Skotlex]
	  The max permilliage (rate) is now 10000 = 100%
	* Various mob related summon/metamorphosis changes: [Skotlex]
	  - Summon Mob/Slave's level is the total number of mobs to summon, when the
	  skill definition offers multiple mobs, they are spawned in order
	  (round-robin scheme).
	  - Metamorphosis/Transformation level is the total number of mobs to
	  multiply into. Uses the same criteria as summon mob and the original mob
	  is deleted/killed (no loot drop). If the level is 1, then the mob transforms
	  into one of the defined classes randomly.
	  - Note that beyond code-proofreading and making sure it compiles, this
	  has not been tested yet!
	* Added the bonus provided by the /doridori command to TK_HPTIME and TK_SPTIME. [Dralnu]
	  Thanks to Duduc.
	* Updated battle_check_target to check using the master instead of the
	  slaves (applies for mobs/pets) [Skotlex]
	  - Should prevent slaves from attacking their master
	* Implemented TK_HPTIME and TK_SPTIME exept the bonus provided by /doridori [Dralnu]
	* Implemented delayed character logout [Skotlex]
	  How it works: When a player quits the server when they shouldn't (force
	  disconnect before the 10 secs, or leave when the char server is not
	  connected) his session is closed, but the player is left in-game just
	  like in @autotrade, and a timer is added. Every 10 secs it'll check if
	  the char server is online, and then save the character and delete it from
	  the map server. NOT TESTED YET, so report any anomalies.
	* Fixed Shield Chain's skill-type (it's short ranged, not long?) [Skotlex]
	* Fixed Decrease Agility's equation. [Skotlex]
	* Fixed root'ed monks not being able to use root skills. [Skotlex]
	* Added inter-server option "kick_on_disconnect" (defaults to yes) [Skotlex]
	   - The only people who may want to change it are overcrowded servers where
	  the char/map server link breaks due to overload and then everyone is
	  kicked out until said connection is reestablished.
	  - Of course, use at your own discretion until all possible exploits
	  caused by this are resolved.
08/23
	* Fixed provoke's success chance. [Skotlex]
	* Battle_check_target update, should fix party/guild skills failing when
	  checking against yourself. [Skotlex]
	* Updated map and char servers to allow them to reconnect without having to
	  kick out all players. [Skotlex]
	  - This is still experimental and what possible exploits may come from it
	  are yet unknown (however, considering that the reconnection should take
	  place in a few seconds after the disconnection...)
	  - Note that storage contents and player contents are all kept in the map
	  server's memory, unsaved data will be lost if player forces a
	  disconnection, storage changes will also be lost if they are open/closed
	  during said disconnection (and NOT reclosed after the connection is
	  restablished)
	  - These and more stuff might come up with time. Report away!
	* Updated Gospel to not buff up Guildmates, only Party members. [Skotlex]
	* Fixed @autotrade [Skotlex]
	  (tested on a limited scenario with few characters, needs more testing.
	  Test and report!)
	* Implemented TK_STORMKICK, TK_DOWNKICK, TK_COUNTER and TK_TURNKICK. [Dralnu]
	  Note that at the moment if you use theses skills even if the corresponding
	  SC is inactive, it will use SP and will stop you if you are attacking.
	  Note too that because we don't know how it should work exactly, when a SC such as
	  SC_STORMKICK will be launched, it will notice you by a little message over your 
	  head : Hit now !!.  Finaly, TK_TURNKICK will not yet have the pushback effect.
	* Fixed everyone having 20 flee... I hope. [Skotlex]
	* Some corrections and updates to mob skill Metamorphosis [Skotlex]
	  (don't know if it'll work now, but the way it was before definitely was
	  not working)
	* Probably fixed infinite endure wearing out when being hit. [Skotlex]
	* Updated gvg range penalties to be as in official servers. [Skotlex]
	  - Skills (weapon/magic/misc) get a 40% penalty
	  - Ranged normal attacks get a 20% penalty, melee receives no penatly.
	  (battle flag gvg_weapon_attack_rate added to complete configuration)
	* Added the -20 flee penalty on GVG grounds. [Skotlex]
	* Fixed Enchant Deadly Poison's Damage (it was 500% - 5x at level 5, not 400%
	  - 4x) [Skotlex]
	* Fixed Soul Breaker's magical part of the attack taking element -1 rather
	  than 0. [Skotlex]
	* Login sql server will now only clear sstatus data of connected servers
	  rather than clean the table. [Skotlex]
	* Added some checks to prevent infinite looping in the char servers. [Skotlex]
	* Some updates to the way disconnections are handled in socket.c [Skotlex]
08/22	
	* Fixed typo in skill.c causing errors [Codemaster]
	* Added Irmin's recommendation to allow item names in getitenname() [Skotlex]
	  (kinda odd to use an item's name to get the item's name, isn't it?)
	* Fixed Meteor Assault not displaying damage. [Skotlex]
	* Fixed WE_CALLPARENT crashing the map server when either parent is
	  offline. [Skotlex]
	* Added TK_HIGHJUMP. Note : To be able to see properly the full jump animation,
	  casting time will not depend on DEX. [Dralnu]
	* Somes fixes in skill_db.txt and skill_cast_db.txt about Taekwon's skills. [Dralnu]
	* Fully implemented the STR bonus part of TK_RUN [DracoRPG]
	* Added activation/unactivation of TK stances, but not their specific effects [DracoRPG]
	* Reverted magnum break, removed the Flame Launcher status change until
	  actual bonus can be implemented. [Skotlex]
	* Skills update (mostly thanks to Vicious Pucca): [Skotlex]
	  - Success chance and stats of Provoke, mental Break, Signum Crusis, Soul Burn
	  - Decrease Agility duration halved for players.
	  - Magnum Break's final damage is splitted 80% weapon's element, 20% fire
	    element. No longer causes weapon endow.
	  - Bash's hit bonus (+5 per lv now)
	* Fixed skill_db, Added perfect hit to TK_COUNTER [Dralnu]
	* Changed skill_tree and job_db1 the same way I changed job_db2, it was necessary for
	  clear implementation of Taekwon (which has a very unusual ID for a 1st job) and renders
	  the code less messy (at least it's my humble opinion ^^) although it could be slightly,
	  but really slightly, more RAM-consuming [DracoRPG]
	* Fixed classchange not clearing on unequip, fixed the mob's max hp not being updated on
	  class change [Skotlex]
	* Basic implementation of Taekwon's kicks. [Dralnu]
	* Likely fixed SP consumption of Warp Portal. [Skotlex]
	* Changed some default values in battle config to get the 'official gaming experience' by
	  default [DracoRPG]
	  - Noone can plagiarize advanced skills (from ragnainfo)
	  - No rare drop announce
	  - Riding a Peco does not increase one's size
	* Allowed Dispell to dispell songs/dances/ensembles [DracoRPG]
	* Updated SC IDs to get correct client-side status icons (used 0808 Sakexe) [DracoRPG]
	* Prevented from casting Ice Wall under self, independantly of UF_NOFOOTSET [DracoRPG]
	* Removed /omg from equipment breaking and added it to Acid Terror only [DracoRPG]
	* You can now change to Taekwon, but lots of things are still to do [DracoRPG]
	* Began implementation of Taekwon skills [DracoRPG]
08/21
	* Changed how triple blows/sacrificial ritual triggers to enable
	  plagiarizing them. [Skotlex]
	* Stolen items will be (un)identified using the same criteria normal drops
	  use. [Skotlex]
	* Updated yet again battle_check_target. Guardians should stop attacking
	  out of woe now and alchemist should be able to hit their mines. [Skotlex]
	* Fixed the map server going in an infinite loop if the connection breaks
	  while parsing packets from the char server. [Skotlex]
	* Mostly rewrote Battle Chant, should be almost like the official one now... [DracoRPG]
	* Added enums for skill units, makes the code really clearer (check skill.h) [DracoRPG]
	* Merged battle_calc_weapon_attack_sub and battle_calc_weapon_attack [DracoRPG]
	* Fixed Acid Terror WEP breaking rate thx2 ShAPoNe [Lupus]
08/19
	* More updates to battle_check_target, now you can't target any
	  ground-based skills that don't have a physical manifestation (ie:
	  Everything except traps and icewall) [Skotlex]
	* Fixed "for sure" battle_check_target when it comes to neutral targets. [Skotlex]
	* Removed pc_emotion, merged it with emotion. [Skotlex]
	  Usage: emotion emotion_number <, target>
	  - emotion number is the emotion's number (use e_* constants)
	  - target is 1-> player, 0-> npc. If ommited defaults to zero.
	* Updated code so that when a guild master joins the game, their guild
	  skills are automatically blocked for 5 minutes. [Skotlex]
	  (prevents avoiding the skill-lock by relogging)
	* Another update to battle_check_target, this time neutral targets should
	  work correctly (non allied/partied people who should be affected) [Skotlex]
	* More fixes to battle_check_target, skills should not hit yourself on
	  pvp/gvg now. [Skotlex]
	* Updated classchange to not change the class of bosses. [Skotlex]
	* Optimization/Fixes to battle_check_target, GrandCross should work now. [Skotlex]
	* Reverted Lupus's change on guild auras' max lv... Please double check your sources and
	  base yourself on kRO official website as much as possible, thanks. Link to kRO website:
	  http://guide.ragnarok.co.kr/GuildSystem.asp#ggg03 [DracoRPG]
	* Fixed passive mobs incorrectly setting the attacked_id when hit by pets. [Skotlex]
	* Rewrote battle_check_target. [Skotlex]
	  - Positive side-effects: offensive stuff won't hit your guildmates on gvg
	  (such as traps)
	  - Negative side-effects: Unknown, but there's bound to be some because of
	  the big change. I tested it with traps, spells, pets, passive and
	  aggressive mobs, but it's probable there's stuff I am still missing.
	* Updated mob spawns of Glast Heim (gl_sew3 and gk_knt2) [Skotlex]
	* Updated classchange code (Azoth, Heiroloist) to get random classes the
	  same way a dead branch does. Cannot convert to bosses. [Skotlex]
	* Script/Npc/Item updates. [Skotlex]
	* Bonus b(HP/SP)GainValue will always be considered 100% (the first
	  parameter) this is done to avoid exploits when combining it with
	  b(HP/SP)DrainValue (eg: Immaterial Sword) [Skotlex]
	* Fixed max level of some guilds skills 5->1 [Lupus]
		according to http://eathena.deltaanime.net/board/index.php?showtopic=757 
	* New items drops, new shop [Lupus]
08/18
	* Changed the way 'pl' works (in skill_db) : now 0 for 'weapon' attack skills means the
	  attack is always neutral. To make so that the skill takes the weapon's element, use -1
	  instead: this removes the need of hardcoded ele_flag. [DracoRPG]
	* Fixed damage bonus from Sage's elemental flooring skills by moving the checks which were
	  totally wrong placed... Thanks to Antoine for pointing out they were broken. [DracoRPG]
	* At the same time I had to change battle_calc_magic_attack quite alot. Maybe it won't work
	  perfectly, but at least it'll compile. Also added (forgotten?) support for 'skillatk'
	  bonus with magic skills. [DracoRPG]
	* Rewritten most of Gloria Domini to make it be a BF_MISC skill that can hit and damage
	  Emperium and plants (yes it does), igonres WoE damage adjustments and other changes I
	  don't remember ^^ [DracoRPG]
	* Modified mob_skilluse so that mobs NEVER use offensive heal. They'll now
